<?= $this->extend("layout/index"); ?>
<?= $this->section('content'); ?>

<div class="content-wrapper" style="min-height: 357.039px;">
    <section class="content">
        <div class="card card-info card-outline">
            <div class="card-header">
                <h3 class="card-title text-bold"><?= lang('Administration.user_form_title') ?></h3>

                <span class="float-right">
                    <?= anchor($locale . "/admin/users", "<i class='fa fa-tasks'></i> " . lang("Params.btn_list"), ['class' => 'btn btn-primary btn-sm']) ?>
                </span>

            </div>
            <div class="card-body">
                <div class="row">
                    <p class='text-bold'>
                        <font color='red'>*</font> Champ est obligatoire
                    </p>
                    <?= validation_list_errors() ?>
                </div>

                <?php echo form_open($locale . "/admin/user"); ?>
                <div class="row">
                    <div class="col-md-3 mb-3">
                        <?= form_label(lang('Administration.user_form_firstName')."<font color='red'>*</font>", 'nom'); ?>
                        <?php
                        $first_name = [
                            'type'  => 'text',
                            'name'  => 'first_name',
                            'id'    => 'first_name',
                            'value' => set_value('first_name'),
                            'placeholder' => lang('Administration.user_form_firstName'),
                            'class' => 'form-control',
                        ];

                        echo form_input($first_name);
                        ?>
                    </div>

                    <div class="col-md-3 mb-3">
                        <?= form_label(lang('Administration.user_form_lastName')."<font color='red'>*</font>", 'prenom'); ?>

                        <?php
                        $last_name = [
                            'type'  => 'text',
                            'name'  => 'last_name',
                            'id'    => 'last_name',
                            'value' => set_value('last_name'),
                            'placeholder' => lang('Administration.user_form_lastName'),
                            'class' => 'form-control',
                        ];

                        echo form_input($last_name);
                        ?>
                    </div>

                    <div class="col-md-3 mb-3">
                        <?= form_label(lang('Administration.user_form_email')."<font color='red'>*</font>", 'email'); ?>

                        <?php
                        $email = [
                            'type'  => 'text',
                            'name'  => 'email',
                            'id'    => 'email',
                            'value' => set_value('email'),
                            'placeholder' => lang('Administration.user_form_email'),
                            'class' => 'form-control',
                        ];

                        echo form_input($email);
                        ?>
                    </div>

                    <div class="col-md-3 mb-3">
                        <?= form_label(lang('Administration.user_form_mobile')."<font color='red'>*</font>", 'mobile'); ?>

                        <?php
                        $phone = [
                            'type'  => 'text',
                            'name'  => 'mobile_number',
                            'id'    => 'mobile_number',
                            'value' => set_value('mobile_number'),
                            'placeholder' => lang('Administration.user_form_mobile'),
                            'class' => 'form-control',
                        ];

                        echo form_input($phone);
                        ?>
                    </div>

                    <div class="col-md-3 mb-3">
                        <?= form_label(lang('Administration.user_form_username')."<font color='red'>*</font>", 'usermane'); ?>

                        <?php
                        $username = [
                            'type'  => 'text',
                            'name'  => 'username',
                            'id'    => 'username',
                            'value' => set_value('username'),
                            'placeholder' => lang('Administration.user_form_username'),
                            'class' => 'form-control',
                        ];

                        echo form_input($username);
                        ?>
                    </div>

                    <div class="col-md-3 mb-3">
                        <?= form_label(lang('Administration.user_form_password')." <font color='red'>*</font>", 'password'); ?>

                        <?php
                        $password = [
                            'type'  => 'text',
                            'name'  => 'password',
                            'id'    => 'password',
                            'value' => set_value('password'),
                            'placeholder' => lang('Administration.user_form_password'),
                            'class' => 'form-control',
                        ];

                        echo form_input($password);
                        ?>
                    </div>

                    <div class="col-md-3 mb-3">
                        <?= form_label(lang('Administration.user_form_confPassword')." <font color='red'>*</font>", 'confirm_password'); ?>

                        <?php
                        $confirm_password = [
                            'type'  => 'text',
                            'name'  => 'confirm_password',
                            'id'    => 'confirm_password',
                            'value' => set_value('confirm_password'),
                            'placeholder' => lang('Administration.user_form_confPassword'),
                            'class' => 'form-control',
                        ];

                        echo form_input($confirm_password);
                        ?>
                    </div>

                    <div class="col-md-4 mb-3">
                        <?= form_label(lang('Administration.user_form_permissions'), 'permission'); ?>

                        <?php
                        echo form_dropdown('permission[]', $permissions, set_value('permission[]'), "class='form-control select2' multiple='multiple'");
                        ?>
                    </div>

                    <div class="col-md-4 mb-3">
                        <?= form_label(lang('Administration.user_form_groups'), 'groups'); ?>
                        <?php
                        echo form_dropdown('group[]', $groups, set_value('group[]'), "class='form-control select2' multiple='multiple'");
                        ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 mb-3">
                        <?php
                        echo form_submit("mysubmit", lang("Params.btn_save"), "class='btn btn-primary btn-sm mt-2'");
                        ?>
                    </div>
                </div>
                <?php echo form_close(); ?>

            </div>
        </div>
    </section>
</div>


<?= $this->endSection(); ?>