$(document).ready(function () {
  fonction();
  employesParContrat();
  deploiment();
  contratsActifs();
  contrats3Mois();
  homme();
  femme();
});

const employesParContrat = async()=>{
  var serie ="";
  
    await $.ajax({
      url: url+"/dash/employeParContractData",
      type: "GET",
      datatype: "json",
      success: (resp) => {
        console.log(resp);
        if (resp != null) {
          serie = resp
        }
      },
    });
    Highcharts.chart("container3", {
      chart: {
        type: "variablepie",
      },
      credits: {
        enabled: false,
      },
      navigation: {
        buttonOptions: {
          enabled: false,
        },
      },
      title: {
        text: "Employes par type contract",
        align: "center",
      },
      tooltip: {
        headerFormat: "",
        pointFormat:
          '<span style="color:{point.color}">\u25CF</span> <b> {point.name}</b><br/>',
      },
      plotOptions: {
        variablepie: {
          allowPointSelect: true,
          cursor: "pointer",
          dataLabels: {
            enabled: false,
          },
          showInLegend: true,
        },
      },
      series: [
        {
          minPointSize: 10,
          innerSize: "35%",
          zMin: 0,
          name: "Type contrat",
          borderRadius: 5,
          data: serie,
        },
      ],
    });
}
const fonction = async () => {
    var serie ="";
  
    await $.ajax({
      url: url+"/dash/fonction",
      type: "GET",
      datatype: "json",
      success: (resp) => {
        console.log(resp);
        if (resp != null) {
          serie = resp
        }
      },
    });
    Highcharts.chart("container2", {
      chart: {
        type: "variablepie",
      },
      credits: {
        enabled: false,
      },
      navigation: {
        buttonOptions: {
          enabled: false,
        },
      },
      title: {
        text: "Repartion des employes par fonction",
        align: "center",
      },
      tooltip: {
        headerFormat: "",
        pointFormat:
          '<span style="color:{point.color}">\u25CF</span> <b> {point.name}</b><br/>',
      },
      plotOptions: {
        variablepie: {
          allowPointSelect: true,
          cursor: "pointer",
          dataLabels: {
            enabled: false,
          },
          showInLegend: true,
        },
      },
      series: [
        {
          minPointSize: 10,
          innerSize: "35%",
          zMin: 0,
          name: "Fonction",
          borderRadius: 5,
          data: serie,
        },
      ],
    });
}
// const deploiment 
const deploiment = async () => {
  var serie = "";
  var category = "";

  await $.ajax({
    url: url +"/dash/deploiement",
    type: "GET",
    datatype: "json",
    success: (resp) => {
      if (resp != null) {
        serie = resp.serie;
        category = resp.category;
      }
    },
  });

  Highcharts.chart("container1", {
    chart: {
      type: "cylinder",
      options3d: {
        enabled: true,
        alpha: 15,
        beta: 15,
        depth: 60,
        viewDistance: 35,
      },
    },
    title: {
      text: "Deploiement du personnel",
    },
    credits: {
      enabled: false,
    },
    xAxis: {
      categories:category,
      title: {
        text: "Deploiement du personnel",
      },
      labels: {
        skew3d: true,
      },
    },
    yAxis: {
      title: {
        margin: 20,
        text: "Nombre",
      },
      labels: {
        skew3d: true,
      },
    },
    tooltip: {
      headerFormat: "{point.x}<br>",
    },
    plotOptions: {
      series: {
        depth: 30,
        colorByPoint: true,
      },
    },
    series: [
      {
        data: serie,
        name: "Nombre",
        showInLegend: false,
      },
    ],
  });
};

const contratsActifs = () => {
  $.ajax({
    url: url + "/dash/contractsActifs",
    type: "GET",
    dataType: "JSON",
    success: function (response) {
      $("#card1").html(response.nb);
    },
  });
};

const contrats3Mois = () => {
  $.ajax({
    url: url + "/dash/contrats3Mois",
    type: "GET",
    dataType: "JSON",
    success: function (response) {
      $("#card2").html(response.nb);
    },
  });
};

const homme = () => {
  $.ajax({
    url: url + "/dash/homme",
    type: "GET",
    dataType: "JSON",
    success: function (response) {
      $("#card3").html(response.nb);
    },
  });
};

const femme = () => {
  $.ajax({
    url: url + "/dash/femme",
    type: "GET",
    dataType: "JSON",
    success: function (response) {
      $("#card4").html(response.nb);
    },
  });
};
