!/**
 * Highcharts JS v11.4.0 (2024-03-04)
 *
 * Annotations module
 *
 * (c) 2009-2024 Torstein Honsi
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/annotations",["highcharts"],function(i){return t(i),t.Highcharts=i,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var i=t?t._modules:{};function o(t,i,o,n){t.hasOwnProperty(i)||(t[i]=n.apply(null,o),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:i,module:t[i]}})))}o(i,"Extensions/Annotations/AnnotationChart.js",[i["Core/Utilities.js"]],function(t){var i,o=t.addEvent,n=t.erase,e=t.find,s=t.fireEvent,r=t.pick,a=t.wrap;function l(t,i){var o=this.initAnnotation(t);return this.options.annotations.push(o.options),r(i,!0)&&(o.redraw(),o.graphic.attr({opacity:1})),o}function h(){var t=this;t.plotBoxClip=this.renderer.clipRect(this.plotBox),t.controlPointsGroup=t.renderer.g("control-points").attr({zIndex:99}).clip(t.plotBoxClip).add(),t.options.annotations.forEach(function(i,o){if(!t.annotations.some(function(t){return t.options===i})){var n=t.initAnnotation(i);t.options.annotations[o]=n.options}}),t.drawAnnotations(),o(t,"redraw",t.drawAnnotations),o(t,"destroy",function(){t.plotBoxClip.destroy(),t.controlPointsGroup.destroy()}),o(t,"exportData",function(i){var o=t.annotations,n=(this.options.exporting&&this.options.exporting.csv||{}).columnHeaderFormatter,e=!i.dataRows[1].xValues,s=t.options.lang&&t.options.lang.exportData&&t.options.lang.exportData.annotationHeader,r=i.dataRows[0].length,a=t.options.exporting&&t.options.exporting.csv&&t.options.exporting.csv.annotations&&t.options.exporting.csv.annotations.itemDelimiter,l=t.options.exporting&&t.options.exporting.csv&&t.options.exporting.csv.annotations&&t.options.exporting.csv.annotations.join;o.forEach(function(t){t.options.labelOptions&&t.options.labelOptions.includeInDataExport&&t.labels.forEach(function(t){if(t.options.text){var o=t.options.text;t.points.forEach(function(t){var n=t.x,e=t.series.xAxis?t.series.xAxis.index:-1,s=!1;if(-1===e){for(var h=i.dataRows[0].length,c=Array(h),p=0;p<h;++p)c[p]="";c.push(o),c.xValues=[],c.xValues[e]=n,i.dataRows.push(c),s=!0}if(s||i.dataRows.forEach(function(t){!s&&t.xValues&&void 0!==e&&n===t.xValues[e]&&(l&&t.length>r?t[t.length-1]+=a+o:t.push(o),s=!0)}),!s){for(var h=i.dataRows[0].length,c=Array(h),p=0;p<h;++p)c[p]="";c[0]=n,c.push(o),c.xValues=[],void 0!==e&&(c.xValues[e]=n),i.dataRows.push(c)}})}})});var h=0;i.dataRows.forEach(function(t){h=Math.max(h,t.length)});for(var c=h-i.dataRows[0].length,p=0;p<c;p++){var u=function(t){var i;return n&&!1!==(i=n(t))?i:(i=s+" "+t,e)?{columnTitle:i,topLevelColumnTitle:i}:i}(p+1);e?(i.dataRows[0].push(u.topLevelColumnTitle),i.dataRows[1].push(u.columnTitle)):i.dataRows[0].push(u)}})}function c(){this.plotBoxClip.attr(this.plotBox),this.annotations.forEach(function(t){t.redraw(),t.graphic.animate({opacity:1},t.animationConfig)})}function p(t){var i=this.annotations,o="annotations"===t.coll?t:e(i,function(i){return i.options.id===t});o&&(s(o,"remove"),n(this.options.annotations,o.options),n(i,o),o.destroy())}function u(){this.annotations=[],this.options.annotations||(this.options.annotations=[])}function d(t){this.chart.hasDraggedAnnotation||t.apply(this,Array.prototype.slice.call(arguments,1))}return(i||(i={})).compose=function(t,i,n){var e=i.prototype;if(!e.addAnnotation){var s=n.prototype;o(i,"afterInit",u),e.addAnnotation=l,e.callbacks.push(h),e.collectionsWithInit.annotations=[l],e.collectionsWithUpdate.push("annotations"),e.drawAnnotations=c,e.removeAnnotation=p,e.initAnnotation=function(i){var o=new(t.types[i.type]||t)(this,i);return this.annotations.push(o),o},a(s,"onContainerMouseDown",d)}},i}),o(i,"Extensions/Annotations/AnnotationDefaults.js",[i["Core/Utilities.js"]],function(t){var i=t.defined;return{visible:!0,animation:{},crop:!0,draggable:"xy",labelOptions:{align:"center",allowOverlap:!1,backgroundColor:"rgba(0, 0, 0, 0.75)",borderColor:"#000000",borderRadius:3,borderWidth:1,className:"highcharts-no-tooltip",crop:!1,formatter:function(){return i(this.y)?""+this.y:"Annotation label"},includeInDataExport:!0,overflow:"justify",padding:5,shadow:!1,shape:"callout",style:{fontSize:"0.7em",fontWeight:"normal",color:"contrast"},useHTML:!1,verticalAlign:"bottom",x:0,y:-16},shapeOptions:{stroke:"rgba(0, 0, 0, 0.75)",strokeWidth:1,fill:"rgba(0, 0, 0, 0.75)",r:0,snap:2},controlPointOptions:{events:{},style:{cursor:"pointer",fill:"#ffffff",stroke:"#000000","stroke-width":2},height:10,symbol:"circle",visible:!1,width:10},events:{},zIndex:6}}),o(i,"Extensions/Annotations/EventEmitter.js",[i["Core/Globals.js"],i["Core/Utilities.js"]],function(t,i){var o=t.doc,n=t.isTouchDevice,e=i.addEvent,s=i.fireEvent,r=i.objectEach,a=i.pick,l=i.removeEvent;return function(){function t(){}return t.prototype.addEvents=function(){var t=this,i=function(i){e(i,n?"touchstart":"mousedown",function(i){t.onMouseDown(i)},{passive:!1})};if(i(this.graphic.element),(t.labels||[]).forEach(function(t){t.options.useHTML&&t.graphic.text&&i(t.graphic.text.element)}),r(t.options.events,function(i,o){var n=function(n){var e;"click"===o&&t.cancelClick||i.call(t,null===(e=t.chart.pointer)||void 0===e?void 0:e.normalize(n),t.target)};-1===(t.nonDOMEvents||[]).indexOf(o)?(e(t.graphic.element,o,n,{passive:!1}),t.graphic.div&&e(t.graphic.div,o,n,{passive:!1})):e(t,o,n,{passive:!1})}),t.options.draggable&&(e(t,"drag",t.onDrag),!t.graphic.renderer.styledMode)){var o={cursor:{x:"ew-resize",y:"ns-resize",xy:"move"}[t.options.draggable]};t.graphic.css(o),(t.labels||[]).forEach(function(t){t.options.useHTML&&t.graphic.text&&t.graphic.text.css(o)})}t.isUpdating||s(t,"add")},t.prototype.destroy=function(){this.removeDocEvents(),l(this),this.hcEvents=null},t.prototype.mouseMoveToRadians=function(t,i,o){var n,e=t.prevChartY-o,s=t.prevChartX-i,r=t.chartY-o,a=t.chartX-i;return this.chart.inverted&&(n=s,s=e,e=n,n=a,a=r,r=n),Math.atan2(r,a)-Math.atan2(e,s)},t.prototype.mouseMoveToScale=function(t,i,o){var n=t.prevChartX-i,e=t.prevChartY-o,s=t.chartX-i,r=t.chartY-o,a=(s||1)/(n||1),l=(r||1)/(e||1);if(this.chart.inverted){var h=l;l=a,a=h}return{x:a,y:l}},t.prototype.mouseMoveToTranslation=function(t){var i,o=t.chartX-t.prevChartX,n=t.chartY-t.prevChartY;return this.chart.inverted&&(i=n,n=o,o=i),{x:o,y:n}},t.prototype.onDrag=function(t){if(this.chart.isInsidePlot(t.chartX-this.chart.plotLeft,t.chartY-this.chart.plotTop,{visiblePlotOnly:!0})){var i=this.mouseMoveToTranslation(t);"x"===this.options.draggable&&(i.y=0),"y"===this.options.draggable&&(i.x=0),this.points.length?this.translate(i.x,i.y):(this.shapes.forEach(function(t){return t.translate(i.x,i.y)}),this.labels.forEach(function(t){return t.translate(i.x,i.y)})),this.redraw(!1)}},t.prototype.onMouseDown=function(t){if(t.preventDefault&&t.preventDefault(),2!==t.button){var i,r=this,l=r.chart.pointer,h=(null===(i=null==t?void 0:t.sourceCapabilities)||void 0===i?void 0:i.firesTouchEvents)||!1,c=(t=(null==l?void 0:l.normalize(t))||t).chartX,p=t.chartY;r.cancelClick=!1,r.chart.hasDraggedAnnotation=!0,r.removeDrag=e(o,n||h?"touchmove":"mousemove",function(t){r.hasDragged=!0,(t=(null==l?void 0:l.normalize(t))||t).prevChartX=c,t.prevChartY=p,s(r,"drag",t),c=t.chartX,p=t.chartY},n||h?{passive:!1}:void 0),r.removeMouseUp=e(o,n||h?"touchend":"mouseup",function(){var t=a(r.target&&r.target.annotation,r.target);t&&(t.cancelClick=r.hasDragged),r.cancelClick=r.hasDragged,r.hasDragged=!1,r.chart.hasDraggedAnnotation=!1,s(a(t,r),"afterUpdate"),r.onMouseUp()},n||h?{passive:!1}:void 0)}},t.prototype.onMouseUp=function(){var t=this.chart,i=this.target||this,o=t.options.annotations,n=t.annotations.indexOf(i);this.removeDocEvents(),o[n]=i.options},t.prototype.removeDocEvents=function(){this.removeDrag&&(this.removeDrag=this.removeDrag()),this.removeMouseUp&&(this.removeMouseUp=this.removeMouseUp())},t}()}),o(i,"Extensions/Annotations/ControlPoint.js",[i["Extensions/Annotations/EventEmitter.js"],i["Core/Utilities.js"]],function(t,i){var o,n=this&&this.__extends||(o=function(t,i){return(o=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function n(){this.constructor=t}o(t,i),t.prototype=null===i?Object.create(i):(n.prototype=i.prototype,new n)}),e=i.merge,s=i.pick;return function(t){function i(i,o,n,e){var r=t.call(this)||this;return r.nonDOMEvents=["drag"],r.chart=i,r.target=o,r.options=n,r.index=s(n.index,e),r}return n(i,t),i.prototype.destroy=function(){t.prototype.destroy.call(this),this.graphic&&(this.graphic=this.graphic.destroy()),this.chart=null,this.target=null,this.options=null},i.prototype.redraw=function(t){this.graphic[t?"animate":"attr"](this.options.positioner.call(this,this.target))},i.prototype.render=function(){var t=this.chart,i=this.options;this.graphic=t.renderer.symbol(i.symbol,0,0,i.width,i.height).add(t.controlPointsGroup).css(i.style),this.setVisibility(i.visible),this.addEvents()},i.prototype.setVisibility=function(t){this.graphic[t?"show":"hide"](),this.options.visible=t},i.prototype.update=function(t){var i=this.chart,o=this.target,n=this.index,s=e(!0,this.options,t);this.destroy(),this.constructor(i,o,s,n),this.render(i.controlPointsGroup),this.redraw()},i}(t)}),o(i,"Extensions/Annotations/MockPoint.js",[i["Core/Series/SeriesRegistry.js"],i["Core/Utilities.js"]],function(t,i){var o=t.series.prototype,n=i.defined,e=i.fireEvent;return function(){function t(t,i,n){this.mock=!0,this.series={visible:!0,chart:t,getPlotBox:o.getPlotBox},this.target=i||null,this.options=n,this.applyOptions(this.getOptions())}return t.fromPoint=function(i){return new t(i.series.chart,null,{x:i.x,y:i.y,xAxis:i.series.xAxis,yAxis:i.series.yAxis})},t.pointToPixels=function(t,i){var o,n=t.series,e=n.chart,s=t.plotX||0,r=t.plotY||0;return e.inverted&&(t.mock?(s=t.plotY,r=t.plotX):(s=e.plotWidth-(t.plotY||0),r=e.plotHeight-(t.plotX||0))),n&&!i&&(s+=(o=n.getPlotBox()).translateX,r+=o.translateY),{x:s,y:r}},t.pointToOptions=function(t){return{x:t.x,y:t.y,xAxis:t.series.xAxis,yAxis:t.series.yAxis}},t.prototype.applyOptions=function(t){this.command=t.command,this.setAxis(t,"x"),this.setAxis(t,"y"),this.refresh()},t.prototype.getLabelConfig=function(){return{x:this.x,y:this.y,point:this}},t.prototype.getOptions=function(){return this.hasDynamicOptions()?this.options(this.target):this.options},t.prototype.hasDynamicOptions=function(){return"function"==typeof this.options},t.prototype.isInsidePlot=function(){var t=this.plotX,i=this.plotY,o=this.series.xAxis,s=this.series.yAxis,r={x:t,y:i,isInsidePlot:!0,options:{}};return o&&(r.isInsidePlot=n(t)&&t>=0&&t<=o.len),s&&(r.isInsidePlot=r.isInsidePlot&&n(i)&&i>=0&&i<=s.len),e(this.series.chart,"afterIsInsidePlot",r),r.isInsidePlot},t.prototype.refresh=function(){var t=this.series,i=t.xAxis,o=t.yAxis,n=this.getOptions();i?(this.x=n.x,this.plotX=i.toPixels(n.x,!0)):(this.x=void 0,this.plotX=n.x),o?(this.y=n.y,this.plotY=o.toPixels(n.y,!0)):(this.y=null,this.plotY=n.y),this.isInside=this.isInsidePlot()},t.prototype.refreshOptions=function(){var t=this.series,i=t.xAxis,o=t.yAxis;this.x=this.options.x=i?this.options.x=i.toValue(this.plotX,!0):this.plotX,this.y=this.options.y=o?o.toValue(this.plotY,!0):this.plotY},t.prototype.rotate=function(t,i,o){if(!this.hasDynamicOptions()){var n=Math.cos(o),e=Math.sin(o),s=this.plotX-t,r=this.plotY-i;this.plotX=s*n-r*e+t,this.plotY=s*e+r*n+i,this.refreshOptions()}},t.prototype.scale=function(t,i,o,n){if(!this.hasDynamicOptions()){var e=this.plotX*o,s=this.plotY*n;this.plotX=(1-o)*t+e,this.plotY=(1-n)*i+s,this.refreshOptions()}},t.prototype.setAxis=function(t,i){var o=i+"Axis",e=t[o],s=this.series.chart;this.series[o]="object"==typeof e?e:n(e)?s[o][e]||s.get(e):null},t.prototype.toAnchor=function(){var t=[this.plotX,this.plotY,0,0];return this.series.chart.inverted&&(t[0]=this.plotY,t[1]=this.plotX),t},t.prototype.translate=function(t,i,o,n){this.hasDynamicOptions()||(this.plotX+=o,this.plotY+=n,this.refreshOptions())},t}()}),o(i,"Extensions/Annotations/ControlTarget.js",[i["Extensions/Annotations/ControlPoint.js"],i["Extensions/Annotations/MockPoint.js"],i["Core/Utilities.js"]],function(t,i,o){var n;return function(n){function e(){var i=this,n=this.controlPoints,e=this.options.controlPoints||[];e.forEach(function(s,r){var a=o.merge(i.options.controlPointOptions,s);a.index||(a.index=r),e[r]=a,n.push(new t(i.chart,i,a))})}function s(t){var i=t.series.getPlotBox(),n=t.series.chart,e=t.mock?t.toAnchor():n.tooltip&&n.tooltip.getAnchor.call({chart:t.series.chart},t)||[0,0,0,0],s={x:e[0]+(this.options.x||0),y:e[1]+(this.options.y||0),height:e[2]||0,width:e[3]||0};return{relativePosition:s,absolutePosition:o.merge(s,{x:s.x+(t.mock?i.translateX:n.plotLeft),y:s.y+(t.mock?i.translateY:n.plotTop)})}}function r(){this.controlPoints.forEach(function(t){return t.destroy()}),this.chart=null,this.controlPoints=null,this.points=null,this.options=null,this.annotation&&(this.annotation=null)}function a(){var t=this.options;return t.points||t.point&&o.splat(t.point)}function l(){var t,i,o=this.getPointsOptions(),n=this.points,e=o&&o.length||0;for(t=0;t<e;t++){if(!(i=this.point(o[t],n[t]))){n.length=0;return}i.mock&&i.refresh(),n[t]=i}return n}function h(t,n){if(t&&t.series)return t;if(!n||null===n.series){if(o.isObject(t))n=new i(this.chart,this,t);else if(o.isString(t))n=this.chart.get(t)||null;else if("function"==typeof t){var e=t.call(n,this);n=e.series?e:new i(this.chart,this,t)}}return n}function c(t){this.controlPoints.forEach(function(i){return i.redraw(t)})}function p(){this.controlPoints.forEach(function(t){return t.render()})}function u(t,i,o,n,e){var s=this;if(this.chart.inverted){var r=i;i=o,o=r}this.points.forEach(function(r,a){return s.transformPoint(t,i,o,n,e,a)},this)}function d(t,o,n,e,s,r){var a=this.points[r];a.mock||(a=this.points[r]=i.fromPoint(a)),a[t](o,n,e,s)}function f(t,i){this.transform("translate",null,null,t,i)}function v(t,i,o){this.transformPoint("translate",null,null,t,i,o)}n.compose=function(t){var i=t.prototype;i.addControlPoints||o.merge(!0,i,{addControlPoints:e,anchor:s,destroyControlTarget:r,getPointsOptions:a,linkPoints:l,point:h,redrawControlPoints:c,renderControlPoints:p,transform:u,transformPoint:d,translate:f,translatePoint:v})}}(n||(n={})),n}),o(i,"Extensions/Annotations/Controllables/Controllable.js",[i["Extensions/Annotations/ControlTarget.js"],i["Core/Utilities.js"]],function(t,i){var o=i.merge,n=function(){function t(t,i,o,n){this.annotation=t,this.chart=t.chart,this.collection="label"===n?"labels":"shapes",this.controlPoints=[],this.options=i,this.points=[],this.index=o,this.itemType=n,this.init(t,i,o)}return t.prototype.attr=function(){for(var t=[],i=0;i<arguments.length;i++)t[i]=arguments[i];this.graphic.attr.apply(this.graphic,arguments)},t.prototype.attrsFromOptions=function(t){var i,o,n=this.constructor.attrsMap,e={},s=this.chart.styledMode;for(i in t)o=n[i],void 0===n[i]||s&&-1!==["fill","stroke","stroke-width"].indexOf(o)||(e[o]=t[i]);return e},t.prototype.destroy=function(){this.graphic&&(this.graphic=this.graphic.destroy()),this.tracker&&(this.tracker=this.tracker.destroy()),this.destroyControlTarget()},t.prototype.init=function(t,i,o){this.annotation=t,this.chart=t.chart,this.options=i,this.points=[],this.controlPoints=[],this.index=o,this.linkPoints(),this.addControlPoints()},t.prototype.redraw=function(t){this.redrawControlPoints(t)},t.prototype.render=function(t){this.renderControlPoints()},t.prototype.rotate=function(t,i,o){this.transform("rotate",t,i,o)},t.prototype.scale=function(t,i,o,n){this.transform("scale",t,i,o,n)},t.prototype.setControlPointsVisibility=function(t){this.controlPoints.forEach(function(i){i.setVisibility(t)})},t.prototype.shouldBeDrawn=function(){return!!this.points.length},t.prototype.translateShape=function(t,i,o){var n=this.annotation.chart,e=this.annotation.userOptions,s=n.annotations.indexOf(this.annotation),r=n.options.annotations[s];this.translatePoint(t,i,0),o&&this.translatePoint(t,i,1),r[this.collection][this.index].point=this.options.point,e[this.collection][this.index].point=this.options.point},t.prototype.update=function(t){var i=this.annotation,n=o(!0,this.options,t),e=this.graphic.parentGroup,s=this.constructor;this.destroy(),o(!0,this,new s(i,n,this.index,this.itemType)),this.render(e),this.redraw()},t}();return t.compose(n),n}),o(i,"Extensions/Annotations/Controllables/ControllableDefaults.js",[],function(){return{defaultMarkers:{arrow:{tagName:"marker",attributes:{id:"arrow",refY:5,refX:9,markerWidth:10,markerHeight:10},children:[{tagName:"path",attributes:{d:"M 0 0 L 10 5 L 0 10 Z","stroke-width":0}}]},"reverse-arrow":{tagName:"marker",attributes:{id:"reverse-arrow",refY:5,refX:1,markerWidth:10,markerHeight:10},children:[{tagName:"path",attributes:{d:"M 0 5 L 10 0 L 10 10 Z","stroke-width":0}}]}}}}),o(i,"Extensions/Annotations/Controllables/ControllablePath.js",[i["Extensions/Annotations/Controllables/Controllable.js"],i["Extensions/Annotations/Controllables/ControllableDefaults.js"],i["Core/Globals.js"],i["Core/Utilities.js"]],function(t,i,o,n){var e,s=this&&this.__extends||(e=function(t,i){return(e=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function o(){this.constructor=t}e(t,i),t.prototype=null===i?Object.create(i):(o.prototype=i.prototype,new o)}),r=i.defaultMarkers,a=n.addEvent,l=n.defined,h=n.extend,c=n.merge,p=n.uniqueKey,u=v("marker-end"),d=v("marker-start"),f="rgba(192,192,192,"+(o.svg?1e-4:.002)+")";function v(t){return function(i){this.attr(t,"url(#"+i+")")}}function g(){this.options.defs=c(r,this.options.defs||{})}function y(t,i){var o={attributes:{id:t}},n={stroke:i.color||"none",fill:i.color||"rgba(0, 0, 0, 0.75)"};o.children=i.children&&i.children.map(function(t){return c(n,t)});var e=c(!0,{attributes:{markerWidth:20,markerHeight:20,refX:0,refY:0,orient:"auto"}},i,o),s=this.definition(e);return s.id=t,s}return function(t){function i(i,o,n){var e=t.call(this,i,o,n,"shape")||this;return e.type="path",e}return s(i,t),i.compose=function(t,i){var o=i.prototype;o.addMarker||(a(t,"afterGetContainer",g),o.addMarker=y)},i.prototype.toD=function(){var t=this.options.d;if(t)return"function"==typeof t?t.call(this):t;var i,o=this.points,n=o.length,e=[],s=n,r=o[0],a=s&&this.anchor(r).absolutePosition,l=0;if(a)for(e.push(["M",a.x,a.y]);++l<n&&s;)i=(r=o[l]).command||"L",a=this.anchor(r).absolutePosition,"M"===i?e.push([i,a.x,a.y]):"L"===i?e.push([i,a.x,a.y]):"Z"===i&&e.push([i]),s=r.series.visible;return s&&this.graphic?this.chart.renderer.crispLine(e,this.graphic.strokeWidth()):null},i.prototype.shouldBeDrawn=function(){return t.prototype.shouldBeDrawn.call(this)||!!this.options.d},i.prototype.render=function(i){var o=this.options,n=this.attrsFromOptions(o);this.graphic=this.annotation.chart.renderer.path([["M",0,0]]).attr(n).add(i),o.className&&this.graphic.addClass(o.className),this.tracker=this.annotation.chart.renderer.path([["M",0,0]]).addClass("highcharts-tracker-line").attr({zIndex:2}).add(i),this.annotation.chart.styledMode||this.tracker.attr({"stroke-linejoin":"round",stroke:f,fill:f,"stroke-width":this.graphic.strokeWidth()+2*o.snap}),t.prototype.render.call(this),h(this.graphic,{markerStartSetter:d,markerEndSetter:u}),this.setMarkers(this)},i.prototype.redraw=function(i){if(this.graphic){var o=this.toD(),n=i?"animate":"attr";o?(this.graphic[n]({d:o}),this.tracker[n]({d:o})):(this.graphic.attr({d:"M 0 -9000000000"}),this.tracker.attr({d:"M 0 -9000000000"})),this.graphic.placed=this.tracker.placed=!!o}t.prototype.redraw.call(this,i)},i.prototype.setMarkers=function(t){var i=t.options,o=t.chart,n=o.options.defs,e=i.fill,s=l(e)&&"none"!==e?e:i.stroke;["markerStart","markerEnd"].forEach(function(e){var r,a,l,h,u=i[e];if(u){for(l in n)if((u===((r=n[l]).attributes&&r.attributes.id)||u===r.id)&&"marker"===r.tagName){a=r;break}a&&(h=t[e]=o.renderer.addMarker((i.id||p())+"-"+u,c(a,{color:s})),t.attr(e,h.getAttribute("id")))}})},i.attrsMap={dashStyle:"dashstyle",strokeWidth:"stroke-width",stroke:"stroke",fill:"fill",zIndex:"zIndex"},i}(t)}),o(i,"Extensions/Annotations/Controllables/ControllableRect.js",[i["Extensions/Annotations/Controllables/Controllable.js"],i["Extensions/Annotations/Controllables/ControllablePath.js"],i["Core/Utilities.js"]],function(t,i,o){var n,e=this&&this.__extends||(n=function(t,i){return(n=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function o(){this.constructor=t}n(t,i),t.prototype=null===i?Object.create(i):(o.prototype=i.prototype,new o)}),s=o.merge;return function(t){function o(i,o,n){var e=t.call(this,i,o,n,"shape")||this;return e.type="rect",e.translate=t.prototype.translateShape,e}return e(o,t),o.prototype.render=function(i){var o=this.attrsFromOptions(this.options);this.graphic=this.annotation.chart.renderer.rect(0,-9e9,0,0).attr(o).add(i),t.prototype.render.call(this)},o.prototype.redraw=function(i){if(this.graphic){var o=this.anchor(this.points[0]).absolutePosition;o?this.graphic[i?"animate":"attr"]({x:o.x,y:o.y,width:this.options.width,height:this.options.height}):this.attr({x:0,y:-9e9}),this.graphic.placed=!!o}t.prototype.redraw.call(this,i)},o.attrsMap=s(i.attrsMap,{width:"width",height:"height"}),o}(t)}),o(i,"Extensions/Annotations/Controllables/ControllableCircle.js",[i["Extensions/Annotations/Controllables/Controllable.js"],i["Extensions/Annotations/Controllables/ControllablePath.js"],i["Core/Utilities.js"]],function(t,i,o){var n,e=this&&this.__extends||(n=function(t,i){return(n=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function o(){this.constructor=t}n(t,i),t.prototype=null===i?Object.create(i):(o.prototype=i.prototype,new o)}),s=o.merge;return function(t){function o(i,o,n){var e=t.call(this,i,o,n,"shape")||this;return e.type="circle",e.translate=t.prototype.translateShape,e}return e(o,t),o.prototype.redraw=function(i){if(this.graphic){var o=this.anchor(this.points[0]).absolutePosition;o?this.graphic[i?"animate":"attr"]({x:o.x,y:o.y,r:this.options.r}):this.graphic.attr({x:0,y:-9e9}),this.graphic.placed=!!o}t.prototype.redraw.call(this,i)},o.prototype.render=function(i){var o=this.attrsFromOptions(this.options);this.graphic=this.annotation.chart.renderer.circle(0,-9e9,0).attr(o).add(i),t.prototype.render.call(this)},o.prototype.setRadius=function(t){this.options.r=t},o.attrsMap=s(i.attrsMap,{r:"r"}),o}(t)}),o(i,"Extensions/Annotations/Controllables/ControllableEllipse.js",[i["Extensions/Annotations/Controllables/Controllable.js"],i["Extensions/Annotations/Controllables/ControllablePath.js"],i["Core/Utilities.js"]],function(t,i,o){var n,e=this&&this.__extends||(n=function(t,i){return(n=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function o(){this.constructor=t}n(t,i),t.prototype=null===i?Object.create(i):(o.prototype=i.prototype,new o)}),s=o.merge,r=o.defined;return function(t){function o(i,o,n){var e=t.call(this,i,o,n,"shape")||this;return e.type="ellipse",e}return e(o,t),o.prototype.init=function(i,o,n){r(o.yAxis)&&o.points.forEach(function(t){t.yAxis=o.yAxis}),r(o.xAxis)&&o.points.forEach(function(t){t.xAxis=o.xAxis}),t.prototype.init.call(this,i,o,n)},o.prototype.render=function(i){this.graphic=this.annotation.chart.renderer.createElement("ellipse").attr(this.attrsFromOptions(this.options)).add(i),t.prototype.render.call(this)},o.prototype.translate=function(i,o){t.prototype.translateShape.call(this,i,o,!0)},o.prototype.getDistanceFromLine=function(t,i,o,n){return Math.abs((i.y-t.y)*o-(i.x-t.x)*n+i.x*t.y-i.y*t.x)/Math.sqrt((i.y-t.y)*(i.y-t.y)+(i.x-t.x)*(i.x-t.x))},o.prototype.getAttrs=function(t,i){var o=t.x,n=t.y,e=i.x,s=i.y,r=(o+e)/2,a=180*Math.atan((s-n)/(e-o))/Math.PI;return r<o&&(a+=180),{cx:r,cy:(n+s)/2,rx:Math.sqrt((o-e)*(o-e)/4+(n-s)*(n-s)/4),ry:this.getRY(),angle:a}},o.prototype.getRY=function(){var t=this.getYAxis();return r(t)?Math.abs(t.toPixels(this.options.ry)-t.toPixels(0)):this.options.ry},o.prototype.getYAxis=function(){var t=this.options.yAxis;return this.chart.yAxis[t]},o.prototype.getAbsolutePosition=function(t){return this.anchor(t).absolutePosition},o.prototype.redraw=function(i){if(this.graphic){var o=this.getAbsolutePosition(this.points[0]),n=this.getAbsolutePosition(this.points[1]),e=this.getAttrs(o,n);o?this.graphic[i?"animate":"attr"]({cx:e.cx,cy:e.cy,rx:e.rx,ry:e.ry,rotation:e.angle,rotationOriginX:e.cx,rotationOriginY:e.cy}):this.graphic.attr({x:0,y:-9e9}),this.graphic.placed=!!o}t.prototype.redraw.call(this,i)},o.prototype.setYRadius=function(t){var i=this.annotation.userOptions.shapes;this.options.ry=t,i&&i[0]&&(i[0].ry=t,i[0].ry=t)},o.attrsMap=s(i.attrsMap,{ry:"ry"}),o}(t)}),o(i,"Extensions/Annotations/Controllables/ControllableLabel.js",[i["Extensions/Annotations/Controllables/Controllable.js"],i["Core/Templating.js"],i["Extensions/Annotations/MockPoint.js"],i["Core/Utilities.js"]],function(t,i,o,n){var e,s=this&&this.__extends||(e=function(t,i){return(e=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function o(){this.constructor=t}e(t,i),t.prototype=null===i?Object.create(i):(o.prototype=i.prototype,new o)}),r=i.format,a=n.extend,l=n.isNumber,h=n.pick;function c(t,i,o,n,e){var s,r,a=e&&e.anchorX,h=e&&e.anchorY,c=o/2;return l(a)&&l(h)&&(s=[["M",a,h]],(r=i-h)<0&&(r=-n-r),r<o&&(c=a<t+o/2?r:o-r),h>i+n?s.push(["L",t+c,i+n]):h<i?s.push(["L",t+c,i]):a<t?s.push(["L",t,i+n/2]):a>t+o&&s.push(["L",t+o,i+n/2])),s||[]}return function(t){function i(i,o,n){return t.call(this,i,o,n,"label")||this}return s(i,t),i.alignedPosition=function(t,i){var o,n,e=t.align,s=t.verticalAlign,r=(i.x||0)+(t.x||0),a=(i.y||0)+(t.y||0);return"right"===e?o=1:"center"===e&&(o=2),o&&(r+=(i.width-(t.width||0))/o),"bottom"===s?n=1:"middle"===s&&(n=2),n&&(a+=(i.height-(t.height||0))/n),{x:Math.round(r),y:Math.round(a)}},i.compose=function(t){t.prototype.symbols.connector=c},i.justifiedOptions=function(t,i,o,n){var e,s=o.align,r=o.verticalAlign,a=i.box?0:i.padding||0,l=i.getBBox(),h={align:s,verticalAlign:r,x:o.x,y:o.y,width:i.width,height:i.height},c=(n.x||0)-t.plotLeft,p=(n.y||0)-t.plotTop;return(e=c+a)<0&&("right"===s?h.align="left":h.x=(h.x||0)-e),(e=c+l.width-a)>t.plotWidth&&("left"===s?h.align="right":h.x=(h.x||0)+t.plotWidth-e),(e=p+a)<0&&("bottom"===r?h.verticalAlign="top":h.y=(h.y||0)-e),(e=p+l.height-a)>t.plotHeight&&("top"===r?h.verticalAlign="bottom":h.y=(h.y||0)+t.plotHeight-e),h},i.prototype.translatePoint=function(i,o){t.prototype.translatePoint.call(this,i,o,0)},i.prototype.translate=function(t,i){var o=this.annotation.chart,n=this.annotation.userOptions,e=o.annotations.indexOf(this.annotation),s=o.options.annotations[e];if(o.inverted){var r=t;t=i,i=r}this.options.x+=t,this.options.y+=i,s[this.collection][this.index].x=this.options.x,s[this.collection][this.index].y=this.options.y,n[this.collection][this.index].x=this.options.x,n[this.collection][this.index].y=this.options.y},i.prototype.render=function(o){var n=this.options,e=this.attrsFromOptions(n),s=n.style;this.graphic=this.annotation.chart.renderer.label("",0,-9999,n.shape,null,null,n.useHTML,null,"annotation-label").attr(e).add(o),this.annotation.chart.styledMode||("contrast"===s.color&&(s.color=this.annotation.chart.renderer.getContrast(i.shapesWithoutBackground.indexOf(n.shape)>-1?"#FFFFFF":n.backgroundColor)),this.graphic.css(n.style).shadow(n.shadow)),n.className&&this.graphic.addClass(n.className),this.graphic.labelrank=n.labelrank,t.prototype.render.call(this)},i.prototype.redraw=function(i){var o=this.options,n=this.text||o.format||o.text,e=this.graphic,s=this.points[0];if(!e){this.redraw(i);return}e.attr({text:n?r(String(n),s.getLabelConfig(),this.annotation.chart):o.formatter.call(s,this)});var a=this.anchor(s),l=this.position(a);l?(e.alignAttr=l,l.anchorX=a.absolutePosition.x,l.anchorY=a.absolutePosition.y,e[i?"animate":"attr"](l)):e.attr({x:0,y:-9999}),e.placed=!!l,t.prototype.redraw.call(this,i)},i.prototype.anchor=function(i){var o=t.prototype.anchor.apply(this,arguments),n=this.options.x||0,e=this.options.y||0;return o.absolutePosition.x-=n,o.absolutePosition.y-=e,o.relativePosition.x-=n,o.relativePosition.y-=e,o},i.prototype.position=function(t){var n,e,s,r,l=this.graphic,c=this.annotation.chart,p=c.tooltip,u=this.points[0],d=this.options,f=t.absolutePosition,v=t.relativePosition,g=u.series.visible&&o.prototype.isInsidePlot.call(u);if(l&&g){var y=l.width,m=void 0===y?0:y,x=l.height,b=void 0===x?0:x;d.distance&&p?n=p.getPosition.call({chart:c,distance:h(d.distance,16),getPlayingField:p.getPlayingField,pointer:p.pointer},m,b,{plotX:v.x,plotY:v.y,negative:u.negative,ttBelow:u.ttBelow,h:v.height||v.width}):d.positioner?n=d.positioner.call(this):(e={x:f.x,y:f.y,width:0,height:0},n=i.alignedPosition(a(d,{width:m,height:b}),e),"justify"===this.options.overflow&&(n=i.alignedPosition(i.justifiedOptions(c,l,d,n),e))),d.crop&&(s=n.x-c.plotLeft,r=n.y-c.plotTop,g=c.isInsidePlot(s,r)&&c.isInsidePlot(s+m,r+b))}return g?n:null},i.attrsMap={backgroundColor:"fill",borderColor:"stroke",borderWidth:"stroke-width",zIndex:"zIndex",borderRadius:"r",padding:"padding"},i.shapesWithoutBackground=["connector"],i}(t)}),o(i,"Extensions/Annotations/Controllables/ControllableImage.js",[i["Extensions/Annotations/Controllables/Controllable.js"],i["Extensions/Annotations/Controllables/ControllableLabel.js"]],function(t,i){var o,n=this&&this.__extends||(o=function(t,i){return(o=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function n(){this.constructor=t}o(t,i),t.prototype=null===i?Object.create(i):(n.prototype=i.prototype,new n)});return function(t){function o(i,o,n){var e=t.call(this,i,o,n,"shape")||this;return e.type="image",e.translate=t.prototype.translateShape,e}return n(o,t),o.prototype.render=function(i){var o=this.attrsFromOptions(this.options),n=this.options;this.graphic=this.annotation.chart.renderer.image(n.src,0,-9e9,n.width,n.height).attr(o).add(i),this.graphic.width=n.width,this.graphic.height=n.height,t.prototype.render.call(this)},o.prototype.redraw=function(o){if(this.graphic){var n=this.anchor(this.points[0]),e=i.prototype.position.call(this,n);e?this.graphic[o?"animate":"attr"]({x:e.x,y:e.y}):this.graphic.attr({x:0,y:-9e9}),this.graphic.placed=!!e}t.prototype.redraw.call(this,o)},o.attrsMap={width:"width",height:"height",zIndex:"zIndex"},o}(t)}),o(i,"Shared/BaseForm.js",[i["Core/Renderer/HTML/AST.js"],i["Core/Utilities.js"]],function(t,i){var o=i.addEvent,n=i.createElement;return function(){function i(t,i){this.iconsURL=i,this.container=this.createPopupContainer(t),this.closeButton=this.addCloseButton()}return i.prototype.createPopupContainer=function(t,i){return void 0===i&&(i="highcharts-popup highcharts-no-tooltip"),n("div",{className:i},void 0,t)},i.prototype.addCloseButton=function(t){void 0===t&&(t="highcharts-popup-close");var i=this,e=this.iconsURL,s=n("button",{className:t},void 0,this.container);return s.style["background-image"]="url("+(e.match(/png|svg|jpeg|jpg|gif/ig)?e:e+"close.svg")+")",["click","touchstart"].forEach(function(t){o(s,t,i.closeButtonEvents.bind(i))}),o(document,"keydown",function(t){"Escape"===t.code&&i.closeButtonEvents()}),s},i.prototype.closeButtonEvents=function(){this.closePopup()},i.prototype.showPopup=function(i){void 0===i&&(i="highcharts-annotation-toolbar");var o=this.container,n=this.closeButton;this.type=void 0,o.innerHTML=t.emptyHTML,o.className.indexOf(i)>=0&&(o.classList.remove(i),o.removeAttribute("style")),o.appendChild(n),o.style.display="block",o.style.height=""},i.prototype.closePopup=function(){this.container.style.display="none"},i}()}),o(i,"Extensions/Annotations/Popup/PopupAnnotations.js",[i["Core/Globals.js"],i["Core/Utilities.js"]],function(t,i){var o=t.doc,n=t.isFirefox,e=i.createElement,s=i.isArray,r=i.isObject,a=i.objectEach,l=i.pick,h=i.stableSort;function c(t,i,l,p,u,d){var f,v,g=this;if(i){var y=this.addInput,m=this.lang;a(p,function(o,n){f=""!==l?l+"."+n:n,r(o)&&(!s(o)||s(o)&&r(o[0])?((v=m[n]||n).match(/\d/g)||u.push([!0,v,t]),c.call(g,t,i,f,o,u,!1)):u.push([g,f,"annotation",t,o]))}),d&&(h(u,function(t){return t[1].match(/format/g)?-1:1}),n&&u.reverse(),u.forEach(function(t){!0===t[0]?e("span",{className:"highcharts-annotation-title"},void 0,t[2]).appendChild(o.createTextNode(t[1])):(t[4]={value:t[4][0],type:t[4][1]},y.apply(t[0],t.splice(1)))}))}}return{addForm:function(t,i,n,s){if(t){var r=this.container,a=this.lang,l=e("h2",{className:"highcharts-popup-main-title"},void 0,r);l.appendChild(o.createTextNode(a[i.langKey]||i.langKey||"")),l=e("div",{className:"highcharts-popup-lhs-col highcharts-popup-lhs-full"},void 0,r);var h=e("div",{className:"highcharts-popup-bottom-row"},void 0,r);c.call(this,l,t,"",i,[],!0),this.addButton(h,s?a.addButton||"Add":a.saveButton||"Save",s?"add":"save",r,n)}},addToolbar:function(t,i,n){var s=this,r=this.lang,a=this.container,h=this.showForm,c="highcharts-annotation-toolbar";-1===a.className.indexOf(c)&&(a.className+=" "+c+" highcharts-no-mousewheel"),t&&(a.style.top=t.plotTop+10+"px");var p=e("p",{className:"highcharts-annotation-label"},void 0,a);p.setAttribute("aria-label","Annotation type"),p.appendChild(o.createTextNode(l(r[i.langKey]||i.langKey,i.shapes&&i.shapes[0].type,"")));var u=this.addButton(a,r.editButton||"Edit","edit",a,function(){h.call(s,"annotation-edit",t,i,n)});u.className+=" highcharts-annotation-edit-button",u.style["background-image"]="url("+this.iconsURL+"edit.svg)",u=this.addButton(a,r.removeButton||"Remove","remove",a,n),u.className+=" highcharts-annotation-remove-button",u.style["background-image"]="url("+this.iconsURL+"destroy.svg)"}}}),o(i,"Extensions/Annotations/Popup/PopupIndicators.js",[i["Core/Renderer/HTML/AST.js"],i["Core/Globals.js"],i["Core/Series/SeriesRegistry.js"],i["Core/Utilities.js"]],function(t,i,o,n){var e,s,r=i.doc,a=o.seriesTypes,l=n.addEvent,h=n.createElement,c=n.defined,p=n.isArray,u=n.isObject,d=n.objectEach,f=n.stableSort;(e=s||(s={}))[e["params.algorithm"]=0]="params.algorithm",e[e["params.average"]=1]="params.average";var v={"algorithm-pivotpoints":["standard","fibonacci","camarilla"],"average-disparityindex":["sma","ema","dema","tema","wma"]};function g(t){var i=h("div",{className:"highcharts-popup-lhs-col"},void 0,t),o=h("div",{className:"highcharts-popup-rhs-col"},void 0,t);return h("div",{className:"highcharts-popup-rhs-col-wrapper"},void 0,o),{lhsCol:i,rhsCol:o}}function y(i,o,n,e){var s=o.params||o.options.params;e.innerHTML=t.emptyHTML,h("h3",{className:"highcharts-indicator-title"},void 0,e).appendChild(r.createTextNode(w(o,n).indicatorFullName)),h("input",{type:"hidden",name:"highcharts-type-"+n,value:n},void 0,e),k.call(this,n,"series",i,e,o,o.linkedParent&&o.linkedParent.options.id),s.volumeSeriesID&&k.call(this,n,"volume",i,e,o,o.linkedParent&&s.volumeSeriesID),x.call(this,i,"params",s,n,e)}function m(i,o,n,e){function s(t,o){var n=b.parentNode.children[1];y.call(r,i,t,o,b),n&&(n.style.display="block"),d&&t.options&&h("input",{type:"hidden",name:"highcharts-id-"+o,value:t.options.id},void 0,b).setAttribute("highcharts-data-series-id",t.options.id)}var r=this,a=r.lang,c=o.querySelectorAll(".highcharts-popup-lhs-col")[0],u=o.querySelectorAll(".highcharts-popup-rhs-col")[0],d="edit"===n,v=d?i.series:i.options.plotOptions||{};if(i||!v){var g,m=[];d||p(v)?p(v)&&(m=P.call(this,v)):m=E.call(this,v,e),f(m,function(t,i){var o=t.indicatorFullName.toLowerCase(),n=i.indicatorFullName.toLowerCase();return o<n?-1:o>n?1:0}),c.children[1]&&c.children[1].remove();var x=h("ul",{className:"highcharts-indicator-list"},void 0,c),b=u.querySelectorAll(".highcharts-popup-rhs-col-wrapper")[0];if(m.forEach(function(t){var i=t.indicatorFullName,o=t.indicatorType,n=t.series;g=h("li",{className:"highcharts-indicator-list"},void 0,x);var e=h("button",{className:"highcharts-indicator-list-item",textContent:i},void 0,g);["click","touchstart"].forEach(function(t){l(e,t,function(){s(n,o)})})}),m.length>0){var A=m[0];s(A.series,A.indicatorType)}else d||(t.setElementHTML(b.parentNode.children[0],a.noFilterMatch||""),b.parentNode.children[1].style.display="none")}}function x(t,i,o,n,e){var r=this;if(t){var a=this.addInput;d(o,function(o,l){var h=i+"."+l;if(c(o)&&h){if(u(o)&&(a.call(r,h,n,e,{}),x.call(r,t,h,o,n,e)),h in s){var d=A.call(r,n,h,e);C.call(r,t,i,d,n,l,o)}else"params.volumeSeriesID"===h||p(o)||a.call(r,h,n,e,{value:o,type:"number"})}})}}function b(t,i){var o=this,n=i.querySelectorAll(".highcharts-popup-lhs-col")[0],e=this.lang.clearFilter,s=h("div",{className:"highcharts-input-wrapper"},void 0,n),r=function(i){m.call(o,t,o.container,"add",i)},a=this.addInput("searchIndicators","input",s,{value:"",type:"text",htmlFor:"search-indicators",labelClassName:"highcharts-input-search-indicators-label"}),c=h("a",{textContent:e},void 0,s);a.classList.add("highcharts-input-search-indicators"),c.classList.add("clear-filter-button"),l(a,"input",function(){r(this.value),this.value.length?c.style.display="inline-block":c.style.display="none"}),["click","touchstart"].forEach(function(t){l(c,t,function(){a.value="",r(""),c.style.display="none"})})}function A(t,i,o){var n=i.split("."),e=n[n.length-1],s="highcharts-"+i+"-type-"+t,a=this.lang;h("label",{htmlFor:s},null,o).appendChild(r.createTextNode(a[e]||i));var l=h("select",{name:s,className:"highcharts-popup-field",id:"highcharts-select-"+i},null,o);return l.setAttribute("id","highcharts-select-"+i),l}function C(t,i,o,n,e,s,a){"series"===i||"volume"===i?t.series.forEach(function(t){var n=t.options,e=n.name||n.params?t.name:n.id||"";"highcharts-navigator-series"!==n.id&&n.id!==(a&&a.options&&a.options.id)&&(c(s)||"volume"!==i||"column"!==t.type||(s=n.id),h("option",{value:n.id},void 0,o).appendChild(r.createTextNode(e)))}):n&&e&&v[e+"-"+n].forEach(function(t){h("option",{value:t},void 0,o).appendChild(r.createTextNode(t))}),c(s)&&(o.value=s)}function E(t,i){var o,n=this.chart&&this.chart.options.lang,e=n&&n.navigation&&n.navigation.popup&&n.navigation.popup.indicatorAliases,s=[];return d(t,function(t,n){var r=t&&t.options;if(t.params||r&&r.params){var a=w(t,n),l=a.indicatorFullName,h=a.indicatorType;if(i){var c=RegExp(i.replace(/[.*+?^${}()|[\]\\]/g,"\\$&"),"i"),p=e&&e[h]&&e[h].join(" ")||"";(l.match(c)||p.match(c))&&(o={indicatorFullName:l,indicatorType:h,series:t},s.push(o))}else o={indicatorFullName:l,indicatorType:h,series:t},s.push(o)}}),s}function P(t){var i=[];return t.forEach(function(t){t.is("sma")&&i.push({indicatorFullName:t.name,indicatorType:t.type,series:t})}),i}function w(t,i){var o=t.options,n=a[i]&&a[i].prototype.nameBase||i.toUpperCase(),e=i;return o&&o.type&&(e=t.options.type,n=t.name),{indicatorFullName:n,indicatorType:e}}function k(t,i,o,n,e,s){if(o){var r=A.call(this,t,i,n);C.call(this,o,i,r,void 0,void 0,void 0,e),c(s)&&(r.value=s)}}return{addForm:function(t,i,o){var n,e=this.lang;if(t){this.tabs.init.call(this,t);var s=this.container.querySelectorAll(".highcharts-tab-item-content");g(s[0]),b.call(this,t,s[0]),m.call(this,t,s[0],"add"),n=s[0].querySelectorAll(".highcharts-popup-rhs-col")[0],this.addButton(n,e.addButton||"add","add",n,o),g(s[1]),m.call(this,t,s[1],"edit"),n=s[1].querySelectorAll(".highcharts-popup-rhs-col")[0],this.addButton(n,e.saveButton||"save","edit",n,o),this.addButton(n,e.removeButton||"remove","remove",n,o)}},getAmount:function(){var t=0;return this.series.forEach(function(i){(i.params||i.options.params)&&t++}),t}}}),o(i,"Extensions/Annotations/Popup/PopupTabs.js",[i["Core/Globals.js"],i["Core/Utilities.js"]],function(t,i){var o=t.doc,n=i.addEvent,e=i.createElement;function s(){return e("div",{className:"highcharts-tab-item-content highcharts-no-mousewheel"},void 0,this.container)}function r(t,i){var n=this.container,s=this.lang,r="highcharts-tab-item";0===i&&(r+=" highcharts-tab-disabled");var a=e("button",{className:r},void 0,n);return a.appendChild(o.createTextNode(s[t+"Button"]||t)),a.setAttribute("highcharts-data-tab-type",t),a}function a(){for(var t=this.container,i=t.querySelectorAll(".highcharts-tab-item"),o=t.querySelectorAll(".highcharts-tab-item-content"),n=0;n<i.length;n++)i[n].classList.remove("highcharts-tab-item-active"),o[n].classList.remove("highcharts-tab-item-show")}function l(t,i){var o=this.container.querySelectorAll(".highcharts-tab-item-content");t.className+=" highcharts-tab-item-active",o[i].className+=" highcharts-tab-item-show"}function h(t){var i=this;this.container.querySelectorAll(".highcharts-tab-item").forEach(function(o,e){(0!==t||"edit"!==o.getAttribute("highcharts-data-tab-type"))&&["click","touchstart"].forEach(function(t){n(o,t,function(){a.call(i),l.call(i,this,e)})})})}return{init:function(t){if(t){var i=this.indicators.getAmount.call(t),o=r.call(this,"add");r.call(this,"edit",i),s.call(this),s.call(this),h.call(this,i),l.call(this,o,0)}}}}),o(i,"Extensions/Annotations/Popup/Popup.js",[i["Shared/BaseForm.js"],i["Core/Globals.js"],i["Core/Defaults.js"],i["Extensions/Annotations/Popup/PopupAnnotations.js"],i["Extensions/Annotations/Popup/PopupIndicators.js"],i["Extensions/Annotations/Popup/PopupTabs.js"],i["Core/Utilities.js"]],function(t,i,o,n,e,s,r){var a,l=this&&this.__extends||(a=function(t,i){return(a=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function o(){this.constructor=t}a(t,i),t.prototype=null===i?Object.create(i):(o.prototype=i.prototype,new o)}),h=i.doc,c=o.getOptions,p=r.addEvent,u=r.createElement,d=r.extend,f=r.fireEvent,v=r.pick,g=function(t){function i(i,o,n){var e=t.call(this,i,o)||this;return e.chart=n,e.lang=(c().lang.navigation||{}).popup||{},p(e.container,"mousedown",function(){var t=n&&n.navigationBindings&&n.navigationBindings.activeAnnotation;if(t){t.cancelClick=!0;var i=p(h,"click",function(){setTimeout(function(){t.cancelClick=!1},0),i()})}}),e}return l(i,t),i.prototype.addInput=function(t,i,o,n){var e=t.split("."),s=e[e.length-1],r=this.lang,a="highcharts-"+i+"-"+v(n.htmlFor,s);s.match(/^\d+$/)||u("label",{htmlFor:a,className:n.labelClassName},void 0,o).appendChild(h.createTextNode(r[s]||s));var l=u("input",{name:a,value:n.value,type:n.type,className:"highcharts-popup-field"},void 0,o);return l.setAttribute("highcharts-data-name",t),l},i.prototype.closeButtonEvents=function(){if(this.chart){var i=this.chart.navigationBindings;f(i,"closePopup"),i&&i.selectedButtonElement&&f(i,"deselectButton",{button:i.selectedButtonElement})}else t.prototype.closeButtonEvents.call(this)},i.prototype.addButton=function(t,i,o,n,e){var s=this,r=u("button",void 0,void 0,t);return r.appendChild(h.createTextNode(i)),e&&["click","touchstart"].forEach(function(t){p(r,t,function(){var t,i,r,a,l;return s.closePopup(),e((t=Array.prototype.slice.call(n.querySelectorAll("input")),i=Array.prototype.slice.call(n.querySelectorAll("select")),r=n.querySelectorAll("#highcharts-select-series > option:checked")[0],a=n.querySelectorAll("#highcharts-select-volume > option:checked")[0],l={actionType:o,linkedTo:r&&r.getAttribute("value")||"",fields:{}},t.forEach(function(t){var i=t.getAttribute("highcharts-data-name");t.getAttribute("highcharts-data-series-id")?l.seriesId=t.value:i?l.fields[i]=t.value:l.type=t.value}),i.forEach(function(t){var i=t.id;if("highcharts-select-series"!==i&&"highcharts-select-volume"!==i){var o=i.split("highcharts-select-")[1];l.fields[o]=t.value}}),a&&(l.fields["params.volumeSeriesID"]=a.getAttribute("value")||""),l))})}),r},i.prototype.showForm=function(t,i,o,n){i&&(this.showPopup(),"indicators"===t&&this.indicators.addForm.call(this,i,o,n),"annotation-toolbar"===t&&this.annotations.addToolbar.call(this,i,o,n),"annotation-edit"===t&&this.annotations.addForm.call(this,i,o,n),"flag"===t&&this.annotations.addForm.call(this,i,o,n,!0),this.type=t,this.container.style.height=this.container.offsetHeight+"px")},i}(t);return d(g.prototype,{annotations:n,indicators:e,tabs:s}),g}),o(i,"Extensions/Annotations/Popup/PopupComposition.js",[i["Core/Globals.js"],i["Extensions/Annotations/Popup/Popup.js"],i["Core/Utilities.js"]],function(t,i,o){var n=t.composed,e=o.addEvent,s=o.pushUnique,r=o.wrap;function a(){this.popup&&this.popup.closePopup()}function l(t){this.popup||(this.popup=new i(this.chart.container,this.chart.options.navigation.iconsURL||this.chart.options.stockTools&&this.chart.options.stockTools.gui.iconsURL||"https://code.highcharts.com/11.4.0/gfx/stock-icons/",this.chart)),this.popup.showForm(t.formType,this.chart,t.options,t.onSubmit)}function h(t,i){this.inClass(i.target,"highcharts-popup")||t.apply(this,Array.prototype.slice.call(arguments,1))}return{compose:function(t,i){s(n,"Popup")&&(e(t,"closePopup",a),e(t,"showPopup",l),r(i.prototype,"onContainerMouseDown",h))}}}),o(i,"Extensions/Annotations/Annotation.js",[i["Core/Animation/AnimationUtilities.js"],i["Extensions/Annotations/AnnotationChart.js"],i["Extensions/Annotations/AnnotationDefaults.js"],i["Extensions/Annotations/Controllables/ControllableRect.js"],i["Extensions/Annotations/Controllables/ControllableCircle.js"],i["Extensions/Annotations/Controllables/ControllableEllipse.js"],i["Extensions/Annotations/Controllables/ControllablePath.js"],i["Extensions/Annotations/Controllables/ControllableImage.js"],i["Extensions/Annotations/Controllables/ControllableLabel.js"],i["Extensions/Annotations/ControlPoint.js"],i["Extensions/Annotations/ControlTarget.js"],i["Extensions/Annotations/EventEmitter.js"],i["Extensions/Annotations/MockPoint.js"],i["Extensions/Annotations/Popup/PopupComposition.js"],i["Core/Utilities.js"]],function(t,i,o,n,e,s,r,a,l,h,c,p,u,d,f){var v,g=this&&this.__extends||(v=function(t,i){return(v=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,i){t.__proto__=i}||function(t,i){for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])})(t,i)},function(t,i){if("function"!=typeof i&&null!==i)throw TypeError("Class extends value "+String(i)+" is not a constructor or null");function o(){this.constructor=t}v(t,i),t.prototype=null===i?Object.create(i):(o.prototype=i.prototype,new o)}),y=t.getDeferredAnimation,m=f.destroyObjectProperties,x=f.erase,b=f.fireEvent,A=f.merge,C=f.pick,E=f.splat;function P(t,i){var o={};return["labels","shapes"].forEach(function(n){var e=t[n];e&&(i[n]?o[n]=E(i[n]).map(function(t,i){return A(e[i],t)}):o[n]=t[n])}),o}var w=function(t){function o(i,o){var n=t.call(this)||this;n.coll="annotations",n.chart=i,n.points=[],n.controlPoints=[],n.coll="annotations",n.index=-1,n.labels=[],n.shapes=[],n.options=A(n.defaultOptions,o),n.userOptions=o;var e=P(n.options,o);return n.options.labels=e.labels,n.options.shapes=e.shapes,n.init(i,n.options),n}return g(o,t),o.compose=function(t,n,e,s){i.compose(o,t,e),l.compose(s),r.compose(t,s),n.compose(o,t),d.compose(n,e)},o.prototype.addClipPaths=function(){this.setClipAxes(),this.clipXAxis&&this.clipYAxis&&this.options.crop&&(this.clipRect=this.chart.renderer.clipRect(this.getClipBox()))},o.prototype.addLabels=function(){var t=this,i=this.options.labels||[];i.forEach(function(o,n){var e=t.initLabel(o,n);A(!0,i[n],e.options)})},o.prototype.addShapes=function(){var t=this,i=this.options.shapes||[];i.forEach(function(o,n){var e=t.initShape(o,n);A(!0,i[n],e.options)})},o.prototype.destroy=function(){var i=this.chart,o=function(t){t.destroy()};this.labels.forEach(o),this.shapes.forEach(o),this.clipXAxis=null,this.clipYAxis=null,x(i.labelCollectors,this.labelCollector),t.prototype.destroy.call(this),this.destroyControlTarget(),m(this,i)},o.prototype.destroyItem=function(t){x(this[t.itemType+"s"],t),t.destroy()},o.prototype.getClipBox=function(){if(this.clipXAxis&&this.clipYAxis)return{x:this.clipXAxis.left,y:this.clipYAxis.top,width:this.clipXAxis.width,height:this.clipYAxis.height}},o.prototype.initProperties=function(t,i){this.setOptions(i);var o=P(this.options,i);this.options.labels=o.labels,this.options.shapes=o.shapes,this.chart=t,this.points=[],this.controlPoints=[],this.coll="annotations",this.userOptions=i,this.labels=[],this.shapes=[]},o.prototype.init=function(t,i,o){void 0===o&&(o=this.index);var n=this.chart,e=this.options.animation;this.index=o,this.linkPoints(),this.addControlPoints(),this.addShapes(),this.addLabels(),this.setLabelCollector(),this.animationConfig=y(n,e)},o.prototype.initLabel=function(t,i){var o=new l(this,A(this.options.labelOptions,{controlPointOptions:this.options.controlPointOptions},t),i);return o.itemType="label",this.labels.push(o),o},o.prototype.initShape=function(t,i){var n=A(this.options.shapeOptions,{controlPointOptions:this.options.controlPointOptions},t),e=new o.shapesMap[n.type](this,n,i);return e.itemType="shape",this.shapes.push(e),e},o.prototype.redraw=function(t){this.linkPoints(),this.graphic||this.render(),this.clipRect&&this.clipRect.animate(this.getClipBox()),this.redrawItems(this.shapes,t),this.redrawItems(this.labels,t),this.redrawControlPoints(t)},o.prototype.redrawItem=function(t,i){if(t.linkPoints(),t.shouldBeDrawn()){if(t.graphic||this.renderItem(t),t.redraw(C(i,!0)&&t.graphic.placed),t.points.length){var o,n;o=t.graphic,n=t.points.some(function(t){return!1!==t.series.visible&&!1!==t.visible}),o&&(n?"hidden"===o.visibility&&o.show():o.hide())}}else this.destroyItem(t)},o.prototype.redrawItems=function(t,i){for(var o=t.length;o--;)this.redrawItem(t[o],i)},o.prototype.remove=function(){return this.chart.removeAnnotation(this)},o.prototype.render=function(){var t=this.chart.renderer;this.graphic=t.g("annotation").attr({opacity:0,zIndex:this.options.zIndex,visibility:this.options.visible?"inherit":"hidden"}).add(),this.shapesGroup=t.g("annotation-shapes").add(this.graphic),this.options.crop&&this.shapesGroup.clip(this.chart.plotBoxClip),this.labelsGroup=t.g("annotation-labels").attr({translateX:0,translateY:0}).add(this.graphic),this.addClipPaths(),this.clipRect&&this.graphic.clip(this.clipRect),this.renderItems(this.shapes),this.renderItems(this.labels),this.addEvents(),this.renderControlPoints()},o.prototype.renderItem=function(t){t.render("label"===t.itemType?this.labelsGroup:this.shapesGroup)},o.prototype.renderItems=function(t){for(var i=t.length;i--;)this.renderItem(t[i])},o.prototype.setClipAxes=function(){var t=this.chart.xAxis,i=this.chart.yAxis,o=(this.options.labels||[]).concat(this.options.shapes||[]).reduce(function(o,n){var e=n&&(n.point||n.points&&n.points[0]);return[t[e&&e.xAxis]||o[0],i[e&&e.yAxis]||o[1]]},[]);this.clipXAxis=o[0],this.clipYAxis=o[1]},o.prototype.setControlPointsVisibility=function(t){var i=function(i){i.setControlPointsVisibility(t)};this.controlPoints.forEach(function(i){i.setVisibility(t)}),this.shapes.forEach(i),this.labels.forEach(i)},o.prototype.setLabelCollector=function(){var t=this;t.labelCollector=function(){return t.labels.reduce(function(t,i){return i.options.allowOverlap||t.push(i.graphic),t},[])},t.chart.labelCollectors.push(t.labelCollector)},o.prototype.setOptions=function(t){this.options=A(this.defaultOptions,t)},o.prototype.setVisibility=function(t){var i=this.options,o=this.chart.navigationBindings,n=C(t,!i.visible);if(this.graphic.attr("visibility",n?"inherit":"hidden"),!n){var e=function(t){t.setControlPointsVisibility(n)};this.shapes.forEach(e),this.labels.forEach(e),o.activeAnnotation===this&&o.popup&&"annotation-toolbar"===o.popup.type&&b(o,"closePopup")}i.visible=n},o.prototype.update=function(t,i){var o=this.chart,n=P(this.userOptions,t),e=o.annotations.indexOf(this),s=A(!0,this.userOptions,t);s.labels=n.labels,s.shapes=n.shapes,this.destroy(),this.initProperties(o,s),this.init(o,s),o.options.annotations[e]=s,this.isUpdating=!0,C(i,!0)&&o.drawAnnotations(),b(this,"afterUpdate"),this.isUpdating=!1},o.ControlPoint=h,o.MockPoint=u,o.shapesMap={rect:n,circle:e,ellipse:s,path:r,image:a},o.types={},o}(p);return w.prototype.defaultOptions=o,w.prototype.nonDOMEvents=["add","afterUpdate","drag","remove"],c.compose(w),w}),o(i,"Core/Chart/ChartNavigationComposition.js",[],function(){var t,i,o;return(i=t||(t={})).compose=function(t){return t.navigation||(t.navigation=new o(t)),t},o=function(){function t(t){this.updates=[],this.chart=t}return t.prototype.addUpdate=function(t){this.chart.navigation.updates.push(t)},t.prototype.update=function(t,i){var o=this;this.updates.forEach(function(n){n.call(o.chart,t,i)})},t}(),i.Additions=o,t}),o(i,"Extensions/Annotations/NavigationBindingsUtilities.js",[i["Core/Utilities.js"]],function(t){var i=t.defined,o=t.isNumber,n=t.pick,e={backgroundColor:"string",borderColor:"string",borderRadius:"string",color:"string",fill:"string",fontSize:"string",labels:"string",name:"string",stroke:"string",title:"string"};return{annotationsFieldsTypes:e,getAssignedAxis:function(t){return t.filter(function(t){var i=t.axis.getExtremes(),e=i.min,s=i.max,r=n(t.axis.minPointOffset,0);return o(e)&&o(s)&&t.value>=e-r&&t.value<=s+r&&!t.axis.options.isInternal})[0]},getFieldType:function(t,o){var n=e[t],s=typeof o;return i(n)&&(s=n),({string:"text",number:"number",boolean:"checkbox"})[s]}}}),o(i,"Extensions/Annotations/NavigationBindingsDefaults.js",[i["Extensions/Annotations/NavigationBindingsUtilities.js"],i["Core/Utilities.js"]],function(t,i){var o=t.getAssignedAxis,n=i.isNumber,e=i.merge;return{lang:{navigation:{popup:{simpleShapes:"Simple shapes",lines:"Lines",circle:"Circle",ellipse:"Ellipse",rectangle:"Rectangle",label:"Label",shapeOptions:"Shape options",typeOptions:"Details",fill:"Fill",format:"Text",strokeWidth:"Line width",stroke:"Line color",title:"Title",name:"Name",labelOptions:"Label options",labels:"Labels",backgroundColor:"Background color",backgroundColors:"Background colors",borderColor:"Border color",borderRadius:"Border radius",borderWidth:"Border width",style:"Style",padding:"Padding",fontSize:"Font size",color:"Color",height:"Height",shapes:"Shape options"}}},navigation:{bindingsClassName:"highcharts-bindings-container",bindings:{circleAnnotation:{className:"highcharts-circle-annotation",start:function(t){var i,n=null===(i=this.chart.pointer)||void 0===i?void 0:i.getCoordinates(t),s=n&&o(n.xAxis),r=n&&o(n.yAxis),a=this.chart.options.navigation;if(s&&r)return this.chart.addAnnotation(e({langKey:"circle",type:"basicAnnotation",shapes:[{type:"circle",point:{x:s.value,y:r.value,xAxis:s.axis.index,yAxis:r.axis.index},r:5}]},a.annotationsOptions,a.bindings.circleAnnotation.annotationsOptions))},steps:[function(t,i){var o,e=i.options.shapes,s=e&&e[0]&&e[0].point||{};if(n(s.xAxis)&&n(s.yAxis)){var r=this.chart.inverted,a=this.chart.xAxis[s.xAxis].toPixels(s.x),l=this.chart.yAxis[s.yAxis].toPixels(s.y);o=Math.max(Math.sqrt(Math.pow(r?l-t.chartX:a-t.chartX,2)+Math.pow(r?a-t.chartY:l-t.chartY,2)),5)}i.update({shapes:[{r:o}]})}]},ellipseAnnotation:{className:"highcharts-ellipse-annotation",start:function(t){var i,n=null===(i=this.chart.pointer)||void 0===i?void 0:i.getCoordinates(t),s=n&&o(n.xAxis),r=n&&o(n.yAxis),a=this.chart.options.navigation;if(s&&r)return this.chart.addAnnotation(e({langKey:"ellipse",type:"basicAnnotation",shapes:[{type:"ellipse",xAxis:s.axis.index,yAxis:r.axis.index,points:[{x:s.value,y:r.value},{x:s.value,y:r.value}],ry:1}]},a.annotationsOptions,a.bindings.ellipseAnnotation.annotationOptions))},steps:[function(t,i){var o=i.shapes[0],n=o.getAbsolutePosition(o.points[1]);o.translatePoint(t.chartX-n.x,t.chartY-n.y,1),o.redraw(!1)},function(t,i){var o=i.shapes[0],n=o.getAbsolutePosition(o.points[0]),e=o.getAbsolutePosition(o.points[1]),s=o.getDistanceFromLine(n,e,t.chartX,t.chartY),r=o.getYAxis(),a=Math.abs(r.toValue(0)-r.toValue(s));o.setYRadius(a),o.redraw(!1)}]},rectangleAnnotation:{className:"highcharts-rectangle-annotation",start:function(t){var i,n=null===(i=this.chart.pointer)||void 0===i?void 0:i.getCoordinates(t),s=n&&o(n.xAxis),r=n&&o(n.yAxis);if(s&&r){var a=s.value,l=r.value,h=s.axis.index,c=r.axis.index,p=this.chart.options.navigation;return this.chart.addAnnotation(e({langKey:"rectangle",type:"basicAnnotation",shapes:[{type:"path",points:[{xAxis:h,yAxis:c,x:a,y:l},{xAxis:h,yAxis:c,x:a,y:l},{xAxis:h,yAxis:c,x:a,y:l},{xAxis:h,yAxis:c,x:a,y:l},{command:"Z"}]}]},p.annotationsOptions,p.bindings.rectangleAnnotation.annotationsOptions))}},steps:[function(t,i){var n,e=i.options.shapes,s=e&&e[0]&&e[0].points||[],r=null===(n=this.chart.pointer)||void 0===n?void 0:n.getCoordinates(t),a=r&&o(r.xAxis),l=r&&o(r.yAxis);if(a&&l){var h=a.value,c=l.value;s[1].x=h,s[2].x=h,s[2].y=c,s[3].y=c,i.update({shapes:[{points:s}]})}}]},labelAnnotation:{className:"highcharts-label-annotation",start:function(t){var i,n=null===(i=this.chart.pointer)||void 0===i?void 0:i.getCoordinates(t),s=n&&o(n.xAxis),r=n&&o(n.yAxis),a=this.chart.options.navigation;if(s&&r)return this.chart.addAnnotation(e({langKey:"label",type:"basicAnnotation",labelOptions:{format:"{y:.2f}",overflow:"none",crop:!0},labels:[{point:{xAxis:s.axis.index,yAxis:r.axis.index,x:s.value,y:r.value}}]},a.annotationsOptions,a.bindings.labelAnnotation.annotationsOptions))}}},events:{},annotationsOptions:{animation:{defer:0}}}}}),o(i,"Extensions/Annotations/NavigationBindings.js",[i["Core/Chart/ChartNavigationComposition.js"],i["Core/Defaults.js"],i["Core/Templating.js"],i["Core/Globals.js"],i["Extensions/Annotations/NavigationBindingsDefaults.js"],i["Extensions/Annotations/NavigationBindingsUtilities.js"],i["Core/Utilities.js"]],function(t,i,o,n,e,s,r){var a=i.setOptions,l=o.format,h=n.composed,c=n.doc,p=n.win,u=s.getAssignedAxis,d=s.getFieldType,f=r.addEvent,v=r.attr,g=r.defined,y=r.fireEvent,m=r.isArray,x=r.isFunction,b=r.isNumber,A=r.isObject,C=r.merge,E=r.objectEach,P=r.pick,w=r.pushUnique;function k(){this.chart.navigationBindings&&this.chart.navigationBindings.deselectAnnotation()}function O(){this.navigationBindings&&this.navigationBindings.destroy()}function j(){var t=this.options;t&&t.navigation&&t.navigation.bindings&&(this.navigationBindings=new _(this,t.navigation),this.navigationBindings.initEvents(),this.navigationBindings.initUpdate())}function B(){var t=this.navigationBindings,i="highcharts-disabled-btn";if(this&&t){var o=!1;if(this.series.forEach(function(t){!t.options.isInternal&&t.visible&&(o=!0)}),this.navigationBindings&&this.navigationBindings.container&&this.navigationBindings.container[0]){var n=this.navigationBindings.container[0];E(t.boundClassNames,function(t,e){var s=n.querySelectorAll("."+e);if(s)for(var r=0;r<s.length;r++){var a=s[r],l=a.className;"normal"===t.noDataState?-1!==l.indexOf(i)&&a.classList.remove(i):o?-1!==l.indexOf(i)&&a.classList.remove(i):-1===l.indexOf(i)&&(a.className+=" "+i)}})}}}function T(){this.deselectAnnotation()}function N(){this.selectedButtonElement=null}function M(t){var i,o,n=t.prototype.defaultOptions.events&&t.prototype.defaultOptions.events.click;function e(t){var i=this,o=i.chart.navigationBindings,e=o.activeAnnotation;n&&n.call(i,t),e!==i?(o.deselectAnnotation(),o.activeAnnotation=i,i.setControlPointsVisibility(!0),y(o,"showPopup",{annotation:i,formType:"annotation-toolbar",options:o.annotationToFields(i),onSubmit:function(t){if("remove"===t.actionType)o.activeAnnotation=!1,o.chart.removeAnnotation(i);else{var n={};o.fieldsToOptions(t.fields,n),o.deselectAnnotation();var e=n.typeOptions;"measure"===i.options.type&&(e.crosshairY.enabled=0!==e.crosshairY.strokeWidth,e.crosshairX.enabled=0!==e.crosshairX.strokeWidth),i.update(n)}}})):y(o,"closePopup"),t.activeAnnotation=!0}C(!0,t.prototype.defaultOptions.events,{click:e,touchstart:function(t){i=t.touches[0].clientX,o=t.touches[0].clientY},touchend:function(t){i&&Math.sqrt(Math.pow(i-t.changedTouches[0].clientX,2)+Math.pow(o-t.changedTouches[0].clientY,2))>=4||e.call(this,t)}})}var _=function(){function i(t,i){this.boundClassNames=void 0,this.chart=t,this.options=i,this.eventsToUnbind=[],this.container=this.chart.container.getElementsByClassName(this.options.bindingsClassName||""),this.container.length||(this.container=c.getElementsByClassName(this.options.bindingsClassName||""))}return i.compose=function(t,o){w(h,"NavigationBindings")&&(f(t,"remove",k),M(t),E(t.types,function(t){M(t)}),f(o,"destroy",O),f(o,"load",j),f(o,"render",B),f(i,"closePopup",T),f(i,"deselectButton",N),a(e))},i.prototype.getCoords=function(t){var i,o=null===(i=this.chart.pointer)||void 0===i?void 0:i.getCoordinates(t);return[o&&u(o.xAxis),o&&u(o.yAxis)]},i.prototype.initEvents=function(){var t=this,i=t.chart,o=t.container,e=t.options;t.boundClassNames={},E(e.bindings||{},function(i){t.boundClassNames[i.className]=i}),[].forEach.call(o,function(i){t.eventsToUnbind.push(f(i,"click",function(o){var n=t.getButtonEvents(i,o);n&&!n.button.classList.contains("highcharts-disabled-btn")&&t.bindingsButtonClick(n.button,n.events,o)}))}),E(e.events||{},function(i,o){x(i)&&t.eventsToUnbind.push(f(t,o,i,{passive:!1}))}),t.eventsToUnbind.push(f(i.container,"click",function(o){!i.cancelClick&&i.isInsidePlot(o.chartX-i.plotLeft,o.chartY-i.plotTop,{visiblePlotOnly:!0})&&t.bindingsChartClick(this,o)})),t.eventsToUnbind.push(f(i.container,n.isTouchDevice?"touchmove":"mousemove",function(i){t.bindingsContainerMouseMove(this,i)},n.isTouchDevice?{passive:!1}:void 0))},i.prototype.initUpdate=function(){var i=this;t.compose(this.chart).navigation.addUpdate(function(t){i.update(t)})},i.prototype.bindingsButtonClick=function(t,i,o){var n=this.chart,e=n.renderer.boxWrapper,s=!0;this.selectedButtonElement&&(this.selectedButtonElement.classList===t.classList&&(s=!1),y(this,"deselectButton",{button:this.selectedButtonElement}),this.nextEvent&&(this.currentUserDetails&&"annotations"===this.currentUserDetails.coll&&n.removeAnnotation(this.currentUserDetails),this.mouseMoveEvent=this.nextEvent=!1)),s?(this.selectedButton=i,this.selectedButtonElement=t,y(this,"selectButton",{button:t}),i.init&&i.init.call(this,t,o),(i.start||i.steps)&&n.renderer.boxWrapper.addClass("highcharts-draw-mode")):(n.stockTools&&n.stockTools.toggleButtonActiveClass(t),e.removeClass("highcharts-draw-mode"),this.nextEvent=!1,this.mouseMoveEvent=!1,this.selectedButton=null)},i.prototype.bindingsChartClick=function(t,i){t=this.chart;var o=this.activeAnnotation,n=this.selectedButton,e=t.renderer.boxWrapper;o&&(o.cancelClick||i.activeAnnotation||!i.target.parentNode||function(t,i){var o=p.Element.prototype,n=o.matches||o.msMatchesSelector||o.webkitMatchesSelector,e=null;if(o.closest)e=o.closest.call(t,i);else do{if(n.call(t,i))return t;t=t.parentElement||t.parentNode}while(null!==t&&1===t.nodeType);return e}(i.target,".highcharts-popup")?o.cancelClick&&setTimeout(function(){o.cancelClick=!1},0):y(this,"closePopup")),n&&n.start&&(this.nextEvent?(this.nextEvent(i,this.currentUserDetails),this.steps&&(this.stepIndex++,n.steps[this.stepIndex]?this.mouseMoveEvent=this.nextEvent=n.steps[this.stepIndex]:(y(this,"deselectButton",{button:this.selectedButtonElement}),e.removeClass("highcharts-draw-mode"),n.end&&n.end.call(this,i,this.currentUserDetails),this.nextEvent=!1,this.mouseMoveEvent=!1,this.selectedButton=null))):(this.currentUserDetails=n.start.call(this,i),this.currentUserDetails&&n.steps?(this.stepIndex=0,this.steps=!0,this.mouseMoveEvent=this.nextEvent=n.steps[this.stepIndex]):(y(this,"deselectButton",{button:this.selectedButtonElement}),e.removeClass("highcharts-draw-mode"),this.steps=!1,this.selectedButton=null,n.end&&n.end.call(this,i,this.currentUserDetails))))},i.prototype.bindingsContainerMouseMove=function(t,i){this.mouseMoveEvent&&this.mouseMoveEvent(i,this.currentUserDetails)},i.prototype.fieldsToOptions=function(t,i){return E(t,function(t,o){var n=parseFloat(t),e=o.split("."),s=e.length-1;if(!b(n)||t.match(/px|em/g)||o.match(/format/g)||(t=n),"undefined"!==t){var r=i;e.forEach(function(i,o){if("__proto__"!==i&&"constructor"!==i){var n=P(e[o+1],"");s===o?r[i]=t:(r[i]||(r[i]=n.match(/\d/g)?[]:{}),r=r[i])}})}}),i},i.prototype.deselectAnnotation=function(){this.activeAnnotation&&(this.activeAnnotation.setControlPointsVisibility(!1),this.activeAnnotation=!1)},i.prototype.annotationToFields=function(t){var o=t.options,n=i.annotationsEditable,e=n.nestedOptions,s=P(o.type,o.shapes&&o.shapes[0]&&o.shapes[0].type,o.labels&&o.labels[0]&&o.labels[0].type,"label"),r=i.annotationsNonEditable[o.langKey]||[],a={langKey:o.langKey,type:s};function h(i,o,n,s,a){var c;n&&g(i)&&-1===r.indexOf(o)&&((n.indexOf&&n.indexOf(o))>=0||n[o]||!0===n)&&(m(i)?(s[o]=[],i.forEach(function(t,i){A(t)?(s[o][i]={},E(t,function(t,n){h(t,n,e[o],s[o][i],o)})):h(t,0,e[o],s[o],o)})):A(i)?(c={},m(s)?(s.push(c),c[o]={},c=c[o]):s[o]=c,E(i,function(t,i){h(t,i,0===o?n:e[o],c,o)})):"format"===o?s[o]=[l(i,t.labels[0].points[0]).toString(),"text"]:m(s)?s.push([i,d(a,i)]):s[o]=[i,d(o,i)])}return E(o,function(t,i){"typeOptions"===i?(a[i]={},E(o[i],function(t,o){h(t,o,e,a[i],o)})):h(t,i,n[s],a,i)}),a},i.prototype.getClickedClassNames=function(t,i){for(var o,n=i.target,e=[];n&&n.tagName&&((o=v(n,"class"))&&(e=e.concat(o.split(" ").map(function(t){return[t,n]}))),(n=n.parentNode)!==t););return e},i.prototype.getButtonEvents=function(t,i){var o,n=this;return this.getClickedClassNames(t,i).forEach(function(t){n.boundClassNames[t[0]]&&!o&&(o={events:n.boundClassNames[t[0]],button:t[1]})}),o},i.prototype.update=function(t){this.options=C(!0,this.options,t),this.removeEvents(),this.initEvents()},i.prototype.removeEvents=function(){this.eventsToUnbind.forEach(function(t){return t()})},i.prototype.destroy=function(){this.removeEvents()},i.annotationsEditable={nestedOptions:{labelOptions:["style","format","backgroundColor"],labels:["style"],label:["style"],style:["fontSize","color"],background:["fill","strokeWidth","stroke"],innerBackground:["fill","strokeWidth","stroke"],outerBackground:["fill","strokeWidth","stroke"],shapeOptions:["fill","strokeWidth","stroke"],shapes:["fill","strokeWidth","stroke"],line:["strokeWidth","stroke"],backgroundColors:[!0],connector:["fill","strokeWidth","stroke"],crosshairX:["strokeWidth","stroke"],crosshairY:["strokeWidth","stroke"]},circle:["shapes"],ellipse:["shapes"],verticalLine:[],label:["labelOptions"],measure:["background","crosshairY","crosshairX"],fibonacci:[],tunnel:["background","line","height"],pitchfork:["innerBackground","outerBackground"],rect:["shapes"],crookedLine:[],basicAnnotation:["shapes","labelOptions"]},i.annotationsNonEditable={rectangle:["crosshairX","crosshairY","labelOptions"],ellipse:["labelOptions"],circle:["labelOptions"]},i}();return _}),o(i,"masters/modules/annotations.src.js",[i["Core/Globals.js"],i["Extensions/Annotations/Annotation.js"],i["Extensions/Annotations/NavigationBindings.js"]],function(t,i,o){return t.Annotation=t.Annotation||i,t.NavigationBindings=t.NavigationBindings||o,t.Annotation.compose(t.Chart,t.NavigationBindings,t.Pointer,t.SVGRenderer),t})});