!/**
 * Highcharts Gantt JS v11.4.0 (2024-03-04)
 *
 * GridAxis
 *
 * (c) 2016-2024 Lars A. V. Cabrera
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/grid-axis",["highcharts"],function(i){return t(i),t.Highcharts=i,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var i=t?t._modules:{};function e(t,i,e,s){t.hasOwnProperty(i)||(t[i]=s.apply(null,e),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:i,module:t[i]}})))}e(i,"Core/Axis/GridAxis.js",[i["Core/Axis/Axis.js"],i["Core/Globals.js"],i["Core/Utilities.js"]],function(t,i,e){var s,r,o=i.dateFormats,n=e.addEvent,a=e.defined,h=e.erase,d=e.find,l=e.isArray,c=e.isNumber,u=e.merge,f=e.pick,g=e.timeUnits,p=e.wrap;function m(t){return e.isObject(t,!0)}function x(t,i){var e={width:0,height:0};if(i.forEach(function(i){var s,r=t[i],o=0,n=0;m(r)&&(o=(s=m(r.label)?r.label:{}).getBBox?s.getBBox().height:0,s.textStr&&!c(s.textPxLength)&&(s.textPxLength=s.getBBox().width),n=c(s.textPxLength)?Math.round(s.textPxLength):0,s.textStr&&(n=Math.round(s.getBBox().width)),e.height=Math.max(o,e.height),e.width=Math.max(n,e.width))}),"treegrid"===this.options.type&&this.treeGrid&&this.treeGrid.mapOfPosToGridNode){var s=this.treeGrid.mapOfPosToGridNode[-1].height||0;e.width+=this.options.labels.indentation*(s-1)}return e}function k(t){var i=this.grid,e=3===this.side;if(e||t.apply(this),!(null==i?void 0:i.isColumn)){var s=(null==i?void 0:i.columns)||[];e&&(s=s.slice().reverse()),s.forEach(function(t){t.getOffset()})}e&&t.apply(this)}function v(t){if(!0===(this.options.grid||{}).enabled){var i=this.axisTitle,e=this.height,s=this.horiz,o=this.left,n=this.offset,a=this.opposite,h=this.options,d=this.top,l=this.width,c=this.tickSize(),u=i&&i.getBBox().width,g=h.title.x,p=h.title.y,m=f(h.title.margin,s?5:10),x=i?this.chart.renderer.fontMetrics(i).f:0,k=(s?d+e:o)+(s?1:-1)*(a?-1:1)*(c?c[0]/2:0)+(this.side===r.bottom?x:0);t.titlePosition.x=s?o-(u||0)/2-m+g:k+(a?l:0)+n+g,t.titlePosition.y=s?k-(a?e:0)+(a?x:-x)/2+n+p:d-m+p}}function b(){var i,e=this.chart,s=this.options.grid,r=void 0===s?{}:s,o=this.userOptions;if(r.enabled&&((i=this.options).labels.align=f(i.labels.align,"center"),this.categories||(i.showLastLabel=!1),this.labelRotation=0,i.labels.rotation=0,i.minTickInterval=1),r.columns)for(var n=this.grid.columns=[],a=this.grid.columnIndex=0;++a<r.columns.length;){var d=u(o,r.columns[a],{isInternal:!0,linkedTo:0,scrollbar:{enabled:!1}},{grid:{columns:void 0}}),l=new t(this.chart,d,"yAxis");l.grid.isColumn=!0,l.grid.columnIndex=a,h(e.axes,l),h(e[this.coll]||[],l),n.push(l)}}function P(){var t=this.axisTitle,i=this.grid,e=this.options;if(!0===(e.grid||{}).enabled){var s=this.min||0,o=this.max||0,n=this.ticks[this.tickPositions[0]];if(t&&!this.chart.styledMode&&(null==n?void 0:n.slotWidth)&&!this.options.title.style.width&&t.css({width:"".concat(n.slotWidth,"px")}),this.maxLabelDimensions=this.getMaxLabelDimensions(this.ticks,this.tickPositions),this.rightWall&&this.rightWall.destroy(),this.grid&&this.grid.isOuterAxis()&&this.axisLine){var a=e.lineWidth;if(a){var h=this.getLinePath(a),d=h[0],l=h[1],c=((this.tickSize("tick")||[1])[0]-1)*(this.side===r.top||this.side===r.left?-1:1);if("M"===d[0]&&"L"===l[0]&&(this.horiz?(d[2]+=c,l[2]+=c):(d[1]+=c,l[1]+=c)),!this.horiz&&this.chart.marginRight){var u=["L",this.left,d[2]||0],f=[d,u],g=["L",this.chart.chartWidth-this.chart.marginRight,this.toPixels(o+this.tickmarkOffset)],p=[["M",l[1]||0,this.toPixels(o+this.tickmarkOffset)],g];this.grid.upperBorder||s%1==0||(this.grid.upperBorder=this.grid.renderBorder(f)),this.grid.upperBorder&&(this.grid.upperBorder.attr({stroke:e.lineColor,"stroke-width":e.lineWidth}),this.grid.upperBorder.animate({d:f})),this.grid.lowerBorder||o%1==0||(this.grid.lowerBorder=this.grid.renderBorder(p)),this.grid.lowerBorder&&(this.grid.lowerBorder.attr({stroke:e.lineColor,"stroke-width":e.lineWidth}),this.grid.lowerBorder.animate({d:p}))}this.grid.axisLineExtra?(this.grid.axisLineExtra.attr({stroke:e.lineColor,"stroke-width":e.lineWidth}),this.grid.axisLineExtra.animate({d:h})):this.grid.axisLineExtra=this.grid.renderBorder(h),this.axisLine[this.showAxis?"show":"hide"]()}}if((i&&i.columns||[]).forEach(function(t){return t.render()}),!this.horiz&&this.chart.hasRendered&&(this.scrollbar||this.linkedParent&&this.linkedParent.scrollbar)&&this.tickPositions.length){for(var m=this.tickmarkOffset,x=this.tickPositions[this.tickPositions.length-1],k=this.tickPositions[0],v=void 0,b=void 0;(v=this.hiddenLabels.pop())&&v.element;)v.show();for(;(b=this.hiddenMarks.pop())&&b.element;)b.show();(v=this.ticks[k].label)&&(s-k>m?this.hiddenLabels.push(v.hide()):v.show()),(v=this.ticks[x].label)&&(x-o>m?this.hiddenLabels.push(v.hide()):v.show());var P=this.ticks[x].mark;P&&x-o<m&&x-o>0&&this.ticks[x].isLast&&this.hiddenMarks.push(P.hide())}}}function y(){var t=this.tickPositions&&this.tickPositions.info,i=this.options,e=i.grid||{},s=this.userOptions.labels||{};e.enabled&&(this.horiz?(this.series.forEach(function(t){t.options.pointRange=0}),t&&i.dateTimeLabelFormats&&i.labels&&!a(s.align)&&(!1===i.dateTimeLabelFormats[t.unitName].range||t.count>1)&&(i.labels.align="left",a(s.x)||(i.labels.x=3))):"treegrid"!==this.options.type&&this.grid&&this.grid.columns&&(this.minPointOffset=this.tickInterval))}function w(t){var i,e=this.options,s=t.userOptions,r=e&&m(e.grid)?e.grid:{};!0===r.enabled&&(i=u(!0,{className:"highcharts-grid-axis "+(s.className||""),dateTimeLabelFormats:{hour:{list:["%H:%M","%H"]},day:{list:["%A, %e. %B","%a, %e. %b","%E"]},week:{list:["Week %W","W%W"]},month:{list:["%B","%b","%o"]}},grid:{borderWidth:1},labels:{padding:2,style:{fontSize:"0.9em"}},margin:0,title:{text:null,reserveSpace:!1,rotation:0,style:{textOverflow:"ellipsis"}},units:[["millisecond",[1,10,100]],["second",[1,10]],["minute",[1,5,15]],["hour",[1,6]],["day",[1]],["week",[1]],["month",[1]],["year",null]]},s),"xAxis"!==this.coll||(a(s.linkedTo)&&!a(s.tickPixelInterval)&&(i.tickPixelInterval=350),!(!a(s.tickPixelInterval)&&a(s.linkedTo))||a(s.tickPositioner)||a(s.tickInterval)||a(s.units)||(i.tickPositioner=function(t,e){var s=this.linkedParent&&this.linkedParent.tickPositions&&this.linkedParent.tickPositions.info;if(s){for(var r=i.units||[],o=void 0,n=1,a="year",h=0;h<r.length;h++){var d=r[h];if(d&&d[0]===s.unitName){o=h;break}}var l=c(o)&&r[o+1];if(l){a=l[0]||"year";var u=l[1];n=u&&u[0]||1}else"year"===s.unitName&&(n=10*s.count);var f=g[a];return this.tickInterval=f*n,this.chart.time.getTimeTicks({unitRange:f,count:n,unitName:a},t,e,this.options.startOfWeek)}})),u(!0,this.options,i),this.horiz&&(e.minPadding=f(s.minPadding,0),e.maxPadding=f(s.maxPadding,0)),c(e.grid.borderWidth)&&(e.tickWidth=e.lineWidth=r.borderWidth))}function L(t){var i=t.userOptions,e=i&&i.grid||{},s=e.columns;e.enabled&&s&&u(!0,this.options,s[0])}function B(){(this.grid.columns||[]).forEach(function(t){return t.setScale()})}function O(t){var i=this.horiz,e=this.maxLabelDimensions,s=this.options.grid,r=void 0===s?{}:s;if(r.enabled&&e){var o=2*this.options.labels.distance,n=i?r.cellHeight||o+e.height:o+e.width;l(t.tickSize)?t.tickSize[0]=n:t.tickSize=[n,0]}}function M(){this.axes.forEach(function(t){(t.grid&&t.grid.columns||[]).forEach(function(t){t.setAxisSize(),t.setAxisTranslation()})})}function T(t){var i=this.grid;(i.columns||[]).forEach(function(i){return i.destroy(t.keepEvents)}),i.columns=void 0}function W(t){var i=t.userOptions||{},e=i.grid||{};e.enabled&&a(e.borderColor)&&(i.tickColor=i.lineColor=e.borderColor),this.grid||(this.grid=new z(this)),this.hiddenLabels=[],this.hiddenMarks=[]}function A(t){var i=this.label,e=this.axis,s=e.reversed,o=e.chart,n=e.options.grid||{},a=e.options.labels,h=a.align,d=r[e.side],l=t.tickmarkOffset,u=e.tickPositions,f=this.pos-l,g=c(u[t.index+1])?u[t.index+1]-l:(e.max||0)+l,p=e.tickSize("tick"),m=p?p[0]:0,x=p?p[1]/2:0;if(!0===n.enabled){var k,v=void 0,b=void 0,P=void 0;if("top"===d?k=(v=e.top+e.offset)-m:"bottom"===d?v=(k=o.chartHeight-e.bottom+e.offset)+m:(v=e.top+e.len-(e.translate(s?g:f)||0),k=e.top+e.len-(e.translate(s?f:g)||0)),"right"===d?P=(b=o.chartWidth-e.right+e.offset)+m:"left"===d?b=(P=e.left+e.offset)-m:(b=Math.round(e.left+(e.translate(s?g:f)||0))-x,P=Math.min(Math.round(e.left+(e.translate(s?f:g)||0))-x,e.left+e.len)),this.slotWidth=P-b,t.pos.x="left"===h?b:"right"===h?P:b+(P-b)/2,t.pos.y=k+(v-k)/2,i){var y=o.renderer.fontMetrics(i),w=i.getBBox().height;if(a.useHTML)t.pos.y+=y.b+-(w/2);else{var L=Math.round(w/y.h);t.pos.y+=(y.b-(y.h-y.f))/2+-((L-1)*y.h/2)}}t.pos.x+=e.horiz&&a.x||0}}function C(t){var e=t.axis,s=t.value;if(e.options.grid&&e.options.grid.enabled){var r=e.tickPositions,o=(e.linkedParent||e).series[0],n=s===r[0],a=s===r[r.length-1],h=o&&d(o.options.data,function(t){return t[e.isXAxis?"x":"y"]===s}),l=void 0;h&&o.is("gantt")&&(l=u(h),i.seriesTypes.gantt.prototype.pointClass.setGanttPointAliases(l)),t.isFirst=n,t.isLast=a,t.point=l}}function S(){var t=this.options,i=t.grid||{},e=this.categories,s=this.tickPositions,r=s[0],o=s[1],n=s[s.length-1],a=s[s.length-2],h=this.linkedParent&&this.linkedParent.min,d=this.linkedParent&&this.linkedParent.max,l=h||this.min,u=d||this.max,f=this.tickInterval,g=c(l)&&l>=r+f&&l<o,p=c(l)&&r<l&&r+f>l,m=c(u)&&n>u&&n-f<u,x=c(u)&&u<=n-f&&u>a;!0===i.enabled&&!e&&(this.isXAxis||this.isLinked)&&((p||g)&&!t.startOnTick&&(s[0]=l),(m||x)&&!t.endOnTick&&(s[s.length-1]=u))}function E(t){var i,e=this.options.grid;return!0===(void 0===e?{}:e).enabled&&this.categories?this.tickInterval:t.apply(this,(i=arguments,Array.prototype.slice.call(i,1)))}(s=r||(r={}))[s.top=0]="top",s[s.right=1]="right",s[s.bottom=2]="bottom",s[s.left=3]="left";var z=function(){function t(t){this.axis=t}return t.prototype.isOuterAxis=function(){var t,i=this.axis,e=i.chart,s=i.grid.columnIndex,r=(null===(t=i.linkedParent)||void 0===t?void 0:t.grid.columns)||i.grid.columns||[],o=s?i.linkedParent:i,n=-1,a=0;return 3===i.side&&!e.inverted&&r.length?!i.linkedParent:((e[i.coll]||[]).forEach(function(t,e){t.side!==i.side||t.options.isInternal||(a=e,t!==o||(n=e))}),a===n&&(!c(s)||r.length===s))},t.prototype.renderBorder=function(t){var i=this.axis,e=i.chart.renderer,s=i.options,r=e.path(t).addClass("highcharts-axis-line").add(i.axisGroup);return e.styledMode||r.attr({stroke:s.lineColor,"stroke-width":s.lineWidth,zIndex:7}),r},t}();return o.E=function(t){return this.dateFormat("%a",t,!0).charAt(0)},o.W=function(t){var i=this,e=new this.Date(t);["Hours","Milliseconds","Minutes","Seconds"].forEach(function(t){i.set(t,e,0)});var s=(this.get("Day",e)+6)%7,r=new this.Date(e.valueOf());this.set("Date",r,this.get("Date",e)-s+3);var o=new this.Date(this.get("FullYear",r),0,1);return 4!==this.get("Day",o)&&(this.set("Month",e,0),this.set("Date",e,1+(11-this.get("Day",o))%7)),(1+Math.floor((r.valueOf()-o.valueOf())/6048e5)).toString()},{compose:function(t,i,e){return t.keepProps.includes("grid")||(t.keepProps.push("grid"),t.prototype.getMaxLabelDimensions=x,p(t.prototype,"unsquish",E),p(t.prototype,"getOffset",k),n(t,"init",W),n(t,"afterGetTitlePosition",v),n(t,"afterInit",b),n(t,"afterRender",P),n(t,"afterSetAxisTranslation",y),n(t,"afterSetOptions",w),n(t,"afterSetOptions",L),n(t,"afterSetScale",B),n(t,"afterTickSize",O),n(t,"trimTicks",S),n(t,"destroy",T),n(i,"afterSetChartSize",M),n(e,"afterGetLabelPosition",A),n(e,"labelFormat",C)),t}}}),e(i,"masters/modules/grid-axis.src.js",[i["Core/Globals.js"],i["Core/Axis/GridAxis.js"]],function(t,i){return i.compose(t.Axis,t.Chart,t.Tick),t})});