!/**
 * Highcharts JS v11.4.0 (2024-03-04)
 *
 * Client side exporting module
 *
 * (c) 2015-2024 Torstein Honsi / Oystein Moseng
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/offline-exporting",["highcharts","highcharts/modules/exporting"],function(e){return t(e),t.Highcharts=e,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var e=t?t._modules:{};function n(t,e,n,o){t.hasOwnProperty(e)||(t[e]=o.apply(null,n),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:e,module:t[e]}})))}n(e,"Extensions/DownloadURL.js",[e["Core/Globals.js"]],function(t){var e=t.isSafari,n=t.win,o=t.win.document,r=n.URL||n.webkitURL||n;function i(t){var e=t.replace(/filename=.*;/,"").match(/data:([^;]*)(;base64)?,([0-9A-Za-z+/]+)/);if(e&&e.length>3&&n.atob&&n.ArrayBuffer&&n.Uint8Array&&n.Blob&&r.createObjectURL){for(var o=n.atob(e[3]),i=new n.ArrayBuffer(o.length),a=new n.Uint8Array(i),l=0;l<a.length;++l)a[l]=o.charCodeAt(l);return r.createObjectURL(new n.Blob([a],{type:e[1]}))}}return{dataURLtoBlob:i,downloadURL:function(t,r){var a=n.navigator,l=o.createElement("a");if("string"!=typeof t&&!(t instanceof String)&&a.msSaveOrOpenBlob){a.msSaveOrOpenBlob(t,r);return}t=""+t;var s=/Edge\/\d+/.test(a.userAgent);if((e&&"string"==typeof t&&0===t.indexOf("data:application/pdf")||s||t.length>2e6)&&!(t=i(t)||""))throw Error("Failed to convert to blob");if(void 0!==l.download)l.href=t,l.download=r,o.body.appendChild(l),l.click(),o.body.removeChild(l);else try{if(!n.open(t,"chart"))throw Error("Failed to open window")}catch(e){n.location.href=t}}}}),n(e,"Extensions/OfflineExporting/OfflineExportingDefaults.js",[],function(){return{libURL:"https://code.highcharts.com/11.4.0/lib/",menuItemDefinitions:{downloadPNG:{textKey:"downloadPNG",onclick:function(){this.exportChartLocal()}},downloadJPEG:{textKey:"downloadJPEG",onclick:function(){this.exportChartLocal({type:"image/jpeg"})}},downloadSVG:{textKey:"downloadSVG",onclick:function(){this.exportChartLocal({type:"image/svg+xml"})}},downloadPDF:{textKey:"downloadPDF",onclick:function(){this.exportChartLocal({type:"application/pdf"})}}}}}),n(e,"Extensions/OfflineExporting/OfflineExporting.js",[e["Core/Renderer/HTML/AST.js"],e["Core/Chart/Chart.js"],e["Core/Defaults.js"],e["Extensions/DownloadURL.js"],e["Extensions/Exporting/Exporting.js"],e["Core/Globals.js"],e["Core/HttpUtilities.js"],e["Extensions/OfflineExporting/OfflineExportingDefaults.js"],e["Core/Utilities.js"]],function(t,e,n,o,r,i,a,l,s){var c,f=n.defaultOptions,d=o.downloadURL,u=i.doc,h=i.win,g=a.ajax,p=s.addEvent,m=s.error,v=s.extend,y=s.fireEvent,x=s.merge;return t.allowedAttributes.push("data-z-index","fill-opacity","filter","rx","ry","stroke-dasharray","stroke-linejoin","stroke-opacity","text-anchor","transform","version","viewBox","visibility","xmlns","xmlns:xlink"),t.allowedTags.push("desc","clippath","g"),function(e){function n(t,n){var o=this,a=x(o.options.exporting,t),l=function(t){!1===a.fallbackToExportServer?a.error?a.error(a,t):m(28,!0):o.exportChart(a)};if(i.isMS&&o.styledMode&&!r.inlineAllowlist.length&&r.inlineAllowlist.push(/^blockSize/,/^border/,/^caretColor/,/^color/,/^columnRule/,/^columnRuleColor/,/^cssFloat/,/^cursor/,/^fill$/,/^fillOpacity/,/^font/,/^inlineSize/,/^length/,/^lineHeight/,/^opacity/,/^outline/,/^parentRule/,/^rx$/,/^ry$/,/^stroke/,/^textAlign/,/^textAnchor/,/^textDecoration/,/^transform/,/^vectorEffect/,/^visibility/,/^x$/,/^y$/),i.isMS&&("application/pdf"===a.type||o.container.getElementsByTagName("image").length&&"image/svg+xml"!==a.type)||"application/pdf"===a.type&&[].some.call(o.container.getElementsByTagName("image"),function(t){var e=t.getAttribute("href");return""!==e&&"string"==typeof e&&0!==e.indexOf("data:")})){l(Error("Image type not supported for this chart/browser."));return}o.getSVGForLocalExport(a,n||{},l,function(t){t.indexOf("<foreignObject")>-1&&"image/svg+xml"!==a.type&&(i.isMS||"application/pdf"===a.type)?l(Error("Image type not supported for charts with embedded HTML")):e.downloadSVGLocal(t,v({filename:o.getFilename()},a),l,function(){return y(o,"exportChartLocalSuccess")})})}function o(t,e){var n=u.getElementsByTagName("head")[0],o=u.createElement("script");o.type="text/javascript",o.src=t,o.onload=e,o.onerror=function(){m("Error loading script "+t)},n.appendChild(o)}function a(t,n,o,r){var i,a,l,s,c=this,f=function(t){return c.sanitizeSVG(t,l)},d=function(){s&&m===g&&r(f(a.innerHTML))},u=function(t,e,n){++m,n.imageElement.setAttributeNS("http://www.w3.org/1999/xlink","href",t),d()},h=null,g=0,m=0;c.unbindGetSVG=p(c,"getSVG",function(t){l=t.chartCopy.options,g=(s=(a=t.chartCopy.container.cloneNode(!0))&&a.getElementsByTagName("image")||[]).length}),c.getSVGForExport(t,n);try{if(!s||!s.length){r(f(a.innerHTML));return}for(var v=0;v<s.length;v++)(h=(i=s[v]).getAttributeNS("http://www.w3.org/1999/xlink","href"))?e.imageToDataUrl(h,"image/png",{imageElement:i},t.scale,u,o,o,o):(m++,i.parentNode.removeChild(i),v--,d())}catch(t){o(t)}c.unbindGetSVG()}function s(t,n,o,r,i,a,l,s,c){var f,d=new h.Image,g=function(){setTimeout(function(){var e,a=u.createElement("canvas"),s=a.getContext&&a.getContext("2d");try{if(s){a.height=d.height*r,a.width=d.width*r,s.drawImage(d,0,0,a.width,a.height);try{e=a.toDataURL(n),i(e,n,o,r)}catch(e){f(t,n,o,r)}}else l(t,n,o,r)}finally{c&&c(t,n,o,r)}},e.loadEventDeferDelay)},p=function(){s(t,n,o,r),c&&c(t,n,o,r)};f=function(){d=new h.Image,f=a,d.crossOrigin="Anonymous",d.onload=g,d.onerror=p,d.src=t},d.onload=g,d.onerror=p,d.src=t}function c(t){var n=h.navigator.userAgent,o=n.indexOf("WebKit")>-1&&0>n.indexOf("Chrome");try{if(!o&&-1===t.indexOf("<foreignObject"))return e.domurl.createObjectURL(new h.Blob([t],{type:"image/svg+xml;charset-utf-16"}))}catch(t){}return"data:image/svg+xml;charset=UTF-8,"+encodeURIComponent(t)}function w(t,e,n,o){var r=(Number(t.getAttribute("width"))+2*e)*n,i=(Number(t.getAttribute("height"))+2*e)*n,a=new h.jspdf.jsPDF(i>r?"p":"l","pt",[r,i]);[].forEach.call(t.querySelectorAll('*[visibility="hidden"]'),function(t){t.parentNode.removeChild(t)});for(var l=t.querySelectorAll("linearGradient"),s=0;s<l.length;s++)for(var c=l[s].querySelectorAll("stop"),f=0;f<c.length&&"0"===c[f].getAttribute("offset")&&"0"===c[f+1].getAttribute("offset");)c[f].remove(),f++;[].forEach.call(t.querySelectorAll("tspan"),function(t){"​"===t.textContent&&(t.textContent=" ",t.setAttribute("dx",-5))}),a.svg(t,{x:0,y:0,width:r,height:i,removeInvalid:!0}).then(function(){return o(a.output("datauristring"))})}e.CanVGRenderer={},e.domurl=h.URL||h.webkitURL||h,e.loadEventDeferDelay=i.isMS?150:0,e.compose=function(t){var e=t.prototype;return e.exportChartLocal||(e.getSVGForLocalExport=a,e.exportChartLocal=n,x(!0,f.exporting,l)),t},e.downloadSVGLocal=function(n,r,i,a){var l,p,m,v=u.createElement("div"),y=r.type||"image/png",x=(r.filename||"chart")+"."+("image/svg+xml"===y?"svg":y.split("/")[1]),b=r.scale||1,E=r.libURL||f.exporting.libURL,L=!0,C=r.pdfFont;E="/"!==E.slice(-1)?E+"/":E;var S=function(t,e){var n,o,r=function(t,e){h.jspdf.jsPDF.API.events.push(["initialized",function(){this.addFileToVFS(t,e),this.addFont(t,"HighchartsFont",t),this.getFontList().HighchartsFont||this.setFont("HighchartsFont")}])};C&&(o=t.textContent||"",!/[^\u0000-\u007F\u200B]+/.test(o))&&(C=void 0);var i=["normal","italic","bold","bolditalic"],a=function(){var t=i.shift();if(!t)return e();var o=C&&C[t];o?g({url:o,responseType:"blob",success:function(e,o){var i=new FileReader;i.onloadend=function(){if("string"==typeof this.result){var e=this.result.split(",")[1];r(t,e),"normal"===t&&(n=e)}a()},i.readAsDataURL(o.response)},error:a}):(n&&r(t,n),a())};a()},j=function(){t.setElementHTML(v,n);var e,o,r=v.getElementsByTagName("text"),l=function(t,e){for(var n=t;n&&n!==v;){if(n.style[e]){var o=n.style[e];"fontSize"===e&&/em$/.test(o)&&(o=Math.round(16*parseFloat(o))+"px"),t.style[e]=o;break}n=n.parentNode}};[].forEach.call(r,function(t){for(["fontFamily","fontSize"].forEach(function(e){l(t,e)}),t.style.fontFamily=C&&C.normal?"HighchartsFont":String(t.style.fontFamily&&t.style.fontFamily.split(" ").splice(-1)),e=t.getElementsByTagName("title"),[].forEach.call(e,function(e){t.removeChild(e)}),o=t.getElementsByClassName("highcharts-text-outline");o.length>0;)t.removeChild(o[0])});var s=v.querySelector("svg");s&&S(s,function(){w(s,0,b,function(t){try{d(t,x),a&&a()}catch(t){i(t)}})})};if("image/svg+xml"===y)try{void 0!==h.MSBlobBuilder?((p=new h.MSBlobBuilder).append(n),l=p.getBlob("image/svg+xml")):l=c(n),d(l,x),a&&a()}catch(t){i(t)}else"application/pdf"===y?h.jspdf&&h.jspdf.jsPDF?j():(L=!0,o(E+"jspdf.js",function(){o(E+"svg2pdf.js",j)})):(l=c(n),m=function(){try{e.domurl.revokeObjectURL(l)}catch(t){}},s(l,y,{},b,function(t){try{d(t,x),a&&a()}catch(t){i(t)}},function(){var t=u.createElement("canvas"),e=t.getContext("2d"),r=n.match(/^<svg[^>]*width\s*=\s*\"?(\d+)\"?[^>]*>/)[1]*b,l=n.match(/^<svg[^>]*height\s*=\s*\"?(\d+)\"?[^>]*>/)[1]*b,s=function(){h.canvg.Canvg.fromString(e,n).start();try{d(h.navigator.msSaveOrOpenBlob?t.msToBlob():t.toDataURL(y),x),a&&a()}catch(t){i(t)}finally{m()}};t.width=r,t.height=l,h.canvg?s():(L=!0,o(E+"canvg.js",function(){s()}))},i,i,function(){L&&m()}))},e.getScript=o,e.imageToDataUrl=s,e.svgToDataUrl=c,e.svgToPdf=w}(c||(c={})),c}),n(e,"masters/modules/offline-exporting.src.js",[e["Core/Globals.js"],e["Extensions/DownloadURL.js"],e["Extensions/OfflineExporting/OfflineExporting.js"]],function(t,e,n){return t.dataURLtoBlob=t.dataURLtoBlob||e.dataURLtoBlob,t.downloadSVGLocal=n.downloadSVGLocal,t.downloadURL=t.downloadURL||e.downloadURL,n.compose(t.Chart),t})});