!/**
 * Highcharts JS v11.4.0 (2024-03-04)
 *
 * Support for parallel coordinates in Highcharts
 *
 * (c) 2010-2024 Pawel Fus
 *
 * License: www.highcharts.com/license
 */function(e){"object"==typeof module&&module.exports?(e.default=e,module.exports=e):"function"==typeof define&&define.amd?define("highcharts/modules/parallel-coordinates",["highcharts"],function(t){return e(t),e.Highcharts=t,e}):e("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(e){"use strict";var t=e?e._modules:{};function a(e,t,a,s){e.hasOwnProperty(t)||(e[t]=s.apply(null,a),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:t,module:e[t]}})))}a(t,"Extensions/ParallelCoordinates/ParallelCoordinatesDefaults.js",[],function(){return{chart:{parallelCoordinates:!1,parallelAxes:{lineWidth:1,title:{text:"",reserveSpace:!1},labels:{x:0,y:4,align:"center",reserveSpace:!1},offset:0}},xAxis:{lineWidth:0,tickLength:0,opposite:!0,type:"category"}}}),a(t,"Extensions/ParallelCoordinates/ParallelAxis.js",[t["Extensions/ParallelCoordinates/ParallelCoordinatesDefaults.js"],t["Core/Utilities.js"]],function(e,t){var a,s=t.addEvent,i=t.arrayMax,o=t.arrayMin,l=t.isNumber,r=t.merge,n=t.pick,h=t.splat,p=function(){function e(e){this.axis=e}return e.prototype.setPosition=function(e,t){var a=this.axis,s=a.chart,i=((this.position||0)+.5)/(s.parallelInfo.counter+1);s.polar?t.angle=360*i:(t[e[0]]=100*i+"%",a[e[1]]=t[e[1]]=0,a[e[2]]=t[e[2]]=null,a[e[3]]=t[e[3]]=null)},e}();return function(t){function a(t){var a=this.chart,s=this.parallelCoordinates,i=["left","width","height","top"];if(a.hasParallelCoordinates){if(a.inverted&&(i=i.reverse()),this.isXAxis)this.options=r(this.options,e.xAxis,t.userOptions);else{var o=a.yAxis.indexOf(this);this.options=r(this.options,this.chart.options.chart.parallelAxes,t.userOptions),s.position=n(s.position,o>=0?o:a.yAxis.length),s.setPosition(i,this.options)}}}function d(e){var t=this.chart,a=this.parallelCoordinates;if(a&&t&&t.hasParallelCoordinates&&!this.isXAxis){var s=a.position,r=[];this.series.forEach(function(e){if(e.yData&&e.visible&&l(s)){var t=e.yData[s];r.push.apply(r,h(t))}}),r=r.filter(l),this.dataMin=o(r),this.dataMax=i(r),e.preventDefault()}}function c(){this.parallelCoordinates||(this.parallelCoordinates=new p(this))}t.compose=function(e){e.keepProps.includes("parallel")||(e.keepProps.push("parallel"),s(e,"init",c),s(e,"afterSetOptions",a),s(e,"getSeriesExtremes",d))}}(a||(a={})),a}),a(t,"Extensions/ParallelCoordinates/ParallelSeries.js",[t["Core/Globals.js"],t["Core/Templating.js"],t["Core/Utilities.js"]],function(e,t,a){var s,i=e.composed,o=t.format,l=a.addEvent,r=a.defined,n=a.erase,h=a.extend,p=a.insertItem,d=a.isArray,c=a.isNumber,f=a.pick,u=a.pushUnique,x=a.wrap;return function(e){function t(){var e,t,a=this.chart,s=this.points,i=s&&s.length,o=Number.MAX_VALUE;if(this.chart.hasParallelCoordinates){for(var l=0;l<i;l++)r((t=s[l]).y)?(a.polar?t.plotX=a.yAxis[l].angleRad||0:a.inverted?t.plotX=a.plotHeight-a.yAxis[l].top+a.plotTop:t.plotX=a.yAxis[l].left-a.plotLeft,t.clientX=t.plotX,t.plotY=a.yAxis[l].translate(t.y,!1,!0,void 0,!0),c(t.high)&&(t.plotHigh=a.yAxis[l].translate(t.high,!1,!0,void 0,!0)),void 0!==e&&(o=Math.min(o,Math.abs(t.plotX-e))),e=t.plotX,t.isInside=a.isInsidePlot(t.plotX,t.plotY,{inverted:a.inverted})):t.isNull=!0;this.closestPointRangePx=o}}function a(e){var t=this.chart;if(t.hasParallelCoordinates){for(var a=0,s=t.axes;a<s.length;a++){var i=s[a];p(this,i.series),i.isDirty=!0}this.xAxis=t.xAxis[0],this.yAxis=t.yAxis[0],e.preventDefault()}}function s(){var e=this.chart;if(e.hasParallelCoordinates)for(var t=0,a=e.axes||[];t<a.length;t++){var s=a[t];s&&s.series&&(n(s.series,this),s.isDirty=s.forceRedraw=!0)}}function v(e){var t,a,s,i,l=this.series&&this.series.chart,n=e.apply(this,[].slice.call(arguments,1));return l&&l.hasParallelCoordinates&&!r(n.formattedValue)&&(t=(s=f((a=(i=l.yAxis[this.x]).options).tooltipValueFormat,a.labels.format))?o(s,h(this,{value:this.y}),l):i.dateTime?l.time.dateFormat(l.time.resolveDTLFormat(a.dateTimeLabelFormats[i.tickPositions.info.unitName]).main,this.y):d(a.categories)?a.categories[this.y]:this.y,n.formattedValue=n.point.formattedValue=t),n}e.compose=function(e){if(u(i,"ParallelSeries")){var o=e.types,r=o.line.prototype.pointClass,n=o.spline.prototype.pointClass;l(e,"afterTranslate",t,{order:1}),l(e,"bindAxes",a),l(e,"destroy",s),r&&x(r.prototype,"getLabelConfig",v),n&&x(n.prototype,"getLabelConfig",v)}}}(s||(s={})),s}),a(t,"Extensions/ParallelCoordinates/ParallelCoordinates.js",[t["Extensions/ParallelCoordinates/ParallelAxis.js"],t["Extensions/ParallelCoordinates/ParallelCoordinatesDefaults.js"],t["Extensions/ParallelCoordinates/ParallelSeries.js"],t["Core/Utilities.js"]],function(e,t,a,s){var i,o=s.addEvent,l=s.defined,r=s.merge,n=s.splat,h=function(){function e(e){this.chart=e}return e.prototype.setParallelInfo=function(e){var t=this.chart||this,a=e.series;t.parallelInfo={counter:0};for(var s=0;s<a.length;s++){var i=a[s];i.data&&(t.parallelInfo.counter=Math.max(t.parallelInfo.counter,i.data.length-1))}},e}();return function(s){function i(e){var a=e.args[0],s=n(a.yAxis||{}),i=[],o=s.length;if(this.hasParallelCoordinates=a.chart&&a.chart.parallelCoordinates,this.hasParallelCoordinates){for(this.setParallelInfo(a);o<=this.parallelInfo.counter;o++)i.push({});a.legend||(a.legend={}),a.legend&&void 0===a.legend.enabled&&(a.legend.enabled=!1),r(!0,a,{boost:{seriesThreshold:Number.MAX_VALUE},plotOptions:{series:{boostThreshold:Number.MAX_VALUE}}}),a.yAxis=s.concat(i),a.xAxis=r(t.xAxis,n(a.xAxis||{})[0])}}function p(e){var t=e.options;if(t.chart&&(l(t.chart.parallelCoordinates)&&(this.hasParallelCoordinates=t.chart.parallelCoordinates),this.options.chart.parallelAxes=r(this.options.chart.parallelAxes,t.chart.parallelAxes)),this.hasParallelCoordinates){t.series&&this.setParallelInfo(t);for(var a=0,s=this.yAxis;a<s.length;a++)s[a].update({},!1)}}s.compose=function(s,l,n,d){e.compose(s),a.compose(d);var c=h.prototype,f=l.prototype;f.setParallelInfo||(f.setParallelInfo=c.setParallelInfo,o(l,"init",i),o(l,"update",p),r(!0,n.chart,t.chart))}}(i||(i={})),i}),a(t,"masters/modules/parallel-coordinates.src.js",[t["Core/Globals.js"],t["Extensions/ParallelCoordinates/ParallelCoordinates.js"]],function(e,t){return t.compose(e.Axis,e.Chart,e.defaultOptions,e.Series),e})});