!/**
 * Highcharts JS v11.4.0 (2024-03-04)
 *
 * Module for adding patterns and images as point fills.
 *
 * (c) 2010-2024 Highsoft AS
 * Author: Torstein Hønsi, Øystein Moseng
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/pattern-fill",["highcharts"],function(e){return t(e),t.Highcharts=e,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var e=t?t._modules:{};function r(t,e,r,i){t.hasOwnProperty(e)||(t[e]=i.apply(null,r),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:e,module:t[e]}})))}r(e,"Extensions/PatternFill.js",[e["Core/Animation/AnimationUtilities.js"],e["Core/Defaults.js"],e["Core/Utilities.js"]],function(t,e,r){var i=t.animObject,a=e.getOptions,n=r.addEvent,o=r.defined,s=r.erase,h=r.extend,l=r.merge,d=r.pick,p=r.removeEvent,c=r.wrap,f=function(){for(var t=[],e=a().colors,r=0,i=0,n=["M 0 0 L 5 5 M 4.5 -0.5 L 5.5 0.5 M -0.5 4.5 L 0.5 5.5","M 0 5 L 5 0 M -0.5 0.5 L 0.5 -0.5 M 4.5 5.5 L 5.5 4.5","M 2 0 L 2 5 M 4 0 L 4 5","M 0 2 L 5 2 M 0 4 L 5 4","M 0 1.5 L 2.5 1.5 L 2.5 0 M 2.5 5 L 2.5 3.5 L 5 3.5"];i<n.length;i++){var o=n[i];t.push({path:o,color:e[r++],width:5,height:5,patternTransform:"scale(1.4 1.4)"})}r=5;for(var s=0,h=["M 0 0 L 5 10 L 10 0","M 3 3 L 8 3 L 8 8 L 3 8 Z","M 5 5 m -4 0 a 4 4 0 1 1 8 0 a 4 4 0 1 1 -8 0","M 0 0 L 10 10 M 9 -1 L 11 1 M -1 9 L 1 11","M 0 10 L 10 0 M -1 1 L 1 -1 M 9 11 L 11 9"];s<h.length;s++){var o=h[s];t.push({path:o,color:e[r],width:10,height:10}),r+=5}return t}();function u(t,e){var r,i=JSON.stringify(t),a=i.length||0,n=0,o=0;if(e){r=Math.max(Math.floor(a/500),1);for(var s=0;s<a;s+=r)n+=i.charCodeAt(s);n&=n}for(;o<a;++o)n=(n<<5)-n+i.charCodeAt(o),n&=n;return n.toString(16).replace("-","1")}function g(){if(this.renderer&&(this.renderer.defIds||[]).filter(function(t){return t&&t.indexOf&&0===t.indexOf("highcharts-pattern-")}).length){for(var t=0,e=this.series;t<e.length;t++){var r=e[t];if(r.visible)for(var i=0,a=r.points;i<a.length;i++){var n=a[i],o=n.options&&n.options.color;o&&o.pattern&&(o.pattern._width="defer",o.pattern._height="defer")}}this.redraw(!1)}}function m(){var t={},e=this.renderer,r=(e.defIds||[]).filter(function(t){return t.indexOf&&0===t.indexOf("highcharts-pattern-")});if(r.length){[].forEach.call(this.renderTo.querySelectorAll('[color^="url("], [fill^="url("], [stroke^="url("]'),function(r){var i=r.getAttribute("fill")||r.getAttribute("color")||r.getAttribute("stroke");i&&(t[i.replace(e.url,"").replace("url(#","").replace(")","")]=!0)});for(var i=0;i<r.length;i++){var a=r[i];!t[a]&&(s(e.defIds,a),e.patternElements[a]&&(e.patternElements[a].destroy(),delete e.patternElements[a]))}}}function v(){var t=this.options.color;t&&t.pattern&&("string"==typeof t.pattern.path&&(t.pattern.path={d:t.pattern.path}),this.color=this.options.color=l(this.series.options.color,t))}function y(t){var e=t.args[0],r=t.args[1],i=t.args[2],a=this.chartIndex||0,n=e.pattern,o="#333333";if(void 0!==e.patternIndex&&f&&(n=f[e.patternIndex]),!n)return!0;if(n.image||"string"==typeof n.path||n.path&&n.path.d){var s=i.parentNode&&i.parentNode.getAttribute("class");s=s&&s.indexOf("highcharts-legend")>-1,("defer"===n._width||"defer"===n._height)&&w.call({graphic:{element:i}},n),(s||!n.id)&&((n=l({},n)).id="highcharts-pattern-"+a+"-"+u(n)+u(n,!0)),this.addPattern(n,!this.forExport&&d(n.animation,this.globalAnimation,{duration:100})),o="url(".concat(this.url,"#").concat(n.id+(this.forExport?"-export":""),")")}else o=n.color||o;return i.setAttribute(r,o),e.toString=function(){return o},!1}function x(){var t=this.chart.isResizing;if(this.isDirtyData||t||!this.chart.hasRendered)for(var e=0,r=this.points;e<r.length;e++){var i=r[e],a=i.options&&i.options.color;a&&a.pattern&&(t&&!(i.shapeArgs&&i.shapeArgs.width&&i.shapeArgs.height)?(a.pattern._width="defer",a.pattern._height="defer"):i.calculatePatternDimensions(a.pattern))}}function w(t){if(!t.width||!t.height){var e=this.graphic&&(this.graphic.getBBox&&this.graphic.getBBox(!0)||this.graphic.element&&this.graphic.element.getBBox())||{},r=this.shapeArgs;if(r&&(e.width=r.width||e.width,e.height=r.height||e.height,e.x=r.x||e.x,e.y=r.y||e.y),t.image){if(!e.width||!e.height){t._width="defer",t._height="defer";var i=this.series.chart.mapView&&this.series.chart.mapView.getSVGTransform().scaleY;o(i)&&i<0&&(t._inverted=!0);return}t.aspectRatio&&(e.aspectRatio=e.width/e.height,t.aspectRatio>e.aspectRatio?e.aspectWidth=e.height*t.aspectRatio:e.aspectHeight=e.width/t.aspectRatio),t._width=t.width||Math.ceil(e.aspectWidth||e.width),t._height=t.height||Math.ceil(e.aspectHeight||e.height)}t.width||(t._x=t.x||0,t._x+=e.x-Math.round(e.aspectWidth?Math.abs(e.aspectWidth-e.width)/2:0)),t.height||(t._y=t.y||0,t._y+=e.y-Math.round(e.aspectHeight?Math.abs(e.aspectHeight-e.height)/2:0))}}function M(t,e){var a,n,o,s=d(e,!0),h=i(s),l=t.color||"#333333",c=t.height||("number"==typeof t._height?t._height:0)||32,f=t.width||("number"==typeof t._width?t._width:0)||32,u=t.id;if(!u&&(this.idCounter=this.idCounter||0,u="highcharts-pattern-"+this.idCounter+"-"+(this.chartIndex||0),++this.idCounter),this.forExport&&(u+="-export"),this.defIds=this.defIds||[],!(this.defIds.indexOf(u)>-1)){this.defIds.push(u);var g={id:u,patternUnits:"userSpaceOnUse",patternContentUnits:t.patternContentUnits||"userSpaceOnUse",width:f,height:c,x:t._x||t.x||0,y:t._y||t.y||0};t._inverted&&(g.patternTransform="scale(1, -1)",t.patternTransform&&(t.patternTransform+=" scale(1, -1)")),t.patternTransform&&(g.patternTransform=t.patternTransform);var m=this.createElement("pattern").attr(g).add(this.defs);return(m.id=u,t.path)?(o=r.isObject(t.path)?t.path:{d:t.path},t.backgroundColor&&(a=t.backgroundColor,this.rect(0,0,f,c).attr({fill:a}).add(m)),n={d:o.d},this.styledMode||(n.stroke=o.stroke||l,n["stroke-width"]=d(o.strokeWidth,2),n.fill=o.fill||"none"),o.transform&&(n.transform=o.transform),this.createElement("path").attr(n).add(m),m.color=l):t.image&&(s?this.image(t.image,0,0,f,c,function(){this.animate({opacity:d(t.opacity,1)},h),p(this.element,"load")}).attr({opacity:0}).add(m):this.image(t.image,0,0,f,c).add(m)),t.image&&s||void 0===t.opacity||[].forEach.call(m.element.childNodes,function(e){e.setAttribute("opacity",t.opacity)}),this.patternElements=this.patternElements||{},this.patternElements[u]=m,m}}function L(t){var e=this.options.color;e&&e.pattern&&!e.pattern.color?(delete this.options.color,t.apply(this,[].slice.call(arguments,1)),e.pattern.color=this.color,this.color=this.options.color=e):t.apply(this,[].slice.call(arguments,1))}function b(){if(null===(t=this.chart)||void 0===t?void 0:t.mapView){var t,e,r=this.chart.renderer,i=r.patternElements;(null===(e=r.defIds)||void 0===e?void 0:e.length)&&i&&this.points.filter(function(t){var e,r,i,a;return!!t.graphic&&(t.graphic.element.hasAttribute("fill")||t.graphic.element.hasAttribute("color")||t.graphic.element.hasAttribute("stroke"))&&!(null===(r=null===(e=t.options.color)||void 0===e?void 0:e.pattern)||void 0===r?void 0:r.image)&&!!(null===(i=t.group)||void 0===i?void 0:i.scaleX)&&!!(null===(a=t.group)||void 0===a?void 0:a.scaleY)}).map(function(t){var e,i,a,n,o;return{id:((null===(e=t.graphic)||void 0===e?void 0:e.element.getAttribute("fill"))||(null===(i=t.graphic)||void 0===i?void 0:i.element.getAttribute("color"))||(null===(a=t.graphic)||void 0===a?void 0:a.element.getAttribute("stroke"))||"").replace(r.url,"").replace("url(#","").replace(")",""),x:(null===(n=t.group)||void 0===n?void 0:n.scaleX)||1,y:(null===(o=t.group)||void 0===o?void 0:o.scaleY)||1}}).filter(function(t,e,r){return""!==t.id&&-1!==t.id.indexOf("highcharts-pattern-")&&!r.some(function(r,i){return r.id===t.id&&i<e})}).forEach(function(t){var e=t.id;i[e].scaleX=1/t.x,i[e].scaleY=1/t.y,i[e].updateTransform("patternTransform")})}}return{compose:function(t,e,r){var i=e.prototype.pointClass,a=i.prototype;a.calculatePatternDimensions||(n(t,"endResize",g),n(t,"redraw",m),h(a,{calculatePatternDimensions:w}),n(i,"afterInit",v),n(e,"render",x),c(e.prototype,"getColor",L),n(e,"afterRender",b),n(e,"mapZoomComplete",b),h(r.prototype,{addPattern:M}),n(r,"complexColor",y))},patterns:f}}),r(e,"masters/modules/pattern-fill.src.js",[e["Core/Globals.js"],e["Extensions/PatternFill.js"]],function(t,e){return t.patterns=e.patterns,e.compose(t.Chart,t.Series,t.SVGRenderer),t})});