!/**
 * Highmaps JS v11.4.0 (2024-03-04)
 *
 * Tilemap module
 *
 * (c) 2010-2024 Highsoft AS
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/tilemap",["highcharts","highcharts/modules/map"],function(e){return t(e),t.Highcharts=e,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var e=t?t._modules:{};function n(t,e,n,a){t.hasOwnProperty(e)||(t[e]=a.apply(null,n),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:e,module:t[e]}})))}n(e,"Series/Tilemap/TilemapPoint.js",[e["Core/Axis/Color/ColorAxisComposition.js"],e["Core/Series/SeriesRegistry.js"],e["Core/Utilities.js"]],function(t,e,n){var a,r=this&&this.__extends||(a=function(t,e){return(a=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n])})(t,e)},function(t,e){if("function"!=typeof e&&null!==e)throw TypeError("Class extends value "+String(e)+" is not a constructor or null");function n(){this.constructor=t}a(t,e),t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)}),i=e.series.prototype.pointClass,o=e.seriesTypes.heatmap.prototype.pointClass,s=n.extend,l=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return r(e,t),e.prototype.haloPath=function(){return this.series.tileShape.haloPath.apply(this,arguments)},e}(o);return s(l.prototype,{setState:i.prototype.setState,setVisible:t.pointSetVisible}),l}),n(e,"Series/Tilemap/TilemapSeriesDefaults.js",[],function(){return{marker:null,states:{hover:{halo:{enabled:!0,size:2,opacity:.5,attributes:{zIndex:3}}}},pointPadding:2,tileShape:"hexagon"}}),n(e,"Series/Tilemap/TilemapShapes.js",[e["Core/Globals.js"],e["Core/Series/SeriesRegistry.js"],e["Core/Utilities.js"]],function(t,e,n){var a=t.noop,r=e.seriesTypes,i=r.heatmap,o=r.scatter,s=n.clamp,l=n.pick;function p(t,e,n){var a=t.options;return{xPad:-((a.colsize||1)/e),yPad:-((a.rowsize||1)/n)}}return{hexagon:{alignDataLabel:o.prototype.alignDataLabel,getSeriesPadding:function(t){return p(t,3,2)},haloPath:function(t){if(!t)return[];var e=this.tileEdges;return[["M",e.x2-t,e.y1+t],["L",e.x3+t,e.y1+t],["L",e.x4+1.5*t,e.y2],["L",e.x3+t,e.y3-t],["L",e.x2-t,e.y3-t],["L",e.x1-1.5*t,e.y2],["Z"]]},translate:function(){var t,e=this.options,n=this.xAxis,a=this.yAxis,r=e.pointPadding||0,i=(e.colsize||1)/3,o=(e.rowsize||1)/2;this.generatePoints();for(var p=0,h=this.points;p<h.length;p++){var u=h[p],d=s(Math.floor(n.len-n.translate(u.x-2*i,0,1,0,1)),-n.len,2*n.len),c=s(Math.floor(n.len-n.translate(u.x-i,0,1,0,1)),-n.len,2*n.len),y=s(Math.floor(n.len-n.translate(u.x+i,0,1,0,1)),-n.len,2*n.len),f=s(Math.floor(n.len-n.translate(u.x+2*i,0,1,0,1)),-n.len,2*n.len),g=s(Math.floor(a.translate(u.y-o,0,1,0,1)),-a.len,2*a.len),x=s(Math.floor(a.translate(u.y,0,1,0,1)),-a.len,2*a.len),m=s(Math.floor(a.translate(u.y+o,0,1,0,1)),-a.len,2*a.len),P=l(u.pointPadding,r),S=P*Math.abs(c-d)/Math.abs(m-x),v=n.reversed?-S:S,b=n.reversed?-P:P,M=a.reversed?-P:P;u.x%2&&(t=t||Math.round(Math.abs(m-g)/2)*(a.reversed?-1:1),g+=t,x+=t,m+=t),u.plotX=u.clientX=(c+y)/2,u.plotY=x,d+=v+b,c+=b,y-=b,f-=v+b,g-=M,m+=M,u.tileEdges={x1:d,x2:c,x3:y,x4:f,y1:g,y2:x,y3:m},u.shapeType="path",u.shapeArgs={d:[["M",c,g],["L",y,g],["L",f,x],["L",y,m],["L",c,m],["L",d,x],["Z"]]}}this.translateColors()}},diamond:{alignDataLabel:o.prototype.alignDataLabel,getSeriesPadding:function(t){return p(t,2,2)},haloPath:function(t){if(!t)return[];var e=this.tileEdges;return[["M",e.x2,e.y1+t],["L",e.x3+t,e.y2],["L",e.x2,e.y3-t],["L",e.x1-t,e.y2],["Z"]]},translate:function(){var t,e=this.options,n=this.xAxis,a=this.yAxis,r=e.pointPadding||0,i=e.colsize||1,o=(e.rowsize||1)/2;this.generatePoints();for(var p=0,h=this.points;p<h.length;p++){var u=h[p],d=s(Math.round(n.len-n.translate(u.x-i,0,1,0,0)),-n.len,2*n.len),c=s(Math.round(n.len-n.translate(u.x+i,0,1,0,0)),-n.len,2*n.len),y=s(Math.round(a.translate(u.y-o,0,1,0,0)),-a.len,2*a.len),f=s(Math.round(a.translate(u.y,0,1,0,0)),-a.len,2*a.len),g=s(Math.round(a.translate(u.y+o,0,1,0,0)),-a.len,2*a.len),x=s(Math.round(n.len-n.translate(u.x,0,1,0,0)),-n.len,2*n.len),m=l(u.pointPadding,r),P=m*Math.abs(x-d)/Math.abs(g-f),S=n.reversed?-P:P,v=a.reversed?-m:m;u.x%2&&(t=Math.abs(g-y)/2*(a.reversed?-1:1),y+=t,f+=t,g+=t),u.plotX=u.clientX=x,u.plotY=f,d+=S,c-=S,y-=v,g+=v,u.tileEdges={x1:d,x2:x,x3:c,y1:y,y2:f,y3:g},u.shapeType="path",u.shapeArgs={d:[["M",x,y],["L",c,f],["L",x,g],["L",d,f],["Z"]]}}this.translateColors()}},circle:{alignDataLabel:o.prototype.alignDataLabel,getSeriesPadding:function(t){return p(t,2,2)},haloPath:function(t){return o.prototype.pointClass.prototype.haloPath.call(this,t+(t&&this.radius))},translate:function(){var t,e,n,a,r=this.options,i=this.xAxis,o=this.yAxis,l=r.pointPadding||0,p=(r.rowsize||1)/2,h=r.colsize||1,u=!1;this.generatePoints();for(var d=0,c=this.points;d<c.length;d++){var y=c[d],f=s(Math.round(i.len-i.translate(y.x,0,1,0,0)),-i.len,2*i.len),g=s(Math.round(o.translate(y.y,0,1,0,0)),-o.len,2*o.len),x=l,m=!1;void 0!==y.pointPadding&&(x=y.pointPadding,m=!0,u=!0),(!a||u)&&(n=Math.floor(Math.sqrt((t=Math.abs(s(Math.floor(i.len-i.translate(y.x+h,0,1,0,0)),-i.len,2*i.len)-f))*t+(e=Math.abs(s(Math.floor(o.translate(y.y+p,0,1,0,0)),-o.len,2*o.len)-g))*e)/2),a=Math.min(t,n,e)-x,u&&!m&&(u=!1)),y.x%2&&(g+=e*(o.reversed?-1:1)),y.plotX=y.clientX=f,y.plotY=g,y.radius=a,y.shapeType="circle",y.shapeArgs={x:f,y:g,r:a}}this.translateColors()}},square:{alignDataLabel:i.prototype.alignDataLabel,translate:i.prototype.translate,getSeriesPadding:a,haloPath:i.prototype.pointClass.prototype.haloPath}}}),n(e,"Series/Tilemap/TilemapSeries.js",[e["Core/Globals.js"],e["Core/Series/SeriesRegistry.js"],e["Series/Tilemap/TilemapPoint.js"],e["Series/Tilemap/TilemapSeriesDefaults.js"],e["Series/Tilemap/TilemapShapes.js"],e["Core/Utilities.js"]],function(t,e,n,a,r,i){var o,s=this&&this.__extends||(o=function(t,e){return(o=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n])})(t,e)},function(t,e){if("function"!=typeof e&&null!==e)throw TypeError("Class extends value "+String(e)+" is not a constructor or null");function n(){this.constructor=t}o(t,e),t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n)}),l=t.composed,p=t.noop,h=e.seriesTypes,u=h.column,d=h.heatmap,c=h.scatter,y=i.addEvent,f=i.extend,g=i.merge,x=i.pushUnique;function m(){if(!this.recomputingForTilemap&&"colorAxis"!==this.coll){var t=this,e=t.series.map(function(e){return e.getSeriesPixelPadding&&e.getSeriesPixelPadding(t)}).reduce(function(t,e){return(t&&t.padding)>(e&&e.padding)?t:e},void 0)||{padding:0,axisLengthFactor:1},n=Math.round(e.padding*e.axisLengthFactor);e.padding&&(t.len-=n,t.recomputingForTilemap=!0,t.setAxisTranslation(),delete t.recomputingForTilemap,t.minPixelPadding+=e.padding,t.len+=n)}}var P=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return s(e,t),e.compose=function(t){x(l,"TilemapSeries")&&y(t,"afterSetAxisTranslation",m)},e.prototype.alignDataLabel=function(){return this.tileShape.alignDataLabel.apply(this,arguments)},e.prototype.drawPoints=function(){u.prototype.drawPoints.call(this);for(var t=0,e=this.points;t<e.length;t++){var n=e[t];n.graphic&&n.graphic[this.chart.styledMode?"css":"animate"](this.colorAttribs(n))}},e.prototype.getSeriesPixelPadding=function(t){var e=t.isXAxis,n=this.tileShape.getSeriesPadding(this);if(!n)return{padding:0,axisLengthFactor:1};var a=Math.round(t.translate(e?2*n.xPad:n.yPad,0,1,0,1)),r=Math.round(t.translate(e?n.xPad:0,0,1,0,1));return{padding:(t.single?Math.abs(a-r)/2:Math.abs(a-r))||0,axisLengthFactor:e?2:1.1}},e.prototype.setOptions=function(){var e=t.prototype.setOptions.apply(this,arguments);return this.tileShape=r[e.tileShape],e},e.prototype.translate=function(){return this.tileShape.translate.apply(this,arguments)},e.defaultOptions=g(d.defaultOptions,a),e}(d);return f(P.prototype,{getSymbol:p,markerAttribs:c.prototype.markerAttribs,pointAttribs:u.prototype.pointAttribs,pointClass:n}),e.registerSeriesType("tilemap",P),P}),n(e,"masters/modules/tilemap.src.js",[e["Core/Globals.js"],e["Series/Tilemap/TilemapSeries.js"]],function(t,e){return e.compose(t.Axis),t})});