!/**
 * Highcharts JS v11.4.0 (2024-03-04)
 *
 * (c) 2014-2024 Highsoft AS
 * Authors: Jon Arild Nygard / Oystein Moseng
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/treemap",["highcharts"],function(e){return t(e),t.Highcharts=e,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var e=t?t._modules:{};function i(t,e,i,o){t.hasOwnProperty(e)||(t[e]=o.apply(null,i),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:e,module:t[e]}})))}i(e,"Extensions/Breadcrumbs/BreadcrumbsDefaults.js",[],function(){return{lang:{mainBreadcrumb:"Main"},options:{buttonTheme:{fill:"none",height:18,padding:2,"stroke-width":0,zIndex:7,states:{select:{fill:"none"}},style:{color:"#334eff"}},buttonSpacing:5,floating:!1,format:void 0,relativeTo:"plotBox",rtl:!1,position:{align:"left",verticalAlign:"top",x:0,y:void 0},separator:{text:"/",style:{color:"#666666",fontSize:"0.8em"}},showFullPath:!0,style:{},useHTML:!1,zIndex:7}}}),i(e,"Extensions/Breadcrumbs/Breadcrumbs.js",[e["Extensions/Breadcrumbs/BreadcrumbsDefaults.js"],e["Core/Templating.js"],e["Core/Globals.js"],e["Core/Utilities.js"]],function(t,e,i,o){var r=e.format,s=i.composed,n=o.addEvent,a=o.defined,l=o.extend,h=o.fireEvent,p=o.isString,d=o.merge,u=o.objectEach,c=o.pick,v=o.pushUnique;function f(){if(this.breadcrumbs){var t=this.resetZoomButton&&this.resetZoomButton.getBBox(),e=this.breadcrumbs.options;t&&"right"===e.position.align&&"plotBox"===e.relativeTo&&this.breadcrumbs.alignBreadcrumbsGroup(-t.width-e.buttonSpacing)}}function g(){this.breadcrumbs&&(this.breadcrumbs.destroy(),this.breadcrumbs=void 0)}function y(){var t=this.breadcrumbs;if(t&&!t.options.floating&&t.level){var e=t.options,i=e.buttonTheme,o=(i.height||0)+2*(i.padding||0)+e.buttonSpacing,r=e.position.verticalAlign;"bottom"===r?(this.marginBottom=(this.marginBottom||0)+o,t.yOffset=o):"middle"!==r?(this.plotTop+=o,t.yOffset=-o):t.yOffset=void 0}}function m(){this.breadcrumbs&&this.breadcrumbs.redraw()}function b(t){!0===t.resetSelection&&this.breadcrumbs&&this.breadcrumbs.alignBreadcrumbsGroup()}return function(){function e(t,i){this.elementList={},this.isDirty=!0,this.level=0,this.list=[];var o=d(t.options.drilldown&&t.options.drilldown.drillUpButton,e.defaultOptions,t.options.navigation&&t.options.navigation.breadcrumbs,i);this.chart=t,this.options=o||{}}return e.compose=function(e,i){v(s,"Breadcrumbs")&&(n(e,"destroy",g),n(e,"afterShowResetZoom",f),n(e,"getMargins",y),n(e,"redraw",m),n(e,"selection",b),l(i.lang,t.lang))},e.prototype.updateProperties=function(t){this.setList(t),this.setLevel(),this.isDirty=!0},e.prototype.setList=function(t){this.list=t},e.prototype.setLevel=function(){this.level=this.list.length&&this.list.length-1},e.prototype.getLevel=function(){return this.level},e.prototype.getButtonText=function(t){var e=this.chart,i=this.options,o=e.options.lang,s=c(i.format,i.showFullPath?"{level.name}":"← {level.name}"),n=o&&c(o.drillUpText,o.mainBreadcrumb),l=i.formatter&&i.formatter(t)||r(s,{level:t.levelOptions},e)||"";return(p(l)&&!l.length||"← "===l)&&a(n)&&(l=i.showFullPath?n:"← "+n),l},e.prototype.redraw=function(){this.isDirty&&this.render(),this.group&&this.group.align(),this.isDirty=!1},e.prototype.render=function(){var t=this.chart,e=this.options;!this.group&&e&&(this.group=t.renderer.g("breadcrumbs-group").addClass("highcharts-no-tooltip highcharts-breadcrumbs").attr({zIndex:e.zIndex}).add()),e.showFullPath?this.renderFullPathButtons():this.renderSingleButton(),this.alignBreadcrumbsGroup()},e.prototype.renderFullPathButtons=function(){this.destroySingleButton(),this.resetElementListState(),this.updateListElements(),this.destroyListElements()},e.prototype.renderSingleButton=function(){var t=this.chart,e=this.list,i=this.options.buttonSpacing;this.destroyListElements();var o=this.group?this.group.getBBox().width:i,r=e[e.length-2];!t.drillUpButton&&this.level>0?t.drillUpButton=this.renderButton(r,o,i):t.drillUpButton&&(this.level>0?this.updateSingleButton():this.destroySingleButton())},e.prototype.alignBreadcrumbsGroup=function(t){if(this.group){var e=this.options,i=e.buttonTheme,o=e.position,r="chart"===e.relativeTo||"spacingBox"===e.relativeTo?void 0:"plotBox",s=this.group.getBBox(),n=2*(i.padding||0)+e.buttonSpacing;o.width=s.width+n,o.height=s.height+n;var a=d(o);t&&(a.x+=t),this.options.rtl&&(a.x+=o.width),a.y=c(a.y,this.yOffset,0),this.group.align(a,!0,r)}},e.prototype.renderButton=function(t,e,i){var o=this,r=this.chart,s=o.options,n=d(s.buttonTheme),a=r.renderer.button(o.getButtonText(t),e,i,function(e){var i,r=s.events&&s.events.click;r&&(i=r.call(o,e,t)),!1!==i&&(s.showFullPath?e.newLevel=t.level:e.newLevel=o.level-1,h(o,"up",e))},n).addClass("highcharts-breadcrumbs-button").add(o.group);return r.styledMode||a.attr(s.style),a},e.prototype.renderSeparator=function(t,e){var i=this.chart,o=this.options.separator,r=i.renderer.label(o.text,t,e,void 0,void 0,void 0,!1).addClass("highcharts-breadcrumbs-separator").add(this.group);return i.styledMode||r.css(o.style),r},e.prototype.update=function(t){d(!0,this.options,t),this.destroy(),this.isDirty=!0},e.prototype.updateSingleButton=function(){var t=this.chart,e=this.list[this.level-1];t.drillUpButton&&t.drillUpButton.attr({text:this.getButtonText(e)})},e.prototype.destroy=function(){this.destroySingleButton(),this.destroyListElements(!0),this.group&&this.group.destroy(),this.group=void 0},e.prototype.destroyListElements=function(t){var e=this.elementList;u(e,function(i,o){(t||!e[o].updated)&&((i=e[o]).button&&i.button.destroy(),i.separator&&i.separator.destroy(),delete i.button,delete i.separator,delete e[o])}),t&&(this.elementList={})},e.prototype.destroySingleButton=function(){this.chart.drillUpButton&&(this.chart.drillUpButton.destroy(),this.chart.drillUpButton=void 0)},e.prototype.resetElementListState=function(){u(this.elementList,function(t){t.updated=!1})},e.prototype.updateListElements=function(){for(var t,e,i=this.elementList,o=this.options.buttonSpacing,r=this.list,s=this.options.rtl,n=s?-1:1,a=function(t,e){return n*t.getBBox().width+n*e},l=function(t,e,i){t.translate(e-t.getBBox().width,i)},h=this.group?a(this.group,o):o,p=0,d=r.length;p<d;++p){var u=p===d-1,c=void 0,v=void 0;i[(e=r[p]).level]?(c=(t=i[e.level]).button,t.separator||u?t.separator&&u&&(t.separator.destroy(),delete t.separator):(h+=n*o,t.separator=this.renderSeparator(h,o),s&&l(t.separator,h,o),h+=a(t.separator,o)),i[e.level].updated=!0):(c=this.renderButton(e,h,o),s&&l(c,h,o),h+=a(c,o),u||(v=this.renderSeparator(h,o),s&&l(v,h,o),h+=a(v,o)),i[e.level]={button:c,separator:v,updated:!0}),c&&c.setState(u?2:0)}},e.defaultOptions=t.options,e}()}),i(e,"Series/ColorMapComposition.js",[e["Core/Series/SeriesRegistry.js"],e["Core/Utilities.js"]],function(t,e){var i,o=t.seriesTypes.column.prototype,r=e.addEvent,s=e.defined;return function(t){function e(t){this.moveToTopOnHover&&this.graphic&&this.graphic.attr({zIndex:t&&"hover"===t.state?1:0})}t.pointMembers={dataLabelOnNull:!0,moveToTopOnHover:!0,isValid:function(){return null!==this.value&&this.value!==1/0&&this.value!==-1/0&&(void 0===this.value||!isNaN(this.value))}},t.seriesMembers={colorKey:"value",axisTypes:["xAxis","yAxis","colorAxis"],parallelArrays:["x","y","value"],pointArrayMap:["value"],trackerGroups:["group","markerGroup","dataLabelsGroup"],colorAttribs:function(t){var e={};return s(t.color)&&(!t.state||"normal"===t.state)&&(e[this.colorProp||"fill"]=t.color),e},pointAttribs:o.pointAttribs},t.compose=function(t){return r(t.prototype.pointClass,"afterSetState",e),t}}(i||(i={})),i}),i(e,"Series/Treemap/TreemapAlgorithmGroup.js",[],function(){return function(){function t(t,e,i,o){this.height=t,this.width=e,this.plot=o,this.direction=i,this.startDirection=i,this.total=0,this.nW=0,this.lW=0,this.nH=0,this.lH=0,this.elArr=[],this.lP={total:0,lH:0,nH:0,lW:0,nW:0,nR:0,lR:0,aspectRatio:function(t,e){return Math.max(t/e,e/t)}}}return t.prototype.addElement=function(t){this.lP.total=this.elArr[this.elArr.length-1],this.total=this.total+t,0===this.direction?(this.lW=this.nW,this.lP.lH=this.lP.total/this.lW,this.lP.lR=this.lP.aspectRatio(this.lW,this.lP.lH),this.nW=this.total/this.height,this.lP.nH=this.lP.total/this.nW,this.lP.nR=this.lP.aspectRatio(this.nW,this.lP.nH)):(this.lH=this.nH,this.lP.lW=this.lP.total/this.lH,this.lP.lR=this.lP.aspectRatio(this.lP.lW,this.lH),this.nH=this.total/this.width,this.lP.nW=this.lP.total/this.nH,this.lP.nR=this.lP.aspectRatio(this.lP.nW,this.nH)),this.elArr.push(t)},t.prototype.reset=function(){this.nW=0,this.lW=0,this.elArr=[],this.total=0},t}()}),i(e,"Series/Treemap/TreemapNode.js",[],function(){return function(){function t(){this.childrenTotal=0,this.visible=!1}return t.prototype.init=function(t,e,i,o,r,s,n){return this.id=t,this.i=e,this.children=i,this.height=o,this.level=r,this.series=s,this.parent=n,this},t}()}),i(e,"Series/DrawPointUtilities.js",[],function(){var t=this&&this.__assign||function(){return(t=Object.assign||function(t){for(var e,i=1,o=arguments.length;i<o;i++)for(var r in e=arguments[i])Object.prototype.hasOwnProperty.call(e,r)&&(t[r]=e[r]);return t}).apply(this,arguments)};return{draw:function(e,i){var o=i.animatableAttribs,r=i.onComplete,s=i.css,n=i.renderer,a=e.series&&e.series.chart.hasRendered?void 0:e.series&&e.series.options.animation,l=e.graphic;if(i.attribs=t(t({},i.attribs),{class:e.getClassName()})||{},e.shouldDraw())l||(l="text"===i.shapeType?n.text():"image"===i.shapeType?n.image(i.imageUrl||"").attr(i.shapeArgs||{}):n[i.shapeType](i.shapeArgs||{}),e.graphic=l,l.add(i.group)),s&&l.css(s),l.attr(i.attribs).animate(o,!i.isNew&&a,r);else if(l){var h=function(){e.graphic=l=l&&l.destroy(),"function"==typeof r&&r()};Object.keys(o).length?l.animate(o,void 0,function(){return h()}):h()}}}}),i(e,"Series/Treemap/TreemapPoint.js",[e["Series/DrawPointUtilities.js"],e["Core/Series/SeriesRegistry.js"],e["Core/Utilities.js"]],function(t,e,i){var o,r=this&&this.__extends||(o=function(t,e){return(o=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var i in e)Object.prototype.hasOwnProperty.call(e,i)&&(t[i]=e[i])})(t,e)},function(t,e){if("function"!=typeof e&&null!==e)throw TypeError("Class extends value "+String(e)+" is not a constructor or null");function i(){this.constructor=t}o(t,e),t.prototype=null===e?Object.create(e):(i.prototype=e.prototype,new i)}),s=e.seriesTypes,n=s.pie.prototype.pointClass,a=s.scatter.prototype.pointClass,l=i.extend,h=i.isNumber,p=i.pick,d=function(e){function i(){var t=null!==e&&e.apply(this,arguments)||this;return t.shapeType="rect",t}return r(i,e),i.prototype.draw=function(e){t.draw(this,e)},i.prototype.getClassName=function(){var t=this.series,i=t.options,o=e.prototype.getClassName.call(this);return this.node.level<=t.nodeMap[t.rootNode].level?o+=" highcharts-above-level":this.node.isLeaf||p(i.interactByLeaf,!i.allowTraversingTree)?this.node.isLeaf||(o+=" highcharts-internal-node"):o+=" highcharts-internal-node-interactive",o},i.prototype.isValid=function(){return!!(this.id||h(this.value))},i.prototype.setState=function(t){e.prototype.setState.apply(this,arguments),this.graphic&&this.graphic.attr({zIndex:"hover"===t?1:0})},i.prototype.shouldDraw=function(){return h(this.plotY)&&null!==this.y},i}(a);return l(d.prototype,{setVisible:n.prototype.setVisible}),d}),i(e,"Series/Treemap/TreemapSeriesDefaults.js",[e["Core/Series/SeriesRegistry.js"],e["Core/Utilities.js"]],function(t,e){var i=e.isString;return{allowTraversingTree:!1,animationLimit:250,borderRadius:0,showInLegend:!1,marker:void 0,colorByPoint:!1,dataLabels:{defer:!1,enabled:!0,formatter:function(){var t=this&&this.point?this.point:{};return i(t.name)?t.name:""},inside:!0,verticalAlign:"middle"},tooltip:{headerFormat:"",pointFormat:"<b>{point.name}</b>: {point.value}<br/>"},ignoreHiddenPoint:!0,layoutAlgorithm:"sliceAndDice",layoutStartingDirection:"vertical",alternateStartingDirection:!1,levelIsConstant:!0,traverseUpButton:{position:{align:"right",x:-10,y:10}},borderColor:"#e6e6e6",borderWidth:1,colorKey:"colorValue",opacity:.15,states:{hover:{borderColor:"#999999",brightness:t.seriesTypes.heatmap?0:.1,halo:!1,opacity:.75,shadow:!1}},legendSymbol:"rectangle"}}),i(e,"Series/Treemap/TreemapUtilities.js",[],function(){var t;return(t||(t={})).recursive=function t(e,i,o){var r;!1!==(r=i.call(o||this,e))&&t(r,i,o)},t}),i(e,"Series/TreeUtilities.js",[e["Core/Color/Color.js"],e["Core/Utilities.js"]],function(t,e){var i=e.extend,o=e.isArray,r=e.isNumber,s=e.isObject,n=e.merge,a=e.pick,l=e.relativeLength;return{getColor:function(e,i){var o,r,s,n,l,h,p,d=i.index,u=i.mapOptionsToLevel,c=i.parentColor,v=i.parentColorIndex,f=i.series,g=i.colors,y=i.siblings,m=f.points,b=f.chart.options.chart;return e&&(r=m[e.i],s=u[e.level]||{},r&&s.colorByPoint&&(l=r.index%(g?g.length:b.colorCount),n=g&&g[l]),f.chart.styledMode||(h=a(r&&r.options.color,s&&s.color,n,c&&((o=s&&s.colorVariation)&&"brightness"===o.key&&d&&y?t.parse(c).brighten(o.to*(d/y)).get():c),f.color)),p=a(r&&r.options.colorIndex,s&&s.colorIndex,l,v,i.colorIndex)),{color:h,colorIndex:p}},getLevelOptions:function(t){var e,i,l,h,p,d,u={};if(s(t))for(h=r(t.from)?t.from:1,d=t.levels,i={},e=s(t.defaults)?t.defaults:{},o(d)&&(i=d.reduce(function(t,i){var o,l,p;return s(i)&&r(i.level)&&(l=a((p=n({},i)).levelIsConstant,e.levelIsConstant),delete p.levelIsConstant,delete p.level,s(t[o=i.level+(l?0:h-1)])?n(!0,t[o],p):t[o]=p),t},{})),p=r(t.to)?t.to:1,l=0;l<=p;l++)u[l]=n({},e,s(i[l])?i[l]:{});return u},getNodeWidth:function(t,e){var i=t.chart,o=t.options,r=o.nodeDistance,s=void 0===r?0:r,n=o.nodeWidth,a=void 0===n?0:n,h=i.plotSizeX,p=void 0===h?1:h;if("auto"===a){if("string"==typeof s&&/%$/.test(s))return p/(e+parseFloat(s)/100*(e-1));var d=Number(s);return(p+d)/(e||1)-d}return l(a,p)},setTreeValues:function t(e,o){var r=o.before,s=o.idRoot,n=o.mapIdToNode[s],l=!1!==o.levelIsConstant,h=o.points[e.i],p=h&&h.options||{},d=[],u=0;e.levelDynamic=e.level-(l?0:n.level),e.name=a(h&&h.name,""),e.visible=s===e.id||!0===o.visible,"function"==typeof r&&(e=r(e,o)),e.children.forEach(function(r,s){var n=i({},o);i(n,{index:s,siblings:e.children.length,visible:e.visible}),r=t(r,n),d.push(r),r.visible&&(u+=r.val)});var c=a(p.value,u);return e.visible=c>=0&&(u>0||e.visible),e.children=d,e.childrenTotal=u,e.isLeaf=e.visible&&!u,e.val=c,e},updateRootId:function(t){var e,i;return s(t)&&(i=s(t.options)?t.options:{},e=a(t.rootNode,i.rootId,""),s(t.userOptions)&&(t.userOptions.rootId=e),t.rootNode=e),e}}}),i(e,"Series/Treemap/TreemapSeries.js",[e["Extensions/Breadcrumbs/Breadcrumbs.js"],e["Core/Color/Color.js"],e["Series/ColorMapComposition.js"],e["Core/Globals.js"],e["Core/Series/SeriesRegistry.js"],e["Series/Treemap/TreemapAlgorithmGroup.js"],e["Series/Treemap/TreemapNode.js"],e["Series/Treemap/TreemapPoint.js"],e["Series/Treemap/TreemapSeriesDefaults.js"],e["Series/Treemap/TreemapUtilities.js"],e["Series/TreeUtilities.js"],e["Core/Utilities.js"]],function(t,e,i,o,r,s,n,a,l,h,p,d){var u,c=this&&this.__extends||(u=function(t,e){return(u=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var i in e)Object.prototype.hasOwnProperty.call(e,i)&&(t[i]=e[i])})(t,e)},function(t,e){if("function"!=typeof e&&null!==e)throw TypeError("Class extends value "+String(e)+" is not a constructor or null");function i(){this.constructor=t}u(t,e),t.prototype=null===e?Object.create(e):(i.prototype=e.prototype,new i)}),v=e.parse,f=o.composed,g=o.noop,y=r.seriesTypes,m=y.column,b=y.scatter,x=p.getColor,T=p.getLevelOptions,w=p.updateRootId,B=d.addEvent,S=d.correctFloat,C=d.defined,L=d.error,A=d.extend,P=d.fireEvent,O=d.isArray,j=d.isObject,R=d.isString,D=d.merge,M=d.pick,N=d.pushUnique,I=d.stableSort,U=!1;function E(){var t,e=this.xAxis,i=this.yAxis;e&&i&&(this.is("treemap")?(t={endOnTick:!1,gridLineWidth:0,lineWidth:0,min:0,minPadding:0,max:100,maxPadding:0,startOnTick:!1,title:void 0,tickPositions:[]},A(i.options,t),A(e.options,t),U=!0):U&&(i.setOptions(i.userOptions),e.setOptions(e.userOptions),U=!1))}var W=function(e){function i(){return null!==e&&e.apply(this,arguments)||this}return c(i,e),i.compose=function(t){N(f,"TreemapSeries")&&B(t,"afterBindAxes",E)},i.prototype.algorithmCalcPoints=function(t,e,i,o){var r,s,n,a,l,h=i.plot,p=i.elArr.length-1,d=i.lW,u=i.lH,c=0;e?(d=i.nW,u=i.nH):l=i.elArr[p];for(var v=0,f=i.elArr;v<f.length;v++){var g=f[v];(e||c<p)&&(0===i.direction?(r=h.x,s=h.y,a=g/(n=d)):(r=h.x,s=h.y,n=g/(a=u)),o.push({x:r,y:s,width:n,height:S(a)}),0===i.direction?h.y=h.y+a:h.x=h.x+n),c+=1}i.reset(),0===i.direction?i.width=i.width-d:i.height=i.height-u,h.y=h.parent.y+(h.parent.height-i.height),h.x=h.parent.x+(h.parent.width-i.width),t&&(i.direction=1-i.direction),e||i.addElement(l)},i.prototype.algorithmFill=function(t,e,i){for(var o,r,s,n,a,l=[],h=e.direction,p=e.x,d=e.y,u=e.width,c=e.height,v=0;v<i.length;v++){var f=i[v];o=e.width*e.height*(f.val/e.val),r=p,s=d,0===h?(u-=n=o/(a=c),p+=n):(c-=a=o/(n=u),d+=a),l.push({x:r,y:s,width:n,height:a}),t&&(h=1-h)}return l},i.prototype.algorithmLowAspectRatio=function(t,e,i){for(var o,r=[],n={x:e.x,y:e.y,parent:e},a=e.direction,l=i.length-1,h=new s(e.height,e.width,a,n),p=0,d=0;d<i.length;d++){var u=i[d];o=e.width*e.height*(u.val/e.val),h.addElement(o),h.lP.nR>h.lP.lR&&this.algorithmCalcPoints(t,!1,h,r,n),p===l&&this.algorithmCalcPoints(t,!0,h,r,n),++p}return r},i.prototype.alignDataLabel=function(t,e,i){var o=i.style;o&&!C(o.textOverflow)&&e.text&&e.getBBox().width>(e.text.textWidth||0)&&e.css({textOverflow:"ellipsis",width:o.width+="px"}),m.prototype.alignDataLabel.apply(this,arguments),t.dataLabel&&t.dataLabel.attr({zIndex:(t.node.zIndex||0)+1})},i.prototype.calculateChildrenAreas=function(t,e){var i=this.options,o=this.mapOptionsToLevel[t.level+1],r=M(this[o&&o.layoutAlgorithm]&&o.layoutAlgorithm,i.layoutAlgorithm),s=i.alternateStartingDirection,n=t.children.filter(function(t){return!t.ignore}),a=[];o&&o.layoutStartingDirection&&(e.direction="vertical"===o.layoutStartingDirection?0:1),a=this[r](e,n);for(var l=-1,h=0;h<n.length;h++){var p=n[h],d=a[++l];p.values=D(d,{val:p.childrenTotal,direction:s?1-e.direction:e.direction}),p.pointValues=D(d,{x:d.x/this.axisRatio,y:100-d.y-d.height,width:d.width/this.axisRatio}),p.children.length&&this.calculateChildrenAreas(p,p.values)}},i.prototype.createList=function(t){var e=this.chart,i=e.breadcrumbs,o=[];if(i){var r=0;o.push({level:r,levelOptions:e.series[0]});for(var s=t.target.nodeMap[t.newRootId],n=[];s.parent||""===s.parent;)n.push(s),s=t.target.nodeMap[s.parent];for(var a=0,l=n.reverse();a<l.length;a++){var h=l[a];o.push({level:++r,levelOptions:h})}o.length<=1&&(o.length=0)}return o},i.prototype.drawDataLabels=function(){for(var t,i,o=this.mapOptionsToLevel,r=this.points.filter(function(t){return t.node.visible}),s=0;s<r.length;s++){var n=r[s];i=o[n.node.level],t={style:{}},n.node.isLeaf||(t.enabled=!1),i&&i.dataLabels&&(t=D(t,i.dataLabels),this.hasDataLabels=function(){return!0}),n.shapeArgs&&(t.style.width=n.shapeArgs.width,n.dataLabel&&n.dataLabel.css({width:n.shapeArgs.width+"px"})),n.dlOptions=D(t,n.options.dataLabels)}e.prototype.drawDataLabels.call(this)},i.prototype.drawPoints=function(t){void 0===t&&(t=this.points);for(var e=this.chart,i=e.renderer,o=e.styledMode,r=this.options,s=o?{}:r.shadow,n=r.borderRadius,a=e.pointCount<r.animationLimit,l=r.allowTraversingTree,h=0,p=t;h<p.length;h++){var d=p[h],u=d.node.levelDynamic,c={},v={},f={},g="level-group-"+d.node.level,y=!!d.graphic,m=a&&y,b=d.shapeArgs;d.shouldDraw()&&(d.isInside=!0,n&&(v.r=n),D(!0,m?c:v,y?b:{},o?{}:this.pointAttribs(d,d.selected?"select":void 0)),this.colorAttribs&&o&&A(f,this.colorAttribs(d)),this[g]||(this[g]=i.g(g).attr({zIndex:1e3-(u||0)}).add(this.group),this[g].survive=!0)),d.draw({animatableAttribs:c,attribs:v,css:f,group:this[g],imageUrl:d.imageUrl,renderer:i,shadow:s,shapeArgs:b,shapeType:d.shapeType}),l&&d.graphic&&(d.drillId=r.interactByLeaf?this.drillToByLeaf(d):this.drillToByGroup(d))}},i.prototype.drillToByGroup=function(t){var e=!1;return t.node.isLeaf||t.node.level-this.nodeMap[this.rootNode].level!=1||(e=t.id),e},i.prototype.drillToByLeaf=function(t){var e,i=!1;if(t.node.parent!==this.rootNode&&t.node.isLeaf)for(e=t.node;!i;)(e=this.nodeMap[e.parent]).parent===this.rootNode&&(i=e.id);return i},i.prototype.drillToNode=function(t,e){L(32,!1,void 0,{"treemap.drillToNode":"use treemap.setRootNode"}),this.setRootNode(t,e)},i.prototype.drillUp=function(){var t=this.nodeMap[this.rootNode];t&&R(t.parent)&&this.setRootNode(t.parent,!0,{trigger:"traverseUpButton"})},i.prototype.getExtremes=function(){var t=e.prototype.getExtremes.call(this,this.colorValueData),i=t.dataMin,o=t.dataMax;return this.valueMin=i,this.valueMax=o,e.prototype.getExtremes.call(this)},i.prototype.getListOfParents=function(t,e){for(var i=O(t)?t:[],o=O(e)?e:[],r=i.reduce(function(t,e,i){var o=M(e.parent,"");return void 0===t[o]&&(t[o]=[]),t[o].push(i),t},{"":[]}),s=0,n=Object.keys(r);s<n.length;s++){var a=n[s],l=r[a];if(""!==a&&-1===o.indexOf(a)){for(var h=0;h<l.length;h++){var p=l[h];r[""].push(p)}delete r[a]}}return r},i.prototype.getTree=function(){var t=this.data.map(function(t){return t.id}),e=this.getListOfParents(this.data,t);return this.nodeMap={},this.nodeList=[],this.buildTree("",-1,0,e)},i.prototype.buildTree=function(t,e,i,o,r){for(var s,n=[],a=this.points[e],l=0,h=0,p=o[t]||[];h<p.length;h++){var d=p[h];l=Math.max((s=this.buildTree(this.points[d].id,d,i+1,o,t)).height+1,l),n.push(s)}for(var u=new this.NodeClass().init(t,e,n,l,i,this,r),c=0;c<n.length;c++)n[c].parentNode=u;return this.nodeMap[u.id]=u,this.nodeList.push(u),a&&(a.node=u,u.point=a),u},i.prototype.hasData=function(){return!!this.processedXData.length},i.prototype.init=function(i,o){var r=this,s=D(o.drillUpButton,o.breadcrumbs),n=B(r,"setOptions",function(t){var e=t.userOptions;C(e.allowDrillToNode)&&!C(e.allowTraversingTree)&&(e.allowTraversingTree=e.allowDrillToNode,delete e.allowDrillToNode),C(e.drillUpButton)&&!C(e.traverseUpButton)&&(e.traverseUpButton=e.drillUpButton,delete e.drillUpButton)});e.prototype.init.call(this,i,o),delete r.opacity,r.eventsToUnbind.push(n),r.options.allowTraversingTree&&(r.eventsToUnbind.push(B(r,"click",r.onClickDrillToNode)),r.eventsToUnbind.push(B(r,"setRootNode",function(t){var e=r.chart;e.breadcrumbs&&e.breadcrumbs.updateProperties(r.createList(t))})),r.eventsToUnbind.push(B(r,"update",function(t,e){var i=this.chart.breadcrumbs;i&&t.options.breadcrumbs&&i.update(t.options.breadcrumbs)})),r.eventsToUnbind.push(B(r,"destroy",function(t){var e=this.chart;e.breadcrumbs&&!t.keepEventsForUpdate&&(e.breadcrumbs.destroy(),e.breadcrumbs=void 0)}))),i.breadcrumbs||(i.breadcrumbs=new t(i,s)),r.eventsToUnbind.push(B(i.breadcrumbs,"up",function(t){for(var e=this.level-t.newLevel,i=0;i<e;i++)r.drillUp()}))},i.prototype.onClickDrillToNode=function(t){var e=t.point,i=e&&e.drillId;R(i)&&(e.setState(""),this.setRootNode(i,!0,{trigger:"click"}))},i.prototype.pointAttribs=function(t,e){var i,o=j(this.mapOptionsToLevel)?this.mapOptionsToLevel:{},r=t&&o[t.node.level]||{},s=this.options,n=e&&s.states&&s.states[e]||{},a=t&&t.getClassName()||"",l={stroke:t&&t.borderColor||r.borderColor||n.borderColor||s.borderColor,"stroke-width":M(t&&t.borderWidth,r.borderWidth,n.borderWidth,s.borderWidth),dashstyle:t&&t.borderDashStyle||r.borderDashStyle||n.borderDashStyle||s.borderDashStyle,fill:t&&t.color||this.color};return -1!==a.indexOf("highcharts-above-level")?(l.fill="none",l["stroke-width"]=0):-1!==a.indexOf("highcharts-internal-node-interactive")?(i=M(n.opacity,s.opacity),l.fill=v(l.fill).setOpacity(i).get(),l.cursor="pointer"):-1!==a.indexOf("highcharts-internal-node")?l.fill="none":e&&(l.fill=v(l.fill).brighten(n.brightness).get()),l},i.prototype.setColorRecursive=function(t,e,i,o,r){var s=this&&this.chart,n=s&&s.options&&s.options.colors;if(t){var a=x(t,{colors:n,index:o,mapOptionsToLevel:this.mapOptionsToLevel,parentColor:e,parentColorIndex:i,series:this,siblings:r}),l=this.points[t.i];l&&(l.color=a.color,l.colorIndex=a.colorIndex);for(var h=-1,p=0,d=t.children||[];p<d.length;p++){var u=d[p];this.setColorRecursive(u,a.color,a.colorIndex,++h,t.children.length)}}},i.prototype.setPointValues=function(){for(var t=this.points,e=this.xAxis,i=this.yAxis,o=this.chart.styledMode,r=0;r<t.length;r++){var s=t[r],n=s.node,a=n.pointValues,l=n.visible;if(a&&l){var h=a.height,p=a.width,d=a.x,u=a.y,c=o?0:(this.pointAttribs(s)["stroke-width"]||0)%2/2,v=Math.round(e.toPixels(d,!0))-c,f=Math.round(e.toPixels(d+p,!0))-c,g=Math.round(i.toPixels(u,!0))-c,y=Math.round(i.toPixels(u+h,!0))-c,m={x:Math.min(v,f),y:Math.min(g,y),width:Math.abs(f-v),height:Math.abs(y-g)};s.plotX=m.x+m.width/2,s.plotY=m.y+m.height/2,s.shapeArgs=m}else delete s.plotX,delete s.plotY}},i.prototype.setRootNode=function(t,e,i){P(this,"setRootNode",A({newRootId:t,previousRootId:this.rootNode,redraw:M(e,!0),series:this},i),function(t){var e=t.series;e.idPreviousRoot=t.previousRootId,e.rootNode=t.newRootId,e.isDirty=!0,t.redraw&&e.chart.redraw()})},i.prototype.setState=function(t){this.options.inactiveOtherPoints=!0,e.prototype.setState.call(this,t,!1),this.options.inactiveOtherPoints=!1},i.prototype.setTreeValues=function(t){for(var e=this.options,i=this.rootNode,o=this.nodeMap[i],r="boolean"!=typeof e.levelIsConstant||e.levelIsConstant,s=[],n=this.points[t.i],a=0,l=0,h=t.children;l<h.length;l++){var p=h[l];p=this.setTreeValues(p),s.push(p),p.ignore||(a+=p.val)}I(s,function(t,e){return(t.sortIndex||0)-(e.sortIndex||0)});var d=M(n&&n.options.value,a);return n&&(n.value=d),A(t,{children:s,childrenTotal:a,ignore:!(M(n&&n.visible,!0)&&d>0),isLeaf:t.visible&&!a,levelDynamic:t.level-(r?0:o.level),name:M(n&&n.name,""),sortIndex:M(n&&n.sortIndex,-d),val:d}),t},i.prototype.sliceAndDice=function(t,e){return this.algorithmFill(!0,t,e)},i.prototype.squarified=function(t,e){return this.algorithmLowAspectRatio(!0,t,e)},i.prototype.strip=function(t,e){return this.algorithmLowAspectRatio(!1,t,e)},i.prototype.stripes=function(t,e){return this.algorithmFill(!1,t,e)},i.prototype.translate=function(){var t,i,o,r,s=this,n=s.options,a=w(s);e.prototype.translate.call(this);var l=s.tree=s.getTree();t=s.nodeMap[a],""===a||t&&t.children.length||(s.setRootNode("",!1),a=s.rootNode,t=s.nodeMap[a]),s.mapOptionsToLevel=T({from:t.level+1,levels:n.levels,to:l.height,defaults:{levelIsConstant:s.options.levelIsConstant,colorByPoint:n.colorByPoint}}),h.recursive(s.nodeMap[s.rootNode],function(t){var e=t.parent,i=!1;return t.visible=!0,(e||""===e)&&(i=s.nodeMap[e]),i}),h.recursive(s.nodeMap[s.rootNode].children,function(t){for(var e=!1,i=0;i<t.length;i++){var o=t[i];o.visible=!0,o.children.length&&(e=(e||[]).concat(o.children))}return e}),s.setTreeValues(l),s.axisRatio=s.xAxis.len/s.yAxis.len,s.nodeMap[""].pointValues=i={x:0,y:0,width:100,height:100},s.nodeMap[""].values=o=D(i,{width:i.width*s.axisRatio,direction:"vertical"===n.layoutStartingDirection?0:1,val:l.val}),s.calculateChildrenAreas(l,o),s.colorAxis||n.colorByPoint||s.setColorRecursive(s.tree),n.allowTraversingTree&&(r=t.pointValues,s.xAxis.setExtremes(r.x,r.x+r.width,!1),s.yAxis.setExtremes(r.y,r.y+r.height,!1),s.xAxis.setScale(),s.yAxis.setScale()),s.setPointValues()},i.defaultOptions=D(b.defaultOptions,l),i}(b);return A(W.prototype,{buildKDTree:g,colorAttribs:i.seriesMembers.colorAttribs,colorKey:"colorValue",directTouch:!0,getExtremesFromAll:!0,getSymbol:g,optionalAxis:"colorAxis",parallelArrays:["x","y","value","colorValue"],pointArrayMap:["value"],pointClass:a,NodeClass:n,trackerGroups:["group","dataLabelsGroup"],utils:h}),i.compose(W),r.registerSeriesType("treemap",W),W}),i(e,"masters/modules/treemap.src.js",[e["Core/Globals.js"],e["Extensions/Breadcrumbs/Breadcrumbs.js"],e["Series/Treemap/TreemapSeries.js"]],function(t,e,i){return t.Breadcrumbs=t.Breadcrumbs||e,t.Breadcrumbs.compose(t.Chart,t.defaultOptions),i.compose(t.Series),t})});