!/**
 * Highcharts JS v11.4.0 (2024-03-04)
 *
 * X-range series
 *
 * (c) 2010-2024 Torstein Honsi, Lars A. V. Cabrera
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/xrange",["highcharts"],function(e){return t(e),t.Highcharts=e,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var e=t?t._modules:{};function o(t,e,o,i){t.hasOwnProperty(e)||(t[e]=i.apply(null,o),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:e,module:t[e]}})))}o(e,"Series/XRange/XRangeSeriesDefaults.js",[e["Core/Utilities.js"]],function(t){var e=t.correctFloat,o=t.isNumber,i=t.isObject;return{colorByPoint:!0,dataLabels:{formatter:function(){var t=this.point.partialFill;if(i(t)&&(t=t.amount),o(t)&&t>0)return e(100*t)+"%"},inside:!0,verticalAlign:"middle",style:{whiteSpace:"nowrap"}},tooltip:{headerFormat:'<span style="font-size: 0.8em">{point.x} - {point.x2}</span><br/>',pointFormat:'<span style="color:{point.color}">●</span> {series.name}: <b>{point.yCategory}</b><br/>'},borderRadius:3,pointRange:0}}),o(e,"Series/XRange/XRangePoint.js",[e["Core/Series/SeriesRegistry.js"],e["Core/Utilities.js"]],function(t,e){var o,i=this&&this.__extends||(o=function(t,e){return(o=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var o in e)Object.prototype.hasOwnProperty.call(e,o)&&(t[o]=e[o])})(t,e)},function(t,e){if("function"!=typeof e&&null!==e)throw TypeError("Class extends value "+String(e)+" is not a constructor or null");function i(){this.constructor=t}o(t,e),t.prototype=null===e?Object.create(e):(i.prototype=e.prototype,new i)}),r=t.seriesTypes.column.prototype.pointClass,n=e.extend,s=function(t){function e(e,o){var i=t.call(this,e,o)||this;return i.y||(i.y=0),i}return i(e,t),e.getColorByCategory=function(t,e){var o=t.options.colors||t.chart.options.colors,i=o?o.length:t.chart.options.chart.colorCount,r=e.y%i,n=o&&o[r];return{colorIndex:r,color:n}},e.prototype.resolveColor=function(){var t=this.series;if(t.options.colorByPoint&&!this.options.color){var o=e.getColorByCategory(t,this);t.chart.styledMode||(this.color=o.color),this.options.colorIndex||(this.colorIndex=o.colorIndex)}else this.color=this.options.color||t.color},e.prototype.setState=function(){t.prototype.setState.apply(this,arguments),this.series.drawPoint(this,this.series.getAnimationVerb())},e.prototype.getLabelConfig=function(){var e=t.prototype.getLabelConfig.call(this),o=this.series.yAxis.categories;return e.x2=this.x2,e.yCategory=this.yCategory=o&&o[this.y],e.key=this.category||this.name,e},e.prototype.isValid=function(){return"number"==typeof this.x&&"number"==typeof this.x2},e}(r);return n(s.prototype,{ttBelow:!1,tooltipDateKeys:["x","x2"]}),s}),o(e,"Series/XRange/XRangeSeries.js",[e["Core/Globals.js"],e["Core/Color/Color.js"],e["Core/Series/SeriesRegistry.js"],e["Core/Utilities.js"],e["Series/XRange/XRangeSeriesDefaults.js"],e["Series/XRange/XRangePoint.js"]],function(t,e,o,i,r,n){var s,a=this&&this.__extends||(s=function(t,e){return(s=Object.setPrototypeOf||({__proto__:[]})instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var o in e)Object.prototype.hasOwnProperty.call(e,o)&&(t[o]=e[o])})(t,e)},function(t,e){if("function"!=typeof e&&null!==e)throw TypeError("Class extends value "+String(e)+" is not a constructor or null");function o(){this.constructor=t}s(t,e),t.prototype=null===e?Object.create(e):(o.prototype=e.prototype,new o)}),p=t.composed,l=t.noop,h=e.parse,c=o.seriesTypes.column,u=i.addEvent,d=i.clamp,f=i.defined,y=i.extend,g=i.find,x=i.isNumber,m=i.isObject,v=i.merge,b=i.pick,C=i.pushUnique,w=i.relativeLength;function A(){var t,e;if(this.isXAxis){t=b(this.dataMax,-Number.MAX_VALUE);for(var o=0,i=this.series;o<i.length;o++){var r=i[o];if(r.x2Data)for(var n=0,s=r.x2Data;n<s.length;n++){var a=s[n];a&&a>t&&(t=a,e=!0)}}e&&(this.dataMax=t)}}var R=function(t){function e(){return null!==t&&t.apply(this,arguments)||this}return a(e,t),e.compose=function(t){C(p,"Series.XRange")&&u(t,"afterGetSeriesExtremes",A)},e.prototype.init=function(){t.prototype.init.apply(this,arguments),this.options.stacking=void 0},e.prototype.getColumnMetrics=function(){var e=this,o=function(){for(var t=0,o=e.chart.series;t<o.length;t++){var i=o[t],r=i.xAxis;i.xAxis=i.yAxis,i.yAxis=r}};o();var i=t.prototype.getColumnMetrics.call(this);return o(),i},e.prototype.cropData=function(e,o,i,r){var n=t.prototype.cropData.call(this,this.x2Data,o,i,r);return n.xData=e.slice(n.start,n.end),n},e.prototype.findPointIndex=function(t){var e,o=this.cropStart,i=this.points,r=t.id;if(r){var n=g(i,function(t){return t.id===r});e=n?n.index:void 0}if(void 0===e){var n=g(i,function(e){return e.x===t.x&&e.x2===t.x2&&!e.touched});e=n?n.index:void 0}return this.cropped&&x(e)&&x(o)&&e>=o&&(e-=o),e},e.prototype.alignDataLabel=function(e){var o,i=e.plotX;e.plotX=b(e.dlBox&&e.dlBox.centerX,e.plotX),e.dataLabel&&(null===(o=e.shapeArgs)||void 0===o?void 0:o.width)&&e.dataLabel.css({width:"".concat(e.shapeArgs.width,"px")}),t.prototype.alignDataLabel.apply(this,arguments),e.plotX=i},e.prototype.translatePoint=function(t){var e,o,i,r,n,s,a=this.xAxis,p=this.yAxis,l=this.columnMetrics,h=this.options,c=h.minPointLength||0,u=(t.shapeArgs&&t.shapeArgs.width||0)/2,y=this.pointXOffset=l.offset,g=b(t.x2,t.x+(t.len||0)),C=h.borderRadius,A=this.chart.plotTop,R=this.chart.plotLeft,M=t.plotX,S=a.translate(g,0,0,0,1),j=Math.abs(S-M),X=this.chart.inverted,P=b(h.borderWidth,1)%2/2,_=l.offset,O=Math.round(l.width);c&&((e=c-j)<0&&(e=0),M-=e/2,S+=e/2),M=Math.max(M,-10),S=d(S,-10,a.len+10),f(t.options.pointWidth)&&(_-=(Math.ceil(t.options.pointWidth)-O)/2,O=Math.ceil(t.options.pointWidth)),h.pointPlacement&&x(t.plotY)&&p.categories&&(t.plotY=p.translate(t.y,0,1,0,1,h.pointPlacement));var L=Math.floor(Math.min(M,S))+P,D=Math.floor(Math.max(M,S))+P-L,B=Math.min(w("object"==typeof C?C.radius:C||0,O),Math.min(D,O)/2),E={x:L,y:Math.floor(t.plotY+_)+P,width:D,height:O,r:B};t.shapeArgs=E,X?t.tooltipPos[1]+=y+u:t.tooltipPos[0]-=u+y-E.width/2,r=(i=E.x)+E.width,i<0||r>a.len?(i=d(i,0,a.len),n=(r=d(r,0,a.len))-i,t.dlBox=v(E,{x:i,width:r-i,centerX:n?n/2:null})):t.dlBox=null;var F=t.tooltipPos,I=X?1:0,T=X?0:1,N=this.columnMetrics?this.columnMetrics.offset:-l.width/2;X?F[I]+=E.width/2:F[I]=d(F[I]+(a.reversed?-1:0)*E.width,a.left-R,a.left+a.len-R-1),F[T]=d(F[T]+(X?-1:1)*N,p.top-A,p.top+p.len-A-1),(o=t.partialFill)&&(m(o)&&(o=o.amount),x(o)||(o=0),t.partShapeArgs=v(E),s=Math.max(Math.round(j*o+t.plotX-M),0),t.clipRectArgs={x:a.reversed?E.x+j-s:E.x,y:E.y,width:s,height:E.height})},e.prototype.translate=function(){t.prototype.translate.apply(this,arguments);for(var e=0,o=this.points;e<o.length;e++){var i=o[e];this.translatePoint(i)}},e.prototype.drawPoint=function(t,e){var o=this.options,i=this.chart.renderer,r=t.shapeType,n=t.shapeArgs,s=t.partShapeArgs,a=t.clipRectArgs,p=t.state,l=o.states[p||"normal"]||{},c=void 0===p?"attr":e,u=this.pointAttribs(t,p),d=b(this.chart.options.chart.animation,l.animation),f=t.graphic,y=t.partialFill;if(t.isNull||!1===t.visible)f&&(t.graphic=f.destroy());else if(f?f.rect[e](n):(t.graphic=f=i.g("point").addClass(t.getClassName()).add(t.group||this.group),f.rect=i[r](v(n)).addClass(t.getClassName()).addClass("highcharts-partfill-original").add(f)),s&&(f.partRect?(f.partRect[e](v(s)),f.partialClipRect[e](v(a))):(f.partialClipRect=i.clipRect(a.x,a.y,a.width,a.height),f.partRect=i[r](s).addClass("highcharts-partfill-overlay").add(f).clip(f.partialClipRect))),!this.chart.styledMode&&(f.rect[e](u,d).shadow(o.shadow),s)){m(y)||(y={}),m(o.partialFill)&&(y=v(o.partialFill,y));var g=y.fill||h(u.fill).brighten(-.3).get()||h(t.color||this.color).brighten(-.3).get();u.fill=g,f.partRect[c](u,d).shadow(o.shadow)}},e.prototype.drawPoints=function(){for(var t=this.getAnimationVerb(),e=0,o=this.points;e<o.length;e++){var i=o[e];this.drawPoint(i,t)}},e.prototype.getAnimationVerb=function(){return this.chart.pointCount<(this.options.animationLimit||250)?"animate":"attr"},e.prototype.isPointInside=function(e){var o=e.shapeArgs,i=e.plotX,r=e.plotY;return o?void 0!==i&&void 0!==r&&r>=0&&r<=this.yAxis.len&&(o.x||0)+(o.width||0)>=0&&i<=this.xAxis.len:t.prototype.isPointInside.apply(this,arguments)},e.defaultOptions=v(c.defaultOptions,r),e}(c);return y(R.prototype,{pointClass:n,pointArrayMap:["x2","y"],getExtremesFromAll:!0,parallelArrays:["x","x2","y"],requireSorting:!1,type:"xrange",animate:o.series.prototype.animate,autoIncrement:l,buildKDTree:l}),o.registerSeriesType("xrange",R),R}),o(e,"masters/modules/xrange.src.js",[e["Core/Globals.js"],e["Series/XRange/XRangeSeries.js"]],function(t,e){return e.compose(t.Axis),t})});