!/**
 * Highstock JS v11.4.0 (2024-03-04)
 *
 * Data grouping module
 *
 * (c) 2010-2024 Torstein Hønsi
 *
 * License: www.highcharts.com/license
 */function(t){"object"==typeof module&&module.exports?(t.default=t,module.exports=t):"function"==typeof define&&define.amd?define("highcharts/modules/datagrouping",["highcharts"],function(i){return t(i),t.Highcharts=i,t}):t("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(t){"use strict";var i=t?t._modules:{};function o(t,i,o,e){t.hasOwnProperty(i)||(t[i]=e.apply(null,o),"function"==typeof CustomEvent&&window.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:i,module:t[i]}})))}o(i,"Extensions/DataGrouping/ApproximationRegistry.js",[],function(){return{}}),o(i,"Extensions/DataGrouping/ApproximationDefaults.js",[i["Extensions/DataGrouping/ApproximationRegistry.js"],i["Core/Utilities.js"]],function(t,i){let{arrayMax:o,arrayMin:e,correctFloat:a,extend:n,isNumber:s}=i;function r(t){let i=t.length,o=p(t);return s(o)&&i&&(o=a(o/i)),o}function p(t){let i=t.length,o;if(!i&&t.hasNulls)o=null;else if(i)for(o=0;i--;)o+=t[i];return o}let l={average:r,averages:function(){let t=[];return[].forEach.call(arguments,function(i){t.push(r(i))}),void 0===t[0]?void 0:t},close:function(t){return t.length?t[t.length-1]:t.hasNulls?null:void 0},high:function(t){return t.length?o(t):t.hasNulls?null:void 0},hlc:function(i,o,e){if(i=t.high(i),o=t.low(o),e=t.close(e),s(i)||s(o)||s(e))return[i,o,e]},low:function(t){return t.length?e(t):t.hasNulls?null:void 0},ohlc:function(i,o,e,a){if(i=t.open(i),o=t.high(o),e=t.low(e),a=t.close(a),s(i)||s(o)||s(e)||s(a))return[i,o,e,a]},open:function(t){return t.length?t[0]:t.hasNulls?null:void 0},range:function(i,o){return(i=t.low(i),o=t.high(o),s(i)||s(o))?[i,o]:null===i&&null===o?null:void 0},sum:p};return n(t,l),l}),o(i,"Extensions/DataGrouping/DataGroupingDefaults.js",[],function(){return{common:{groupPixelWidth:2,dateTimeLabelFormats:{millisecond:["%A, %e %b, %H:%M:%S.%L","%A, %e %b, %H:%M:%S.%L","-%H:%M:%S.%L"],second:["%A, %e %b, %H:%M:%S","%A, %e %b, %H:%M:%S","-%H:%M:%S"],minute:["%A, %e %b, %H:%M","%A, %e %b, %H:%M","-%H:%M"],hour:["%A, %e %b, %H:%M","%A, %e %b, %H:%M","-%H:%M"],day:["%A, %e %b %Y","%A, %e %b","-%A, %e %b %Y"],week:["Week from %A, %e %b %Y","%A, %e %b","-%A, %e %b %Y"],month:["%B %Y","%B","-%B %Y"],year:["%Y","%Y","-%Y"]}},seriesSpecific:{line:{},spline:{},area:{},areaspline:{},arearange:{},column:{groupPixelWidth:10},columnrange:{groupPixelWidth:10},candlestick:{groupPixelWidth:10},ohlc:{groupPixelWidth:5},hlc:{groupPixelWidth:5},heikinashi:{groupPixelWidth:10}},units:[["millisecond",[1,2,5,10,20,25,50,100,200,500]],["second",[1,2,5,10,15,30]],["minute",[1,2,5,10,15,30]],["hour",[1,2,3,4,6,8,12]],["day",[1]],["week",[1]],["month",[1,3,6]],["year",null]]}}),o(i,"Extensions/DataGrouping/DataGroupingAxisComposition.js",[i["Extensions/DataGrouping/DataGroupingDefaults.js"],i["Core/Utilities.js"]],function(t,i){let o;let{addEvent:e,extend:a,merge:n,pick:s}=i;function r(t){let i=this,o=i.series;o.forEach(function(t){t.groupPixelWidth=void 0}),o.forEach(function(o){o.groupPixelWidth=i.getGroupPixelWidth&&i.getGroupPixelWidth(),o.groupPixelWidth&&(o.hasProcessed=!0),o.applyGrouping(!!t.hasExtremesChanged)})}function p(){let i=this.series,o=i.length,e=0,a=!1,n,r;for(;o--;)(r=i[o].options.dataGrouping)&&(e=Math.max(e,s(r.groupPixelWidth,t.common.groupPixelWidth)),n=(i[o].processedXData||i[o].data).length,(i[o].groupPixelWidth||n>this.chart.plotSizeX/e||n&&r.forced)&&(a=!0));return a?e:0}function l(){this.series.forEach(function(t){t.hasProcessed=!1})}function u(t,i){let e;if(i=s(i,!0),t||(t={forced:!1,units:null}),this instanceof o)for(e=this.series.length;e--;)this.series[e].update({dataGrouping:t},!1);else this.chart.options.series.forEach(function(i){i.dataGrouping="boolean"==typeof t?t:n(t,i.dataGrouping)});this.ordinal&&(this.ordinal.slope=void 0),i&&this.chart.redraw()}return{compose:function(t){o=t;let i=t.prototype;i.applyGrouping||(e(t,"afterSetScale",l),e(t,"postProcessData",r),a(i,{applyGrouping:r,getGroupPixelWidth:p,setDataGrouping:u}))}}}),o(i,"Extensions/DataGrouping/DataGroupingSeriesComposition.js",[i["Extensions/DataGrouping/ApproximationRegistry.js"],i["Extensions/DataGrouping/DataGroupingDefaults.js"],i["Core/Axis/DateTimeAxis.js"],i["Core/Defaults.js"],i["Core/Series/SeriesRegistry.js"],i["Core/Utilities.js"]],function(t,i,o,e,a,n){let{series:{prototype:s}}=a,{addEvent:r,defined:p,error:l,extend:u,isNumber:h,merge:g,pick:d}=n,c=s.generatePoints;function f(t){var e;let a,n;let r=this.chart,u=this.options.dataGrouping,g=!1!==this.allowDG&&u&&d(u.enabled,r.options.isStock),c=this.reserveSpace(),f=this.currentDataGrouping,m,x,D=!1;g&&!this.requireSorting&&(this.requireSorting=D=!0);let G=!1==!(this.isCartesian&&!this.isDirty&&!this.xAxis.isDirty&&!this.yAxis.isDirty&&!t)||!g;if(D&&(this.requireSorting=!1),G)return;this.destroyGroupedData();let y=u.groupAll?this.xData:this.processedXData,M=u.groupAll?this.yData:this.processedYData,A=r.plotSizeX,S=this.xAxis,j=S.options.ordinal,P=this.groupPixelWidth;if(P&&y&&y.length&&A){n=!0,this.isDirty=!0,this.points=null;let t=S.getExtremes(),g=t.min,d=t.max,f=j&&S.ordinal&&S.ordinal.getGroupIntervalFactor(g,d,this)||1,D=P*(d-g)/A*f,G=S.getTimeTicks(o.Additions.prototype.normalizeTimeTickInterval(D,u.units||i.units),Math.min(g,y[0]),Math.max(d,y[y.length-1]),S.options.startOfWeek,y,this.closestPointRange),b=s.groupData.apply(this,[y,M,G,u.approximation]),E=b.groupedXData,v=b.groupedYData,C=0;for(u&&u.smoothed&&E.length&&(u.firstAnchor="firstPoint",u.anchor="middle",u.lastAnchor="lastPoint",l(32,!1,r,{"dataGrouping.smoothed":"use dataGrouping.anchor"})),a=1;a<G.length;a++)G.info.segmentStarts&&-1!==G.info.segmentStarts.indexOf(a)||(C=Math.max(G[a]-G[a-1],C));(m=G.info).gapSize=C,this.closestPointRange=G.info.totalRange,this.groupMap=b.groupMap,this.currentDataGrouping=m,function(t,i,o){let e=t.options.dataGrouping,a=t.currentDataGrouping&&t.currentDataGrouping.gapSize;if(!(e&&t.xData&&a&&t.groupMap))return;let n=i.length-1,s=e.anchor,r=e.firstAnchor,p=e.lastAnchor,l=i.length-1,u=0;if(r&&t.xData[0]>=i[0]){let o;u++;let e=t.groupMap[0].start,n=t.groupMap[0].length;h(e)&&h(n)&&(o=e+(n-1)),i[0]=({start:i[0],middle:i[0]+.5*a,end:i[0]+a,firstPoint:t.xData[0],lastPoint:o&&t.xData[o]})[r]}if(n>0&&p&&a&&i[n]>=o-a){l--;let o=t.groupMap[t.groupMap.length-1].start;i[n]=({start:i[n],middle:i[n]+.5*a,end:i[n]+a,firstPoint:o&&t.xData[o],lastPoint:t.xData[t.xData.length-1]})[p]}if(s&&"start"!==s){let t=a*({middle:.5,end:1})[s];for(;l>=u;)i[l]+=t,l--}}(this,E,d),c&&(p((e=E)[0])&&h(S.min)&&h(S.dataMin)&&e[0]<S.min&&((!p(S.options.min)&&S.min<=S.dataMin||S.min===S.dataMin)&&(S.min=Math.min(e[0],S.min)),S.dataMin=Math.min(e[0],S.dataMin)),p(e[e.length-1])&&h(S.max)&&h(S.dataMax)&&e[e.length-1]>S.max&&((!p(S.options.max)&&h(S.dataMax)&&S.max>=S.dataMax||S.max===S.dataMax)&&(S.max=Math.max(e[e.length-1],S.max)),S.dataMax=Math.max(e[e.length-1],S.dataMax))),u.groupAll&&(this.allGroupedData=v,E=(x=this.cropData(E,v,S.min,S.max)).xData,v=x.yData,this.cropStart=x.start),this.processedXData=E,this.processedYData=v}else this.groupMap=null;this.hasGroupedData=n,this.preventGraphAnimation=(f&&f.totalRange)!==(m&&m.totalRange)}function m(){this.groupedData&&(this.groupedData.forEach(function(t,i){t&&(this.groupedData[i]=t.destroy?t.destroy():null)},this),this.groupedData.length=0,delete this.allGroupedData)}function x(){c.apply(this),this.destroyGroupedData(),this.groupedData=this.hasGroupedData?this.points:null}function D(){return this.is("arearange")?"range":this.is("ohlc")?"ohlc":this.is("hlc")?"hlc":this.is("column")||this.options.cumulative?"sum":"average"}function G(i,o,e,a){let n=this,s=n.data,r=n.options&&n.options.data,l=[],u=[],d=[],c=i.length,f=!!o,m=[],x=n.pointArrayMap,D=x&&x.length,G=["x"].concat(x||["y"]),y=this.options.dataGrouping&&this.options.dataGrouping.groupAll,M,A,S,j=0,P=0,b="function"==typeof a?a:a&&t[a]?t[a]:t[n.getDGApproximation&&n.getDGApproximation()||"average"];if(D){let t=x.length;for(;t--;)m.push([])}else m.push([]);let E=D||1;for(let t=0;t<=c;t++)if(!(i[t]<e[0])){for(;void 0!==e[j+1]&&i[t]>=e[j+1]||t===c;){M=e[j],n.dataGroupInfo={start:y?P:n.cropStart+P,length:m[0].length,groupStart:M},S=b.apply(n,m),n.pointClass&&!p(n.dataGroupInfo.options)&&(n.dataGroupInfo.options=g(n.pointClass.prototype.optionsToObject.call({series:n},n.options.data[n.cropStart+P])),G.forEach(function(t){delete n.dataGroupInfo.options[t]})),void 0!==S&&(l.push(M),u.push(S),d.push(n.dataGroupInfo)),P=t;for(let t=0;t<E;t++)m[t].length=0,m[t].hasNulls=!1;if(j+=1,t===c)break}if(t===c)break;if(x){let i;let o=n.options.dataGrouping&&n.options.dataGrouping.groupAll?t:n.cropStart+t,e=s&&s[o]||n.pointClass.prototype.applyOptions.apply({series:n},[r[o]]);for(let t=0;t<D;t++)h(i=e[x[t]])?m[t].push(i):null===i&&(m[t].hasNulls=!0)}else h(A=f?o[t]:null)?m[0].push(A):null===A&&(m[0].hasNulls=!0)}return{groupedXData:l,groupedYData:u,groupMap:d}}function y(t){let o=t.options,a=this.type,n=this.chart.options.plotOptions,s=this.useCommonDataGrouping&&i.common,r=i.seriesSpecific,p=e.defaultOptions.plotOptions[a].dataGrouping;if(n&&(r[a]||s)){let t=this.chart.rangeSelector;p||(p=g(i.common,r[a])),o.dataGrouping=g(s,p,n.series&&n.series.dataGrouping,n[a].dataGrouping,this.userOptions.dataGrouping,!o.isInternal&&t&&h(t.selected)&&t.buttonOptions[t.selected].dataGrouping)}}return{compose:function(t){let i=t.prototype;i.applyGrouping||(r(t.prototype.pointClass,"update",function(){if(this.dataGroup)return l(24,!1,this.series.chart),!1}),r(t,"afterSetOptions",y),r(t,"destroy",m),u(i,{applyGrouping:f,destroyGroupedData:m,generatePoints:x,getDGApproximation:D,groupData:G}))},groupData:G}}),o(i,"Extensions/DataGrouping/DataGrouping.js",[i["Extensions/DataGrouping/DataGroupingAxisComposition.js"],i["Extensions/DataGrouping/DataGroupingDefaults.js"],i["Extensions/DataGrouping/DataGroupingSeriesComposition.js"],i["Core/Templating.js"],i["Core/Globals.js"],i["Core/Utilities.js"]],function(t,i,o,e,a,n){let{format:s}=e,{composed:r}=a,{addEvent:p,extend:l,isNumber:u,pick:h,pushUnique:g}=n;function d(t){let o=this.chart,e=o.time,a=t.labelConfig,n=a.series,r=a.point,p=n.options,g=n.tooltipOptions,d=p.dataGrouping,c=n.xAxis,f=g.xDateFormat,m,x,D,G,y,M=g[t.isFooter?"footerFormat":"headerFormat"];if(c&&"datetime"===c.options.type&&d&&u(a.key)){x=n.currentDataGrouping,D=d.dateTimeLabelFormats||i.common.dateTimeLabelFormats,x?(G=D[x.unitName],1===x.count?f=G[0]:(f=G[1],m=G[2])):!f&&D&&c.dateTime&&(f=c.dateTime.getXDateFormat(a.x,g.dateTimeLabelFormats));let p=h(n.groupMap?.[r.index].groupStart,a.key),u=p+x?.totalRange-1;y=e.dateFormat(f,p),m&&(y+=e.dateFormat(m,u)),n.chart.styledMode&&(M=this.styledModeFormat(M)),t.text=s(M,{point:l(a.point,{key:y}),series:n},o),t.preventDefault()}}return{compose:function(i,e,a){t.compose(i),o.compose(e),a&&g(r,"DataGrouping")&&p(a,"headerFormatter",d)},groupData:o.groupData}}),o(i,"masters/modules/datagrouping.src.js",[i["Core/Globals.js"],i["Extensions/DataGrouping/ApproximationDefaults.js"],i["Extensions/DataGrouping/ApproximationRegistry.js"],i["Extensions/DataGrouping/DataGrouping.js"]],function(t,i,o,e){return t.dataGrouping=t.dataGrouping||{},t.dataGrouping.approximationDefaults=t.dataGrouping.approximationDefaults||i,t.dataGrouping.approximations=t.dataGrouping.approximations||o,e.compose(t.Axis,t.Series,t.Tooltip),t})});